# Generated by Makefile. Do not edit.

commit ceccc10eacce0d4ffef22233739ecbf05ea60180
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 25 21:05:27 2016 +0100

    0.12.13

commit 5038ab1b704e609ba76958075a4b61eab13699b0
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Tue Feb 16 10:54:00 2016 +0100

    champlain-view: Remove children from user_layers in dispose
    
    https://bugzilla.gnome.org/show_bug.cgi?id=760012

commit a8073a3c837c291a3b3b5331ea2bc01f2f7ca2ca
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Feb 12 16:45:37 2016 +0100

    demos: Fix confusingly swapped latitude/longitude retrieval in Python demo
    
    Thanks to Pavel Machek for the patch.

commit e641833c36620a712781b1ebce31311daa888535
Author: Hashem Nasarat <hashem@riseup.net>
Date:   Sun Jan 31 12:19:33 2016 -0500

    build: Set G_LOG_DOMAIN to libchamplain
    
    "Libraries should define this so that any messages which they log can be
    differentiated from messages from other libraries and application code"
    
    https://developer.gnome.org/glib/stable/glib-Message-Logging.html#G-LOG-DOMAIN:CAPS
    
    This enables us to filter debug messages to only see libchamplain
    output — quite useful!
    
    E.g.  G_MESSAGES_DEBUG=libchamplain CHAMPLAIN_DEBUG=view gnome-maps
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761368

commit 9fcbddde94d9fbeb1ef9dfc82b16675c0a47acf1
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Wed Jan 27 14:59:03 2016 +0100

    gtk-champlain-embed: avoid runtime warnings
    
    We need to set the state on the GtkStyleContext these days, to avoid GTK
    emitting runtime warnings.
    This change is retro-compatible with older versions of GTK.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761178

commit 713f73b933730d64d6e037c548cb9fbbe210d039
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jan 15 14:26:28 2016 +0000

    Build fixes for builddir != srcdir
    
    Generated files go in builddir, which evaluates to '.', not in srcdir.
    
    Without this change, libchamplain fails to build in Continuous with the
    following error:
    
    make[3]: *** No rule to make target '../../champlain/champlain-enum-types.h', needed by 'Champlain-0.12.gir'.  Stop.

commit 06de4514628b53996d46940e644e7b2ff8d7db02
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Tue Jan 12 20:41:19 2016 +0100

    build: Make sure enums are introspectable

commit c8829c4f86569fe5c75dc96d3578e29edbb327bd
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Sat Jan 9 10:35:50 2016 +0100

    ChamplainPoint: Implement ChamplainExportable interface

commit 2814f9e2ad6812a0da8c23289b76c16b5edd5382
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Sat Jan 9 10:34:57 2016 +0100

    MarkerLayer: Implement ChamplainExportable interface
    
    Make MarkerLayer exportable. Will contain non-NULL surface
    iff a marker in the layer implements ChamplainExportable
    interface.

commit 4350ac6d2ab5c77cfeeedc9e7d3a4b87d19f8ebc
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Jan 12 11:59:12 2016 +0100

    ChamplainView: Don't set state to DONE at the end of init
    
    The initial state is CHAMPLAIN_STATE_NONE and it should be changed to DONE
    only after tiles get loaded which already happens in tile_state_notify().

commit 57fb0b10e679d0bd7686fcdde4d24170b2f085ba
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Dec 2 20:59:39 2015 +0100

    Post release version bump

commit c726e061eeb394d7a806b75e3377dce9ad7fa734
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Dec 2 20:41:25 2015 +0100

    0.12.12

commit 380ef615cdce386aa53cfbb9fb0fe2b01397fda1
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Dec 2 20:40:55 2015 +0100

    Fix documentation

commit d3964299fe4ef1c79df54f687301ce34eaae7b2f
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Nov 30 23:13:56 2015 +0100

    view: Accumulate smooth scroll dy in order to trigger zoom
    
    The way scroll is triggered is somewhat unreliable, it is better
    to accumulate the scroll value, until enough delta is accumulated
    to trigger a "tick" (1 scroll unit is equivalent to one traditional
    scroll event).
    
    Based on patch from Carlos Garnacho.

commit bc4e89dc05fd1cdd01cf84c0f89eac628b954407
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Nov 28 10:52:11 2015 +0100

    view: Fix check in dispose

commit 79c563d772675f1b5f8649e6419254943713c941
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Tue Nov 17 20:41:39 2015 +0100

    Fixes for cairo surface export
    
    Return NULL for surface when PathLayer is not visible.
    And do not try to export layers where surface is NULL.
    
    Also honor the tile opacity.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757350

commit 5cb2cb3c40fc3139781279cd0c94d26da3a07daf
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Sat Oct 31 16:58:35 2015 +0100

    view: Stop emission of ClutterZoomAction::gesture-cancelled
    
    We successfully override ::gesture-begin and ::zoom in order to
    replace the default "zoom the actor" behavior of ClutterZoomAction,
    however ClutterZoomAction::gesture-cancel implementation has the side
    effect of attempting to restore the actor translation and scale to the
    original position, which is undesirable here.
    
    This fixes the ChamplainView going blank, as it tries to "restore" a
    0 scale, because we didn't give it an opportunity to fetch the actor
    one on ClutterZoomAction::gesture-begin.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757149

commit d115060c179a4894f0f257c606d473740b0d2961
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Nov 16 23:31:01 2015 +0100

    Whitespace cleanups

commit 8689ed647959defbfe11dec4b37736c5334a7547
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Thu Nov 12 11:58:14 2015 +0100

    demos/launcher-gtk: Add export to png buton
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757350

commit b6012f6a275e64b477319d926f80c4a5cb33add4
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Thu Nov 12 11:57:37 2015 +0100

    ChamplainView: Add champlain_view_to_surface
    
    This function will export the current map view to a
    cairo_surface_t surface.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757350

commit 7a14435544606f0e5a919dc69be9273ccf63792f
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Thu Nov 12 11:56:25 2015 +0100

    Renderers: Set surface on tiles
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757350

commit fba665442ce70def9f58981151a2aa8997e4d9f9
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Thu Nov 12 11:56:00 2015 +0100

    ChamplainPathLayer: Implement ChamplainExportable
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757350

commit e50da6817569186ae854fdb2ac7453accb38077e
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Thu Nov 12 11:55:42 2015 +0100

    ChamplainTile: Implement ChamplainExportable
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757350

commit 1f061e27e7e6d1666e01e5a30cc5b7f7acb55464
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Thu Nov 12 11:54:17 2015 +0100

    Add ChamplainExportable interface
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757350

commit 2123b6041bbdf0bb19210d9c6dee2ddd05bdea33
Author: Rémy Oudompheng <oudomphe@phare.normalesup.org>
Date:   Sun Oct 25 08:20:13 2015 +0100

    defines: Increase precision of min/max latitude.
    
    The previous rounded value slightly exceeds the expected bounding box,
    making get_tile_bounds function return a negative min_y at high
    zoom levels.

commit 68e481c07a73b9755f2bb4cc30a57d3dc53407e4
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Sep 18 17:56:54 2015 +0200

    Post release version bump

commit 2f60a4bd3ae48baef054121514a271ece5121605
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Sep 18 17:26:10 2015 +0200

    0.12.11

commit 09a1b432165ecdc587ea8168a4b0c29a826f9c85
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Wed Sep 2 01:32:38 2015 +0800

    Fix return value error in champlain_view_get_world
    
    https://bugzilla.gnome.org/show_bug.cgi?id=754413

commit cf42830731b5f7b58733b0057cb0ffd02700ea73
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Aug 31 01:26:23 2015 +0200

    view: Set world_bbox to NULL in dispose
    
    Prevents double-free as dispose can be called multiple times.

commit 7bfaa264954489a0e9a93bbad9a364a990c5b93a
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Aug 31 01:22:27 2015 +0200

    view: Fix transfer annotations

commit 46cc3bfefff48ca62a158fb184dd980bace13418
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Sat Aug 8 17:11:35 2015 +0200

    ChamplainView: Add world bounding box property
    
    This adds a property to limit the world to a Champlain
    BoundingBox.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753395

commit 1549c0332ba16d033b315b5341dc2d26377821f4
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Sun Aug 16 23:04:28 2015 +0200

    defines: Min/max latitude should be 85.05113
    
    So it seems that the map_source_get_y breaks down when
    given values close to +-90. Some googling brought me to the
    conclusion that we should have a MIN/MAX latitude of
    85.05113, since that is what the Mercator projection
    truncates latitude to.
    
    See https://en.wikipedia/wiki/Mercator_projection for
    more information,

commit 85e51f87c2af781c423e75da3a725c459bf1cf49
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Aug 31 00:43:03 2015 +0200

    kinetic-scroll-view: Initialize sequence to NULL

commit c241e31d2768254a1f1bc43a04d0d36348d70ecf
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Aug 31 00:36:01 2015 +0200

    kinetic-scroll-view: Move comment to the right place
    
    Plus correct a typo

commit ddc5f2087b0a02c2e33c1939e9d310e37eb46f33
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Sat Jun 6 20:20:03 2015 +0200

    view: Implement pinch/zoom gesture
    
    Set up a ClutterZoomAction listening for 2-finger touch gestures,
    and make it take control over over the view position/zoom level.
    
    Zooming in/out isn't too smooth yet, because we're constrained
    to discrete zoom levels (it does animate between these though),
    this is enough at least for the expected interaction.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709606

commit 30c52851a8e73baa81a4439492c8022d3a5a90b5
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Sat Jun 6 20:16:12 2015 +0200

    kinetic-scroll-view: Make it exclusive to pointer/single-touch
    
    If we receive touch events, obey a single sequence and cancel all
    operations if more are received.
    
    The return value in the event handlers has been changed so the
    event is propagated, and kinetic scroll can work in cooperation
    with pinch/zoom gestures.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709606

commit c4567172b2ca950340dd65e6ddaa36788a7a2e3f
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Thu Apr 16 23:19:06 2015 +0200

    champlain-network-tile-source: Specify SOUP_TYPE_CONTENT_DECODER
    
    This is needed in order to get data that is gziped from the server.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748009

commit a2eca6ffd68983ba3c75a652917288ecfc82e962
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Mar 18 11:46:19 2015 +0100

    Post release version bump

commit e0386f80647b0bf0b00b8b2f3a276fcd4165e133
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Mar 18 11:41:10 2015 +0100

    0.12.10

commit eb2cff0f429ad542d7eba55232c33579e5cceddd
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Mar 18 10:49:58 2015 +0100

    Fix warning

commit 1a34b284750d966cd5fce59be3d03bb263dd184a
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Mon Mar 16 17:42:44 2015 +0100

    ChamplainView: Handle CLUTTER_SCROLL_SMOOTH
    
    In latest Clutter more devices reports scroll using
    the CLUTTER_SCROLL_SMOOTH direction. This means that the
    scroll to zoom functionality stopped working for Maps.
    
    Not handling the CLUTTER_SCROLL_SMOOTH in Champlain has
    always been a buglet. It gets more serious now that we
    get CLUTTER_SCROLL_SMOOTH more often.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=746127

commit 10c74dd5ec9430a501f702b7ff02a1d90858674f
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Sun Jan 18 13:48:48 2015 +0100

    Revert "Increase the maximum zoom level of Mapquest to 19"
    
    This reverts commit 08c9ea88e4a9fe19adc81da2329066f53b2332c5.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743121

commit adf500d71116ddc90255b0d5ec6bec961ee5122e
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Tue Nov 4 20:57:31 2014 +0100

    ChamplainView: Emit animation-completed::zoom
    
    https://bugzilla.gnome.org/show_bug.cgi?id=739641

commit 08c9ea88e4a9fe19adc81da2329066f53b2332c5
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Oct 30 14:49:30 2014 +0100

    Increase the maximum zoom level of Mapquest to 19

commit e1a1af44f90c1c65e81a4c7b65a6a92b79b6e125
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Oct 20 20:04:38 2014 +0200

    Whitespace change

commit 4776e790091f7b3ffab2a4e462b1f4e7825b1366
Author: Jonas Danielsson <jonas.danielsson@threetimestwo.org>
Date:   Mon Oct 20 05:14:05 2014 -0400

    GtkChamplainEmbed: Propagate key-press to view
    
    Make sure the GtkChamplainEmbed widget gives focus to the
    GtkClutterEmbed widget. And also propagates the key press
    events to the ChamplainView actor.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738849

commit 1fd0ba0f0b87b64ead0a7f0c8c83c9761bf05f79
Author: Jonas Danielsson <jonas.danielsson@threetimestwo.org>
Date:   Mon Oct 20 05:14:19 2014 -0400

    ChamplainView: Move the key-press event to view
    
    Bind the key-press event to the view actor instead
    of the kinetic_scroll actor. This will allow users
    of GtkChamplainEmbed to use the pan and zoom bindings
    from their application.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738849

commit b470dc9d12f6fe301d21f4d9504d27ca1301b246
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Oct 19 21:41:16 2014 +0200

    Use view height for computing y delta in the keyboard mapping demo

commit c16cbc9279aef8d720a7e559f4bbaed1d328de83
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Oct 18 20:35:26 2014 +0200

    Add demo demonstrating custom keyboard mapping for various map actions

commit a64f8a8f9a0f2d0640be468c8192f366c133f27f
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Oct 15 21:38:02 2014 +0200

    Make ChamplainLabel shadow optional
    
    Thanks to Chris Mayo for providing the patch.

commit 294c03a6792d0f9112a66147e267f3d08674d135
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Sep 18 00:30:47 2014 +0200

    Post release version bump

commit 11e76ac28fd77379f2a13e4f678679ef10372792
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Sep 18 00:14:28 2014 +0200

    0.12.9

commit dbc162b3c0687dce447c26a36d55ba30f311453b
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Sep 17 23:28:58 2014 +0200

    Fix signal annotations in ChamplainMarker

commit 2781116fa4baa6e405393bd6e74be820697891b8
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Sep 17 23:27:48 2014 +0200

    Fix some depreciation warnings in demos

commit ce7cbe375f81d31421fa4872ec966fe9f53f12ec
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Sep 17 23:24:24 2014 +0200

    Fix some compilation warnings in automake

commit 1bf18c23e64863812397e67a9741d8880889a530
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Sep 8 22:59:40 2014 +0200

    Trim latitude/longitude so it's within valid range

commit b594983b8fdddb953a66c6c47c3cfd60e4be3e34
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Aug 11 22:10:27 2014 +0200

    Set the kinetic-mode property default value to FALSE
    
    This way it corresponds to the actual behavior.

commit 71e70cc37bdbaca307d3270991d2fd0ca140890e
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Aug 11 21:17:32 2014 +0200

    scale: Stop invalidate_canvas idle callback

commit 815c47ce50922e4a95d6073cd97e88b040aa4408
Author: Damián Nohales <damiannohales@gmail.com>
Date:   Wed Aug 6 17:17:44 2014 -0300

    path-layer: Stop invalidate_canvas idle callback
    
    https://bugzilla.gnome.org/show_bug.cgi?id=734380

commit dc0677673bf46c374cb1dffc0c7566b5144d7672
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Aug 1 01:13:42 2014 +0200

    doap: add <programming-language>

commit 1496aaa381392897c3536ffde1271f19eb0c4447
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Aug 1 00:38:59 2014 +0200

    For privacy reasons, use https for map sources which support it

commit 57b45631f5dcb36248982bd292a6584bcf23e1fd
Author: Olav Vitters <olav@vitters.nl>
Date:   Wed Jul 30 20:26:28 2014 +0200

    doap category core

commit 4225edb7be2af7261dafafbc06b0f6c2f43825a9
Author: Damián Nohales <damiannohales@gmail.com>
Date:   Wed Jul 23 14:16:02 2014 -0300

    Don't deselect all markers when a marker got deselected
    
    This causes all markers deselection when a deselected marker "selected"
    property is resetted to FALSE.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=733617

commit 4d80cf4ef464e3102cfc4348454a0da02f3e12ce
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Jul 1 21:46:55 2014 +0200

    0.12.8

commit cf6530cbdf7b76e84c7216293699664baf690dbd
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Sat Apr 19 23:45:45 2014 +0200

    ChamplainView: Sink initial MapSource reference
    
    We need to call g_object_ref_sink on the initial MapSource otherwise
    we will call g_object_unref on a floating reference when a new
    MapSource is set.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728337

commit 75c8c5a68bb385357f5c0e9167846050d7259cc6
Author: Reyad Attiyat <reyad.attiyat@gmail.com>
Date:   Wed Apr 2 17:39:34 2014 -0500

    Added in touch support to the kinetic scrolling callbacks

commit 855f5b0a17d6753b9c135875ce6ac97cffca4e7d
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Feb 27 22:13:58 2014 -0500

    demos: Remove libraries from LDFLAGS
    
    The libraries that the demos link against are already (properly) listed
    in the per-target _LDADD variable.  Libraries should never be in LDFLAGS
    -- this is for linker options only.
    
    This unbreaks the build on FreeBSD
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725364

commit 78d3f339b8dc35569419f2a9e13731521f647909
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Feb 26 19:47:00 2014 +0100

    Bump libsoup dependency to 2.34 and use default proxy resolver

commit f2025d9099d72a2b96cd9ceb66a0d546b89ddc51
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Tue Feb 25 16:40:00 2014 +0100

    Do not depend on libsoup-gnome-2.4
    
    Everything in libsoup-gnome is deprecated.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725126

commit fc12385c15827fa41ef6e12ffea4f916c2837608
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Tue Feb 25 16:36:05 2014 +0100

    Update required version of libsoup
    
    In order to use the new SoupSession API we need 2.42 of libsoup.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725126

commit 594e04c91f23321b3c774e8507832faad1ee746c
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Tue Feb 25 16:16:31 2014 +0100

    Update documentation of proxy-uri property.
    
    SoupSession resolve the default proxy when the proxy-uri
    property is absent. Setting the proxy-uri will override the
    default proxy.
    
    This patch updates the doc to make that apparent.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=725126

commit eb406913b9423a729fca93d0d91f8d9fd4d45cb4
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 6 21:09:52 2014 +0100

    Post release version bump

commit 058199a9d8c85263506dce444bfe6fb874fa6857
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 6 20:46:17 2014 +0100

    0.12.7

commit d03dabc9e35d0cd3ba6c0546eb8202fe5d57b75e
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 6 20:26:02 2014 +0100

    Use correct Since release

commit 0f0e09686846c7b68df5ea25223c0ac3e78a5419
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Tue Feb 4 15:43:11 2014 +0000

    Release 0.12.6

commit 367a96baa631f79e482fdef2431d4d99ffa83cf3
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Tue Feb 4 15:28:39 2014 +0000

    Merge all NEWS entries from 0.12 branch

commit 5de9dd2aece22a419c42a8b4df25bc24471044ab
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Tue Feb 4 14:51:02 2014 +0000

    Remove generated files from VCS
    
    These files are generated by autogen.sh and therefore its a bad idea to
    keep them in VCS. You end up having redundant diffs to deal with when
    using different versions of autotoools.

commit 13a4a9b869ab6c6ead99970b72e44fce320ecbc2
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Thu Jan 30 13:06:01 2014 +0100

    view: Add get_bounding_box_for_zoom_level
    
    This function is useful for determining what zoom-level to
    use for the view.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=723279

commit 74317aa8db53d16fd1e602d918ea14630687cc33
Author: William Jon McCann <william.jon.mccann@gmail.com>
Date:   Wed Dec 18 06:11:20 2013 -0500

    Update project homepage

commit 6c26dc2a7f07550c5dc960c32b31de398975c01e
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Wed Dec 4 13:51:28 2013 +0100

    view: notify max/min-zoom-level on set_map_source
    
    When setting a new map_source we change the vie max/min-zoom-level
    but we do not make sure they get notified.
    
    This patchs sets them using champlain_view_set_[max|min]_zoom_level
    to ensure this.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=719840

commit 9033f82ff09a426ec393a33b7befff3c7f22130c
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Dec 6 00:51:49 2013 +0100

    Add checks if adjustments exist when stopping animation
    
    Necessary when dispose() is called before the stop method when destroying
    the objects.

commit 0bd28ea1cc6aac6954185fc6e884162a15eda733
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Sep 30 00:19:51 2013 +0200

    Don't use memphis for distcheck
    
    libmemphis support is currently not actively maintained and the local
    rendering is experimental (mostly due to missing vector tile service
    and not 100% perfect output of libmemphis). For this reason it's not
    production-ready and there's no reason to depend on it for distcheck.

commit 8ea259864ad9d9367461dd5ceef6498eed31bdee
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Sep 29 17:13:12 2013 +0200

    Name parameters consistently with headers to avoid warnings

commit 04d18bfe6b82b07c68553b2da7958f8f53208610
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Sep 29 17:11:52 2013 +0200

    Make sure Maemo is disabled when --disable-maemo is used

commit f5840211fe413609e4006a22d212776f9e1aec70
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Sep 29 16:50:26 2013 +0200

    Add the new weather map sources for Maemo builds as well

commit 34dbea4ccf1541d322a431692fa9c236ed287152
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Sep 16 23:09:20 2013 +0200

    Update autogenerated files

commit c7c19912b1691e08639a588ff1c76b706593ceaa
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Sep 16 23:14:21 2013 +0200

    Post-release version bump

commit cf985ac8299beb8927af3193cc1e390ea71e7ccb
Author: Colin Walters <walters@verbum.org>
Date:   Thu Aug 29 16:40:56 2013 -0400

    build: Fix srcdir != builddir
    
    gnome-ostree does builds directly from git with srcdir != builddir.
    Thus champlain-version.h will be in $(builddir); we should not
    explicitly prefix it with $(srcdir).
    
    Omit it from enum and introspection scanning too.

commit c659795992e6338e5c506a8b17effef131945218
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Aug 21 16:19:40 2013 +0200

    Typo

commit c7d4c6a6143f6bfc5bd16583869410c643f9a9ba
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Mon Aug 19 08:48:49 2013 +0200

    view: update documentation of goto-animation props
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706282

commit 9ef17c3564e95bf8366c0af76b599428b8dbc922
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Aug 21 16:16:09 2013 +0200

    Make overlay sources accessible outside of ChamplainView and update license actor
    
    Add a function to access the list of overlay sources, emit the "map-source"
    signal when overlay sources changed and update the license actor with
    all the overlay source licenses.

commit 1bf7575f26bcc7773580c825440f0921598d4e06
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Aug 21 14:48:22 2013 +0200

    Documentation and formatting changes for the overlay sources

commit 2834b443382878a7e8c9f47a096915c95aacceb8
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Aug 21 14:10:50 2013 +0200

    Add a check for a correct map source in tile loading idle function
    
    Map source can be changed before the idle is executed so we should check
    whether to load the given tile or not.

commit 3adb78f718e63aeb3ca5c15b59c1469f8cbc9e12
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Fri Aug 16 22:16:54 2013 +0200

    Add demo of the new overlay sources
    
    Allow to add overlay sources in the demo app.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=704645

commit 801b23da32e51c0f146329efa199a8488db2236d
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Sun Jul 21 19:30:07 2013 +0200

    ChamplainView: add support for overlay sources
    
    OWM are layers to be rendered on top of an existing map, and
    the simplest way to achieve that is to have ChamplainView render
    maps from a list of sources.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=704645

commit 43918664b296805d8b1dbe9872af514637f69dc9
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Sun Jul 21 18:55:10 2013 +0200

    Add support for OpenWeatherMap
    
    OpenWeatherMaps provides free (CC-BY-SA 2.0) maps for various
    kind of weather data, such as clouds, wind, temperature and
    precipitation.
    
    This is not fully functional because OWM maps are just layers,
    intended to be placed above OpenStreetMaps.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=704645

commit 1d400445400ee2e47629fdbfbb4db1a4611e1dcf
Author: Marvin Schmidt <marv@exherbo.org>
Date:   Wed Aug 14 09:42:38 2013 +0200

    doc: Set DOC_MODULE_VERSION
    
    This will avoid file collisions with future API versions and makes
    different API versions completely parallel installable

commit 46fbec3941fece341f1f2942340a13437d4f4289
Author: Jonas Danielsson <jonas.danielsson@lundinova.se>
Date:   Mon Aug 12 15:17:07 2013 +0200

    view: Add properties for animation mode & duration
    
    https://bugzilla.gnome.org/show_bug.cgi?id=705829

commit 55826b81be9bd911650f246f0d15e29e0851ef01
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Aug 6 21:41:42 2013 +0200

    Remove deprecated count_changes pragma and perform database vacuum on demand

commit 10378bfff25a7c8c092d0a348d4f0c81765460b2
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Aug 6 21:40:50 2013 +0200

    Make sure opacity is animated correctly for error tiles

commit 8a3398cf983760a42cb0e8b1cc1f0a35bde7acab
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Aug 6 15:40:54 2013 +0200

    Load tile bitmaps asynchronously

commit 4ca95de2a62495b93a9e4fdd74f9b8e4c0a12f7b
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Aug 6 11:42:55 2013 +0200

    Perform tile creation in idle function
    
    Move tile creation, addition to the viewport and positioning into
    idle functions to perform smaller amount of work in the load_visible_tiles()
    method which leads to smoother animation because tile loading is better
    interleaved with the panning animation.

commit a2015bb6a674138e8dd7189696f1b86fc4d68426
Author: Jiří Techet <techet@gmail.com>
Date:   Fri May 31 15:23:07 2013 +0200

    factory: Fix OSM license

commit 6b5b5db2afb758f621c6bf2883feeb34621cd6e4
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 16 20:45:19 2013 +0200

    Post-release version bump

commit 4468bff348433848af2c3c2727b988572f46793c
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 16 19:04:52 2013 +0200

    path-layer: Correct version since dashed lines are supported

commit 0ef0b5465be1ce8dc9721c1ad8d25e14df7e1fdc
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 16 17:51:34 2013 +0200

    factory: Define GTK_DISABLE_DEPRECATED for the deprecated sources

commit 50e2dcf0b0abd226b6fda901c3c4c93974283a9f
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 16 17:50:17 2013 +0200

    factory: Revert "Drop OAM map source completely"
    
    This reverts commit 5fbcda5c709d34efb87d6d60af1cf7f286e94fe1. After a second
    thought it's not a good idea to change the API by removing the define.
    Let's remove the define next time we make an API bump.
    
    Conflicts:
    	champlain/champlain-0.12.vapi

commit 5721b406df4bf176694f0d9d30793ee8c5853443
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 16 17:21:55 2013 +0200

    factory: Remove the Osmarender from the factory
    
    Osmarender doesn't exist any more and will be removed completely in the
    future version of libchamplain.

commit c69ae92180ebe65799a43ed65c2b3242311385ba
Author: Jiří Techet <techet@gmail.com>
Date:   Wed May 8 13:30:11 2013 +0200

    Convert some of the gints back to doubles because of lost precision

commit ce564e0cff5199c9b9ba66a2f05db94d5911c791
Author: Jiří Techet <techet@gmail.com>
Date:   Wed May 8 01:56:01 2013 +0200

    Fix the previous commit by adjusting offset based on the viewport size

commit a31db71dd4270bc68d80046d3538f7bf15319b1b
Author: Jiří Techet <techet@gmail.com>
Date:   Wed May 8 01:45:00 2013 +0200

    When zooming-in, recalculate viewport position from latitude/longitude to avoid rounding errors

commit 6a90f2766d21cbc17d69c1f9ee22f998db3f49e5
Author: Jiří Techet <techet@gmail.com>
Date:   Wed May 8 00:12:13 2013 +0200

    Compute zooming offset in double instead of int to avoid rounding errors

commit 9fa0a319aff8cf7bdd4b3bbf3cd25ad08034121e
Author: Jiří Techet <techet@gmail.com>
Date:   Tue May 7 23:53:37 2013 +0200

    Use sane color selection values when the obtained one aren't

commit 29002a75b648f3f5c7e09f69dc746b76fc057439
Author: Jiří Techet <techet@gmail.com>
Date:   Tue May 7 23:17:46 2013 +0200

    Remove background zoom actor when not needed any more

commit 99bf4aaa85bc0e873011b7f30ee9b1acebc74bc6
Author: Jiří Techet <techet@gmail.com>
Date:   Tue May 7 22:20:14 2013 +0200

    Check whether timeout exists before destroying it

commit 775c3f262805bc61a821dfcaa9e03245b3eb6609
Author: Jiří Techet <techet@gmail.com>
Date:   Tue May 7 21:56:41 2013 +0200

    Remove unused functions from ChamplainAdjustment and KineticScroll
    
    Also improve scrolling event handling slightly

commit 6dc2c4338f3e386472af104f833c3c3e19f0cd8f
Author: Jiří Techet <techet@gmail.com>
Date:   Tue May 7 21:51:22 2013 +0200

    Redraw using cairo on idle

commit 7325b3d91cc8104dc49adf5dd4689a57236a4ccf
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 5 19:31:46 2013 +0200

    Send the latitude/longitude signal less frequently and speed-up drawing

commit d8b95e483342625dc891bc334fa4debed805ce05
Author: Jiří Techet <techet@gmail.com>
Date:   Sat May 4 18:02:13 2013 +0200

    Check whether hadjustment & vadjustment exist before referencing them

commit 99beb25437346a81632cdb24d3ffaa8feedac5c5
Author: Jiří Techet <techet@gmail.com>
Date:   Sat May 4 17:08:05 2013 +0200

    Fix the view issues when it hasn't been realized yet

commit 382902bb40952508ff0e97f20628b9100c7467f4
Author: Jiří Techet <techet@gmail.com>
Date:   Sat May 4 14:09:38 2013 +0200

    Emit the relocation signal less frequently and speed-up viewport panning

commit 358a0256522106cc200b66134161d9ce071baa1b
Author: Jiří Techet <techet@gmail.com>
Date:   Fri May 3 19:50:28 2013 +0200

    Slightly improve zooming visualisation

commit b8a17b7b4069bfb2844a067b48c0d79d0018f136
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 2 22:29:59 2013 +0200

    Revert "Remove background zoom layer when all tiles loaded"
    
    This does not work as expected.

commit 0dc2fdfe28bf035bfabfd6b1f5047b92632e72e3
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 2 22:27:36 2013 +0200

    Update AUTHORS

commit 61f2e26977e4076d193958b6a3c5ccd80f3d1ee0
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 2 22:27:24 2013 +0200

    Update Clutter version in README

commit f5d26263bef757b20961d4dd318019eeb5f8ed39
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 2 22:27:08 2013 +0200

    Remove background zoom layer when all tiles loaded

commit 43978d828c530a11635c95a8989c6ead8384d5e3
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 2 21:27:28 2013 +0200

    Update the vapi file

commit 8b93ffbdb4b0115573cc711d417180ad95bd7760
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 2 21:16:08 2013 +0200

    Make sure ChamplainView is pixel-aligned
    
    Even when the view size is odd.

commit 8f73a29d16f2ddb54610ca3c37aca3099a81f737
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 2 18:20:55 2013 +0200

    Add more tile coordinate checks

commit 13fc7124b8da15343d4d327b03399c0284d94727
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 2 17:57:15 2013 +0200

    Better path element connection

commit ff72b5e450390ed156b7bfce33833b7f6c39e052
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 2 16:04:56 2013 +0200

    Pixel-align scale text

commit fd3205009cdc50b15a1c05aaffda60dcc5921111
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 2 15:55:04 2013 +0200

    Make sure license correctly redraws itself when view resized

commit bb41f2bc2c37d2da86aeb106afde282131c3209e
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 2 15:43:25 2013 +0200

    Depict the actor hierarchy in comments

commit 18563686803477a28f5911539fb0dc6299eb9d3f
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 2 15:30:13 2013 +0200

    Add copyright to ChamplainViewport and friends

commit 2d9a24123817b8ca187b08b50141b07ba85412a3
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 2 15:25:08 2013 +0200

    Cleanup tile loading code

commit 8da681c230063aa8260d03a37c24b17a326a5da3
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 2 14:56:15 2013 +0200

    Use gint instead of gdouble where possible in ChamplainView

commit 3033c88c093f1074bb9f0584bcac0f83e2df3ecd
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 2 12:36:38 2013 +0200

    Resize viewport correctly on launch

commit d6b29ab38d00ee66913e5b408482472380a06e50
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 2 12:26:43 2013 +0200

    Move background pattern testing from launcher-gtk to launcher demo

commit 13bfd2d103eedaddebb808d471963bf5cca349d7
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 2 12:26:03 2013 +0200

    Use more neutral default background color

commit 5729ff0a936882c01b51ac80baf39952b1359061
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 2 11:09:26 2013 +0200

    Simplify viewport scrolling code

commit 596b84261f00ce740f970eddc921db8c23c13512
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 2 11:03:01 2013 +0200

    Simplify the viewport code

commit 3a3b7b0dd0ec2ce09e8ac4bb2e95d25860b6c4c4
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 2 11:02:38 2013 +0200

    Simplify zooming code and fix the remaining issues

commit 42ee0ab8fe3dc8107e7f594cbae2beb386461d98
Author: Jiří Techet <techet@gmail.com>
Date:   Wed May 1 01:05:32 2013 +0200

    Completely remove the anchor complexity from ChamplainView

commit 4d361a968a2c9c9f73e7e984e18fe5386d861bd1
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Apr 30 15:42:43 2013 +0200

    Cleanup latitude longitude handling a bit

commit 98d2ceac626c03af4abe9e0a3a24b6fb4f039ccd
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Apr 30 00:39:13 2013 +0200

    Eliminate anchor from ChamplainView as much as possible

commit d5068868135bbfa4d22738016d213a1e8547cc76
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Apr 29 15:03:27 2013 +0200

    Remember background pattern offset so it doesn't reposition when zooming

commit f9994688795702a3da6f6ad90f2b1f94449c0a3a
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Apr 29 02:32:18 2013 +0200

    Use signal to detect that ChamplainView is realized

commit 1e748b01b86b6790aff595ab5fb0ef7111f09e26
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Apr 29 01:56:20 2013 +0200

    Add comment about background pattern performance

commit 1b8bbf9219638d2c442087d981fe499eac35fd0f
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Apr 29 01:51:01 2013 +0200

    Finally fix the zoom animation problems

commit cab76ea9ab7587ef7560f0b6e13b8aedf7397edf
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Apr 28 01:41:28 2013 +0200

    Fix include

commit c630ed1873ca9601f4bfee6124d4aa1c9cdb268d
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Apr 28 01:27:47 2013 +0200

    Fix documentation issues

commit 46bae29d0720a207e9422651e55d14e615fd6b28
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Apr 27 21:36:14 2013 +0200

    Update copyright years

commit bfda4c157200d6758393b53ee45712e152d39726
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Fri Apr 26 04:28:41 2013 +0300

    champlain-point: Adjust translation on size change
    
    https://bugzilla.gnome.org/show_bug.cgi?id=698910

commit 98321ed98d0da03bbe434fb14fb326bf78531e33
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Apr 17 18:43:40 2013 +0300

    Emit 'animation-completed' signal at the very end
    
    Without this patch, apps will get criticals and even crashes if they try
    to zoom in or launch another goto from within their handlers for
    'animation-completed' signal.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=698213

commit 2e6fb153a062f2221d45d71fac70212599656203
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Apr 19 20:50:12 2013 +0200

    Don't use champlain_view_bin_layout_add () as it's deprecated now

commit 44bae77ab75add3cace71ea617cdee17c776bb67
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Fri Apr 19 04:03:19 2013 +0300

    Deprecate champlain_view_bin_layout_add()
    
    This API requires deprecated clutter enum ClutterBinAlignment so better
    deprecate this function as well.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697711

commit 66c7012d31f2106ad8b43f6cb8d05b6e24f2d032
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Apr 19 19:36:30 2013 +0200

    Update the js demo to the new Clutter API

commit 44f487e4e2a4698de9598f6cf3da1ab5d07f3362
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Apr 19 19:36:01 2013 +0200

    Make sure that viewport is redrawn even when it stops moving

commit 89be3c21f617c78e43326af8aae5b2d29de6a282
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Apr 17 11:46:51 2013 +0200

    Fixes in kinetic scroll
    
    Remove drag threshold which is not necessary for libchamplain, add sanity
    check that mouse button is released during motion event.

commit 4a433781c1a5c3440336bff5bc1861d5ea508b32
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Fri Apr 19 04:14:30 2013 +0300

    Bump version
    
    For some reason version was not bumped for many releases. Bumping it to
    next version already.

commit 3f9559ca3b44e49888e56b21dc7372ff81974619
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Apr 16 23:25:09 2013 +0200

    Update Since in champlain_bounding_box_covers() and champlain_view_get_bounding_box()

commit 2e2ccc34d92ad2ee71487e22565856149ee438be
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Tue Apr 16 18:59:18 2013 +0300

    Add champlain_bounding_box_covers()
    
    Add a method to check if a particular location is covered by a bounding
    box.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=698143

commit ea12c7b684a205398477740e96bd602cfbd10113
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Tue Apr 16 18:57:47 2013 +0300

    Add champlain_view_get_bounding_box()
    
    Add method to get bounding box of the view.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=698143

commit a5c8bc00682f3ed7d016724f96a96ea70d75114a
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Apr 16 23:16:20 2013 +0200

    Always create ChamplainLabel even when png is not valid
    
    Also redraw label upon creation

commit 3f6e006c41c8b052cbbf177b9f862f1baa7037a4
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Apr 13 15:46:53 2013 +0200

    Hopefully fix map shifts after zoom

commit 482f1e8567bb7dd7291a564ddec236c9c1ff4b5e
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Apr 13 15:14:49 2013 +0200

    Allow the background pattern to be arbitrary rectangle

commit 8f295ad7aee8074d6cba31d0d97c99bf5117f1d4
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Tue Apr 16 02:14:13 2013 +0300

    Fix Javascript demo app

commit 6c316fefb67e6500a67a4c5ce51cc81eb18ab32e
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Fri Apr 5 16:28:09 2013 +0300

    docs: Update .types

commit 4bf9388ae1697901913f8deb8eed18f14b3d41b1
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Apr 13 00:42:17 2013 +0200

    Update demos to use Clutter 1.12 API

commit 332c00d46ad6b51661bf249d8a704604498234b1
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Apr 12 21:29:36 2013 +0200

    Optimize background tile addition a bit more

commit b2b25013802f56019c5e00664ba99d03b01c010e
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Apr 12 20:37:00 2013 +0200

    Cleanup ChamplainView initialization and remove unnecessary queue_relayout() calls

commit 92ecae2ce8665634706e87fdc5e6c68aec0cd972
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Apr 12 09:10:44 2013 +0200

    Eliminate deprecated scale-center-x

commit 7490bd49d852963e8f1e98b7d32debc6707bb5aa
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Apr 12 07:42:26 2013 +0200

    Hide user layers when animating zoom

commit 9c7879eb6d3f0108841b21dbea3be2c608ec172f
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Apr 12 07:38:14 2013 +0200

    Fix borders at low zoom levels

commit e734cac311bf53f61c1a1f0243cba546f3d8d373
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Apr 12 05:26:33 2013 +0200

    Garbage removal in kinetic scroll & friends

commit 3b513f719576c824e9a67e3eb1290f1649ecbf63
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Apr 12 02:23:13 2013 +0200

    Use ClutterActorIter where possible

commit 602e50c7d5bdb1a07cbe178e79d7d5b2b0cd0986
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Apr 12 02:22:25 2013 +0200

    Eliminate the easier-to-fix Clutter warnings in demos

commit 31648bc273b90db838e675d74a26dbc26a4e76e9
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Apr 12 01:36:45 2013 +0200

    Cleanup ChamplainLabel a bit

commit 9dd08998f7be7927659315c0682aecd5e819cd51
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Apr 12 01:36:19 2013 +0200

    Get rid of set_anchor_point()

commit 8cd0b05db154c34e95cbd978aded6ed88808b0b0
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Apr 12 01:35:10 2013 +0200

    Remove all the garbage from CustomMarker
    
    Should be removed in future versions because it's useless now.

commit 5df37f9bd3aa2b2e64139be9e903f8f5b211452f
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Apr 11 18:01:31 2013 +0200

    Modify the background pattern interface to use ClutterContent

commit 56cfc6deb1e21abb43dd16203f2dea7a06b43247
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Apr 11 16:35:58 2013 +0200

    Remove some more unnecessary stuff in ChamplainPoint and fix some minor issues

commit 392efa1037dd0d2f21d9bcbfd7f78a5a5268a1df
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Apr 11 14:08:20 2013 +0200

    Update most of libchamplain to Clutter API 1.12

commit 0a25d2e793f3a90a38ef17b65b794b6f7beaa9b8
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Apr 10 17:02:25 2013 +0300

    ChamplainPoint: Remove now redundant proxy implementations
    
    Not sure if they were needed before but removing them now does not seem
    to cause any problems afaict from my limited testing.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697711

commit d97f4f269804a92f46dce63b5b0b94142d96c934
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Apr 10 16:53:47 2013 +0300

    ChamplainPoint: Port code to Clutter 1.12 API
    
    There is still a call to deprecated clutter_actor_set_anchor_point() but
    I don't yet know how to replace that one. According to docs it should
    simply be replaced by clutter_actor_set_pivot_point but seem translation
    isn't that straightforward as anchor and pivot point are not the same.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697711

commit 8bf25b896628d417e3340a29e72f75c4624146f4
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Apr 10 16:56:02 2013 +0300

    Require Clutter 1.12
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697711

commit 07e60ba32b2cfab45024464ce7ffebf5aba11ee4
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Apr 8 23:28:34 2013 +0200

    Use GdkRGBA and friends plus GdkGrid

commit 9a1bb96d4d9000277535ad57ebd0695eb16f68ad
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Apr 8 23:26:10 2013 +0200

    Prevent multiple SECTION docstring definitions because of multiple inclusion

commit fd5c32596a85a4d93992b34f32deb26bf443634c
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Apr 8 23:25:14 2013 +0200

    Define g_rw_lock_* on glib <2.32 versions and use these functions for locking

commit fd8a2a359523b89b15cbf28edd3a64157e81bf3a
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Apr 8 17:59:50 2013 +0200

    Improve background texture code
    
    Add custom background tile texture support, improve performance by making
    texture clone instead of redrawing it every time, make background tile
    size independent of the map tile size, display background
    texture also at zoom level 0, show background texture all the time during
    zoom animation, fix some minor bugs and make minor cleanups.

commit 38831d77fe1dbf9291dac537c273a5e1262d70ef
Author: Andre Moreira Magalhaes (andrunko) <andre.magalhaes@collabora.co.uk>
Date:   Fri Aug 24 12:03:33 2012 -0300

    Draw background pattern for missing tiles.
    
    Signed-off-by: Nirbheek Chauhan <nirbheek.chauhan@collabora.co.uk>

commit 4be00c93ca58b4d8dd65d29cc58f428f4258f64b
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Apr 8 00:20:28 2013 +0200

    Get rid of libsoup warnings

commit 5fbcda5c709d34efb87d6d60af1cf7f286e94fe1
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Fri Apr 5 16:30:55 2013 +0300

    Drop OAM map source completely
    
    OAM has been offline for quite a while now and the code to register this
    source was already disabled in commit c89725924 a while back. Any
    application that tries to use it ends-up crashing. Better remove all
    support for it already. Since the using apps are crashing anyways, there
    is no real API/ABI break involved here.
    
    I already added an alternative aerial source in the previous commit so
    application can use that instead.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697304

commit 19ac9ed8da57e024907f3cc9f4a6c74fd3e7c274
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Fri Apr 5 16:28:46 2013 +0300

    Add Mapquest Open Aerial map source
    
    Seems after the demise of OAM, this is the only usable and open service
    of aerial tiles.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697304

commit c4b0fdab8757fc1ab42ea5fecae08a0df6a956f9
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Apr 7 23:11:27 2013 +0200

    Add some missing colons in docstrings

commit 0b79829e2c56c37755006588cb557351315c63c7
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Aug 13 15:26:41 2012 +0200

    Disable clutter depreciation warnings for now
    
    TODO: Once libchamplain's dependency is updated to newer clutter
    version, update libchamplain sources and remove the macros.

commit b68be75e999df8fb3d2d958677d021c65dea2b43
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Aug 13 15:02:37 2012 +0200

    Add documentation for TMSY coordinate

commit a47ab6e8a99469f547ec83326c62101d53bb9405
Author: Samuel Gyger <samuel@gyger.at>
Date:   Sat Jul 21 18:44:12 2012 +0200

    Added the possibility to use TMS correct y-axis.

commit 78f7c4c02edb9796dc65854b1b67c472caca9439
Author: Evan Nemerson <evan@coeus-group.com>
Date:   Mon Aug 6 17:01:47 2012 -0700

    Fix symbol name referred to in ChamplainFileCache:size-limit docs

commit 2b9d008158198fd9cd2ec046feaff30ea98fe94d
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jul 14 23:25:23 2012 +0200

    Update demos makefile

commit 2002cb15dd5952dbdbcefb2698b881f046a35259
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jul 14 22:38:11 2012 +0200

    Merge launcher-gtk.py and markers.py

commit 48b4841a07c9be7034be17f9b0317fd322845852
Author: Pablo Castellano <pablo@anche.no>
Date:   Mon Jul 9 22:19:31 2012 +0200

    [demos] Added polygons.py (similar to polygons.c)

commit 064eaae6ed319ce52d73aead589299a1ec685d56
Author: Pablo Castellano <pablo@anche.no>
Date:   Mon Jun 18 14:27:43 2012 +0200

    Minor changes

commit d02f714eefc2fdd4015055ba6ec788b52174f114
Author: Thomas Bechtold <thomasbechtold@jpberlin.de>
Date:   Sun Jul 8 10:27:59 2012 +0200

    fix osm cycle map source

commit 8c769a60905b7655ac5087ca0f63f6b6d8a4779e
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Jun 29 00:30:26 2012 +0200

    Resize containing clutter actor together with the point

commit 8bf1dc266a2a7ac44960274f55bbcddbad522f8f
Author: Pablo Castellano <pablo@anche.no>
Date:   Sun May 27 01:28:30 2012 +0200

    Improvements in several files

commit 3b2649766aa1e6f9f002d662a146de2a6bf5fbeb
Author: Pablo Castellano <pablo@anche.no>
Date:   Sat May 26 19:54:07 2012 +0200

    Fixed call to unexisting get_coords() method in launcher-gtk.py

commit ba3e573539939ae02ec686901b452c466b0c4e4e
Author: Pablo Castellano <pablog@gnome.org>
Date:   Sun May 27 19:53:45 2012 +0200

    Fixed typo. Closes bug #676892

commit 05527352d0e1666067d789412c98d49cfa13f343
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Apr 4 22:52:44 2012 +0200

    Correct comment in minimal-gtk demo

commit c60c5167b94b06c14981818eb0567aee0cd0f278
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Mar 12 13:15:15 2012 +0100

    Revert "Post release version bump"
    
    This reverts commit 94dbdd4fc64abcd4754b047ea7caec28cd23b5cd.
    
    There is no API break at the moment so it's not necessary
    to change the library version.

commit 77ce038a1cd67d742c42497a864e7917daffcc64
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Mar 12 00:00:29 2012 +0100

    Don't generate vapi files during make distcheck
    
    Due to some missing vapi files in vala 0.14.2 libchamplain's
    vapi files cannot be generated with this version. Because
    this vala version is commonly deployed, make distcheck often
    fails. As a workaround, use the pregenerated vapi files instead.

commit 73a0a625816512e4b76831d1ab7004525e332018
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Mar 11 23:57:30 2012 +0100

    Use vapi file generated by vala 0.15.2

commit d344a9d13b78218f64f54db5ce29fd48ec8ba7db
Author: Alexandre Rostovtsev <tetromino@gentoo.org>
Date:   Sat Feb 4 16:51:53 2012 -0500

    Call vapigen with --pkg cogl-pango-1.0
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669378

commit c7133e50b85b03437c29695e6d8f70dfc78d11a2
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Dec 29 18:55:05 2011 +0100

    It's the time of the year again...

commit cd59ab200694b70a85f543a94b541da2b7a382eb
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Dec 29 01:44:22 2011 +0100

    Add auxiliary script containing all the needed parameters to make a distribution

commit d567dd7bec5a878ea4007bf00c31f5466ba67c87
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Dec 29 01:43:36 2011 +0100

    Distribute the python demos and marker images

commit 1bad8a82437847a9461f761f6187c9ff7f487b56
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Dec 28 23:44:08 2011 +0100

    Minor changes/cleanups in Python demos

commit a8449d37aae0e043a50fa2deba51a89469a1b904
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Dec 27 15:34:58 2011 +0100

    Add Python champlain-gtk demo with markers
    
    Thanks to Nicolas Évrard!

commit 42e3cfccae78e56db4427eed47b30c9f5f09b68a
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Dec 20 02:06:41 2011 +0100

    Update NEWS file

commit 74a2d1f1463edd5f59325902a01d2aa73b357e52
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Dec 20 01:52:45 2011 +0100

    Update vapi file

commit 9f7cc348e6a38eb1b76289d08d5e259dbcdb65a8
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Dec 20 01:42:12 2011 +0100

    Update libchamplain-sections with new functions

commit fd5e4232d30d39951552e1353f5b09ba637b4940
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Dec 19 23:21:51 2011 +0100

    Fix wrong zoom actor placement at low zoom levels

commit 9d05a920b1dbb13c1586d0fdac894c58b00291d8
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Nov 26 00:44:29 2011 +0100

    Don't use (transfer full) for initially unowned objects
    
    Transfer full says that the caller should unref the object but
    in the case of initially unowned objects this means one
    extra unref and object destruction.
    
    More details here:
    
    https://bugzilla.gnome.org/show_bug.cgi?id=638542

commit 88dc672b8797834b03d67b962dda2de2d40ad4f1
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Nov 21 13:16:29 2011 +0100

    Add description how to run the python demo

commit 68928ed16d4b078479f31895cf139abd027b70f9
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Nov 21 13:16:10 2011 +0100

    Add dashed line drawing to path layers

commit 0bef0a3236c68882f3569d40f9de95338671e470
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Nov 20 18:42:23 2011 +0100

    Get rid of clutter_stage_get_default()
    
    It is deprecated in clutter now.

commit 30ad5b19454f1170fc7e111a97ca23dcae07f61c
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Nov 20 16:03:17 2011 +0100

    Replace some deprecated functions

commit e5f8b954f1aed17e42af5dffb168a3b72c7c4f4c
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Nov 20 15:06:43 2011 +0100

    In idle functions check whether ClutterActor was destroyed
    
    Clutter actor can be destroyed using clutter_actor_destroy()
    which causes immediate call of dispose no matter how many
    refs the given object has. In idle functions we have to check
    whether this happened to current object (by checking whether
    some of the referenced objects is NULL) and if so, return from
    the idle function immediately.
    
    This commit also adds one testing example which quickly creates
    and destroys ChamplainView, which can easily verify the presence
    of the original bug.

commit e95f261708131af62d2cff65784863552c4b084b
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Nov 20 00:16:07 2011 +0100

    Don't use idle function when animating markers
    
    Use of idle functions is dangerous in clutter because actors
    can be destroyed by clutter_actor_destroy() even if they are
    reffed.

commit 83cde4c7352aa7e01c82b182162dbe5a1c6e0056
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Nov 18 02:43:21 2011 +0100

    Some more g_thread_init() removal

commit 29c48577c26c7702236bf00c973118326e23dda6
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Nov 18 02:34:40 2011 +0100

    Add other dependencies CFLAGS to champlain-gtk AM_CPPFLAGS

commit 16d498e54c76fd0d03edc9c59649b4b49c5eefcc
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Nov 18 01:21:25 2011 +0100

    Add missing redraws when path properties change

commit b6098de723f14f8dd5051a83f54bb7503f7e8a47
Author: Colin Walters <walters@verbum.org>
Date:   Thu Nov 3 22:29:37 2011 -0400

    demos: Don't call g_thread_init
    
    Doing so now requires linking -lgthread, but it's been pointless
    since GLib 2.18, which is ancient history now.

commit 864e445974de7c843cdb4ee008bad0a550e5af6e
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Oct 7 00:06:59 2011 +0200

    When re-creating scale, remove all actors first
    
    Otherwise the previously inserted actors are still used for redrawing.

commit 94dbdd4fc64abcd4754b047ea7caec28cd23b5cd
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Sep 18 00:09:19 2011 +0200

    Post release version bump

commit 95f8327bdab2f80bcb345ab18b6f19fd03533b64
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Sep 17 23:28:53 2011 +0200

    0.12.0

commit 9864d0ac603cb446b78607e190b623d2ae058475
Author: Javier Jardón <jjardon@gnome.org>
Date:   Fri May 27 23:41:49 2011 +0200

    autogen.sh: Use gnome-autogen instead custom code

commit 6d963c5e1ab95173285e8d24c27c071bcc477fd2
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Sep 17 02:27:13 2011 +0200

    Add icons for marker demo as they have been removed from system directories by some distros

commit ed6c9799798538fa83a594afcef44c97c8ae4c1f
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Sep 17 00:22:39 2011 +0200

    Update gtk-doc.m4 to new version

commit f9d89857f8e2bd3ea57ac40ca40171bce7d229e8
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Sep 17 00:21:43 2011 +0200

    Update regenerated vapi file

commit ca30fa8f37b9669a57cdf162e9163ba17ef82125
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Sep 3 23:26:30 2011 +0200

    Add API change index for 0.10 and 0.12 into docs

commit a163de22c9db67deb16ac999429652713f23bc7c
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Sep 3 00:37:18 2011 +0200

    0.11.0

commit 7f7c621441d3a8b1a4e7442fd2ffc5ec8b8b56dd
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Sep 3 00:18:16 2011 +0200

    Revert "vapi files shouln't be normally cleaned"
    
    This reverts commit 3ea5f67d7aa64e5518e2a3acc6fd095a1d8bcd72.

commit bbc60d4b6ec0c151fa9d9f1ab6a2bd16a300b9bd
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Sep 2 22:52:47 2011 +0200

    Regenerate vapi files

commit 4fc449770d2d48ae924381e0ee82a475d745ba67
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Sep 2 22:52:08 2011 +0200

    Generate docs for new and modified symbols

commit 784adc2db954487a141061cfb8d41fe900f1ffea
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Sep 2 22:50:22 2011 +0200

    Add check for clutter_init() return value in demos

commit 6d7b179ffc3569ca807897e1f890dfab2f8fa483
Author: Frédéric Péters <fpeters@0d.be>
Date:   Tue Aug 30 21:40:22 2011 +0200

    build: link against libm
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657760

commit a36c51a30b81f1c78349787648cc1a8dee47d5e4
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Aug 21 00:45:46 2011 +0200

    Make dist should be in xz now

commit 4633e68231cea3ae1c88e93af2623dc493932e5d
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Aug 21 00:23:18 2011 +0200

    Add dependency on pangocairo for vapi generation
    
    Thanks to Dominique Leuenberger

commit 0e93234ee9f9345adf03e205cd33debf47f34805
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Aug 21 00:21:57 2011 +0200

    Make zoom animation configurable

commit caa28356b43e1b75623c110eb16261a28c380a50
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Aug 17 22:39:52 2011 +0200

    Use CLUTTER_PRIORITY_REDRAW for all idle functions
    
    Clutter uses CLUTTER_PRIORITY_REDRAW for all its animations so we have to
    use at least this priority in order to avoid starvation in certain
    situations. There doesn't seem to be any need for other priorities
    at the moment.

commit ed49d7a8c6cab9c6bf6985ed6340535f7739eb8b
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Aug 16 00:20:42 2011 +0200

    Add zoom-in/out animation
    
    Introduce zoom-in/out animation and keep the scaled image there until
    the new tiles are loaded. This should prevent the flickering experienced
    when zooming and also make libchamplain look more cool.

commit 9dd4d78c1d3fc8887e609d3bca3ba2eda4ebd613
Author: Andreas Henriksson <andreas@fatal.se>
Date:   Fri Aug 5 11:16:13 2011 +0200

    fix typo, time vs time_
    
    ./champlain-tile.c: In function ‘champlain_tile_set_modified_time’:
    ./champlain-tile.c:791:3: warning: the comparison will always evaluate as ‘true’ for the address of ‘time’ will never be NULL [-Waddress]

commit 3ea5f67d7aa64e5518e2a3acc6fd095a1d8bcd72
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Apr 11 00:08:13 2011 +0200

    vapi files shouln't be normally cleaned

commit 02302f69e41dc5137616febbfa19803e4b35a94e
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Apr 10 23:46:08 2011 +0200

    Version control the vapi files
    
    They are now installed automatically and the installation would fail
    if people just cloned the git repo and didn't generate them manually.

commit 9d0ea19210b7ead3d5e16fe08822c504cb7c41f3
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Apr 10 23:41:02 2011 +0200

    Always install vapi files

commit 6073a86aee42ce2801c679351382d8ef903cee11
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Apr 10 22:15:43 2011 +0200

    Rename GTK_TYPE_CHAMPLAIN_EMBED to GTK_CHAMPLAIN_TYPE_EMBED
    
    Thanks to Lorenzo Masini

commit 2af7e657938c9bdaa54a2295bf78e93d175de473
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Apr 4 22:08:51 2011 +0200

    Update .gitignore

commit 94cea32d6aa03a93de18a24af647d4020a6c8c67
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Apr 4 22:03:07 2011 +0200

    Post release version bump to 0.11

commit 522d3db23e12052be85bcf2e6f25c07a0ef2bbd8
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Apr 3 22:34:10 2011 +0200

    0.10.0

commit faa1db119dcbbb049d82e38a849a19501c3c3d47
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Apr 3 19:54:17 2011 +0200

    Vala demos should be buildable even if vapi generation disabled
    
    The necessary vapi's are distributed with libchamplain anyway

commit 82d2ca0b56fc7182e8aebecf2143717be0fdb5e0
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Apr 3 16:38:47 2011 +0200

    Fixes in champlain-gtk Makefile.am
    
    include-uninstalled should be enough for gir generation (otherwise
    we get errors whn libchamplain is not yet installed in the system)

commit 05f6e11d5e5bfe44049093fb73caae16cf52fd09
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Apr 3 15:29:31 2011 +0200

    Use the built library for the gir scanner instead of the system one

commit f9f39d9a954efd926fe27270efb846d9cdce4998
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Apr 3 14:36:48 2011 +0200

    Don't export PKG_CONFIG_PATH in makefile
    
    Thanks to Danilo Segan

commit 10d48a30a56a1e74895df65bc45c97e09b33b3c0
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Apr 3 11:39:34 2011 +0200

    Remove all actors from container as it's more efficient than removing by one

commit 96c2c7f1950b6d80fb7b4c56fd9209271e2f4e25
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Apr 3 10:58:02 2011 +0200

    Keep pointer to the last element in ChamplainGroup to speedup actor additions

commit fd4f7b865ea22d9916ffbda7854cf88e31108447
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Apr 1 23:09:09 2011 +0200

    Prepend elements of the list instead of appending them in markers and paths

commit 7b00274fad6f0c252f32c41564a856c6d179fd98
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Apr 1 01:53:42 2011 +0200

    Fix make distcheck

commit dd64517441005184379946d4cd26d5dd5b63cd10
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Apr 1 01:18:33 2011 +0200

    Update the info at the end of configure

commit 99d8d8ae75d13aa9d94a3d9440cb1814e3214c86
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Apr 1 01:18:11 2011 +0200

    Enable Vala and Memphis for distcheck

commit ccca7cc6b7b4279861529c9b8ee788bf1f25198f
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Apr 1 00:50:55 2011 +0200

    Fix the javascript demo

commit a825e169f6d1c6af789c25962a8bf3412097079f
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Apr 1 00:11:56 2011 +0200

    Fix Vala demos and rename them to avoid clash with C demos

commit 8077630df0a5e75314ba5352c69854170d49ce22
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Mar 31 23:09:51 2011 +0200

    Cosmetic change in configure.ac

commit 897efad5c19663ea28e9624c0b69dc405b40cde6
Author: Lorenzo Masini <rugginoso@develer.com>
Date:   Wed Mar 30 01:18:15 2011 +0200

    Removed bindings directory and moved vala demos into demos directory.

commit b128f99bfb86e406225fbf5a1393a26196394de8
Author: Lorenzo Masini <rugginoso@develer.com>
Date:   Wed Mar 30 01:16:11 2011 +0200

    GIR dependency for vapi generation.

commit 37ed857aacac5c28db9d2247c2db79c2c7e46495
Author: Lorenzo Masini <rugginoso@develer.com>
Date:   Wed Mar 30 00:34:01 2011 +0200

    Added GIR-based vala bindings generaton.

commit 197b02d54051ad59f7573620a7f214d5e1822a94
Author: Lorenzo Masini <rugginoso@develer.com>
Date:   Tue Mar 29 22:39:59 2011 +0200

    Other fix in GIRs generation.

commit 89415fb971448c02dd78df03da4f19de393055f5
Author: Lorenzo Masini <rugginoso@develer.com>
Date:   Wed Mar 23 01:02:24 2011 +0100

    Now the g-ir-scanner can find the not yet installed pkg-config files.

commit dcf6a6006a0039d756ca2e8bbc558a5be912228d
Author: Lorenzo Masini <rugginoso@develer.com>
Date:   Wed Mar 23 01:01:29 2011 +0100

    Removed gtk as champlain dependency and added champlain-memphis to the exported packages.

commit c24c2deaea2c180ad507cf1399d3616e77009080
Author: Lorenzo Masini <rugginoso@develer.com>
Date:   Sun Mar 13 16:50:05 2011 +0100

    Fixed library name in GIRs export packages.

commit 69118a36e06bc9ce916caeec4142b07ac30b75f4
Author: Lorenzo Masini <rugginoso@develer.com>
Date:   Sun Mar 13 04:09:21 2011 +0100

    Generate good GIRs (See https://bugzilla.gnome.org/show_bug.cgi?id=635330)

commit 9c42276d437eaede6337c18b50ab4dbad6eb4ed7
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Mar 28 00:10:54 2011 +0200

    0.9.1

commit 3c21ea50ac4650520e42fe6869fc0896a84d84be
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Mar 27 19:03:50 2011 +0200

    Some fixes of the demos

commit db5c56c46a05581087de833398365fa55e21d5c5
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Mar 27 18:10:29 2011 +0200

    Add people who contributed patches into AUTHORS
    
    Thanks!

commit 9a0ebe6371f9beb0ba9e64e599583ac6beab246c
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Mar 27 17:53:24 2011 +0200

    Add minimal python demo

commit 45c41386036ba27924d602f1540b9a12389fb292
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Mar 26 21:19:31 2011 +0100

    Don't use the GET_PRIVATE macro when not necessary

commit b84f20a2ab33ad88a73e0127658f1fe4f302516f
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Mar 26 17:48:11 2011 +0100

    Don't use deprecated symbols

commit d940afff1cb4c0d6ab3f6918a692bb880a1f6bcb
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Mar 26 03:22:02 2011 +0100

    Add missing docstrings

commit bf5bf481d3cdeef3f6a865aca3bc02a79ae86259
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Mar 26 03:20:52 2011 +0100

    Whitespace and alignment cleanups

commit 8634c7e6c41ad7e6f1c240a6e472022c7d9e4a2d
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Mar 24 23:37:18 2011 +0100

    Make custom implementation of pick for ChamplainPoint

commit e081e968b42bf015d31a903a1281b1887dba374c
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Mar 24 01:31:10 2011 +0100

    Add new functions to docs

commit 34026cfd682af1452211d8288fa8f827205cc91e
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Mar 24 01:22:33 2011 +0100

    Add missing property change notifications

commit e05b4cef1a983a0e514f9a8cde69b477a9949bbb
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Mar 24 00:37:59 2011 +0100

    Make custom pick method of ChamplainLabel to pick only the drawn area

commit 6b75604f2bc8d2eb729ac76e1ed5d3d31da44e7a
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Mar 23 01:46:03 2011 +0100

    Fix dispose of ChamplainView to really dispose the actors
    
    Also fix crash caused by ChamplainMarker destruction.

commit 2d36895fa9ae8a2b42f5f49417f2d377a38fb660
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Mar 23 01:44:26 2011 +0100

    Return content actor to ChamplainLicense
    
    Without it the margin wasn't set.

commit 3234a4857e4cd9702f969462c2413c851baf8e2a
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Mar 23 00:37:47 2011 +0100

    Add alignment property to ChamplainLicense

commit 3fc2941d5beb2948c47a31067fd07e0ae68df40e
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Mar 22 01:36:25 2011 +0100

    Use ChamplainGroup instead of CLutterGroup for marker layer

commit 4ffdcb4eb75b74cb8ce3d0dadddc6f0d5865ebcd
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Mar 22 01:30:11 2011 +0100

    Replace some g_object_get/set with direct function calls

commit 18e147b48516c33c0568392f6e4176577065d290
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Mar 22 00:54:22 2011 +0100

    Remove some unnecessary refs/unrefs

commit 3b02bb7e84c0f86e7df43e281b16670a83bce744
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Mar 22 00:22:36 2011 +0100

    Add some missing property accessor methods

commit e60bac20430c3dc8b66482c8dce7a069469c7714
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Mar 21 23:23:57 2011 +0100

    Keep content of ChamplainTile until replaced by something else

commit ccb72582261099830916e6ef9ea90ae3f074d86c
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Mar 21 23:23:14 2011 +0100

    Add missing unrefs on destruction and fix possible memory leaks

commit 0a1c4ed97dbcebf9d27fc9be564e07ad40fcf3ec
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Mar 21 23:21:37 2011 +0100

    Some cosmetic updates to make things nicer

commit 116d3146a543a24ebc0e872cf9c79b1052335dfa
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Mar 20 20:55:19 2011 +0100

    Cosmetic corrections in champlain-coordinate.c

commit 1e3b889b727c1a3e355ab71f7f7739962a63dfe1
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Mar 20 17:28:36 2011 +0100

    Minor documentation generation fixes

commit 3cf7dfbbe9163e71e1f3cd51b2c8d8f474c5abd5
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Mar 20 00:23:52 2011 +0100

    Indentation fixes

commit 27b433721d009a26cf1474766f427514448e2b3d
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Mar 19 20:34:02 2011 +0100

    Fix warning when compiling with llvm clang

commit 56d3f95ec5d538fe589ba6db47ddeb8b5f344f7c
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Mar 18 17:48:40 2011 +0100

    Move virtual actor methods so we don't need forward declaration

commit d179220d48d0f38ff84d39a31d12687f9a757282
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Mar 18 17:28:15 2011 +0100

    Update copyrights

commit 452501c10c62264144ad1825d55720d38bc873b9
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Mar 18 01:31:52 2011 +0100

    Add version number to .pc files during configure

commit 3a6c9817b11943455b876539231cae7085198960
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Feb 26 14:39:06 2011 +0100

    Flag redraw as non-scheduled at the beginning of redraw_path()

commit 7c5bac4c1807dee63d8e398e5b8b9bf3ecfd41ec
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Feb 26 14:38:22 2011 +0100

    As redraw_scale() is a callback, it should return boolean

commit 0db8ada727a442e901768dff0121f48e2e4ab86c
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Feb 26 01:51:29 2011 +0100

    Lower the non-scroll threshold
    
    Drag of viewport is performed only when the mouse drag is larger
    than some threshold so minor mouse movements are not treated as
    drags. Use 4 pixels for this threshold instead of 8.

commit c6c2c254c8ee8a146f871781bc7cffc389205aa6
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Feb 26 01:40:19 2011 +0100

    Remove some unnecessary queue_redraw()s

commit e67f166064edeb97739f4a140bd3c7f63deeb93f
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Feb 26 01:33:34 2011 +0100

    Remove some unnecessary queue_relayout()s

commit ac06d541d55e8c2dc9e3032e4af95d3824ff3d16
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Feb 26 01:23:37 2011 +0100

    Perform tile animations on content actor as it works now

commit 75be4059b3cbf571f76bbac466f226cd9b1a6b72
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Feb 26 01:17:51 2011 +0100

    Remove nonsense motion event enable/disable for markers

commit e0cf7a204227698741a97806efe37d4397c38167
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Feb 26 01:17:11 2011 +0100

    Implement events handling of kinetic scroll view the same way as in Mx
    
    The implementation in Mx is superior to the tidy implementation
    (which tends to do strange things with the mouse events) so let's use it.

commit a5925764f20d6c92a8ce3a70c1d174a61f151c86
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Feb 25 23:29:18 2011 +0100

    Rename FingerScroll to KineticScrollView
    
    This name is used by Mx and is a bit clearer

commit 8e09b18011251173d7123e9138d3ddd4b56ccd79
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Feb 25 22:49:16 2011 +0100

    Finally fix our redrawing problem
    
    This one fixes our hard-to-find redrawing problem. What happened:
    in the paint method of the viewport the coordinates were transformed
    only for painting but clutter clips the images based on real coordinates
    of the actors. Therefore clutter eliminated all the actors because it
    thought they weren't displayed.
    
    Instead of using low level cogl operations, use standard clutter actor
    positioning to move the viewport - this fixes the problem completely.

commit f4420f2e36ff6e90baf0aee8471c68d2c806261b
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 24 22:54:14 2011 +0100

    Rename tidy to champlain and move to the champlain directory
    
    Now as we have only three classes from tidy, it reduces quite some makefile
    and boilerplate code when we move them directly to the champlain directory.

commit 8b948bafae69335df7ff438fc34fb7cd1c3830c5
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 24 22:29:30 2011 +0100

    Remove some unnecessary code from tidy

commit 154e8aeed74c8d0091271aa2d0894184c58438ca
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 24 22:09:01 2011 +0100

    Eliminate TidyScrollable
    
    As TidyViewport is the only class implementing it, having an extra
    interface is not necessary.

commit ca5aaf18552eda2bd144a0d55aee8f6be3ff0752
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 24 21:38:21 2011 +0100

    Merge FingerScroll and ScrollView

commit 8d5244db4520d364bd3d81c78ad476d906f5bdba
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 24 20:59:02 2011 +0100

    Remove tidy-debug.h

commit 0568e0215b6482903b1880da432d22f02d718c5b
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 24 20:57:55 2011 +0100

    Back to tidy
    
    Using Mx instead of tidy added too much extra stuff we don't need
    at all. It will be easier to continue using tidy and backport the
    fixes from Mx.

commit f5fd591556d44b1ed91d677ced3c4d016522d5ba
Author: Nirbheek Chauhan <nirbheek@gentoo.org>
Date:   Wed Feb 23 20:51:37 2011 +0530

    Fix header collisions between clutter-gtk-0.10 and clutter-gtk-1.0
    
    Always include clutter-gtk-1.0 first to avoid header-include-path problems
    
    https://bugzilla.gnome.org/show_bug.cgi?id=643077

commit 73a608c4eb830a010c92f0833fe3debbec58859a
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Feb 20 22:13:31 2011 +0100

    0.9.0

commit 7efa7f39dd77e29256e2e0062fcaa4b1a89d13a3
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Feb 20 21:15:48 2011 +0100

    Disable vala demo generation
    
    There's some problem during make distcheck. Vala bindings aren't
    regenerated yet anyway so let's postpone the fix till later releases.

commit 11e9a23b028f197a220fe0b4a73066a02c42569c
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Feb 20 21:14:29 2011 +0100

    Add memphis renderer to doc types

commit 18195eb25a0426319c9b1901ccea621c38c8b029
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Feb 20 19:29:10 2011 +0100

    Skip introspection for champlain_memphis_renderer_get_rule()

commit 63f31653a23d0c24ba3495424489fce9fa752fbc
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Feb 20 19:16:31 2011 +0100

    Fix layer ensure visible
    
    We change zoom levels in the ensure visible function and cannot make
    any assumption on the conversion between pixels and latitude/longitude.

commit bd1f3ba178fd715a86a713e1204214a1b121ff32
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Feb 20 17:21:46 2011 +0100

    Some changes of gdouble to gint and vice versa
    
    In some cases we need better precision even for pixels (when
    we need to perform some further calculations), in other cases
    we need ints to have the contents pixel-aligned.

commit 339647b0a9ac77e5fe226b71dbce9c1c5cfce128
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Feb 19 22:30:59 2011 +0100

    Add champlain_marker_layer_get_selected() to retrieve selected markers

commit 83e29f0b4093b681f32f0b4b10b35565933093a9
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Feb 19 22:27:01 2011 +0100

    Add champlain_marker_layer_new() constructor

commit 7ac2946b3a36e114ec55d7cce5a772bc64b427f1
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Feb 18 17:09:18 2011 +0100

    Rename decel_rate to deceleration to be consistent with mx

commit 41c78aefe2b256a7b3d22ed09366e07e832e35db
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Feb 18 16:55:16 2011 +0100

    Redraw the scale on idle

commit 020c514dd12a3b254e3ed22a8b80404e715f1239
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Feb 18 16:40:32 2011 +0100

    Clear textures before drawing

commit c7cd8f7885af572b61ac0e1bd62c18420dd19e2f
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 17 23:48:54 2011 +0100

    When calculating bounding box of a layer, add some margin

commit da73899a4ef6cf7ff7d452543dd40f62f09c8356
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 17 23:30:44 2011 +0100

    Don't expose the layout manager in ChamplainView
    
    Use dedicated function for actor layout instead.

commit 50ea126e37dff32c9126a1e0b9be6cc90ecba0db
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 17 23:00:18 2011 +0100

    Don't fire drag-finish when not dragging

commit e7bcdc3ddb73ab182380ce3a27dd57239dd67ce8
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 17 22:44:03 2011 +0100

    Remove const in champlain_map_source_desc_get_constructor()
    
    Thanks to Guillaume Desmottes

commit 3217f77440bff3753e028ae35025a909a7875643
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 17 22:35:34 2011 +0100

    Skip functions with pointers to functions from introspection

commit 9d4a6c19c12e964bf5a0d13292151a44924b5df6
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 17 22:34:55 2011 +0100

    Rename champlain_location_set_position to champlain_location_set_location()
    
    There's a clash of clutter_actor_set_position() and this
    function in bindings because the prefix of both functions gets
    removed and they appear to be identical.

commit 415aa2a1d859f0361fc6fffe0a4895e3c0ccc7b8
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 17 22:32:59 2011 +0100

    Version control the .types file
    
    It's autogenerated after second pass so it may happen that the
    documentation is not complete after the first pass.

commit f54fc0830eb92e206a3d431a2cc0b6f31f695e1c
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 17 02:04:28 2011 +0100

    Some changes in doc generation to generate doc of interfaces properly

commit a5aec5fe165d4dc8da055c60f2c56cc1a602d34b
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 17 02:03:37 2011 +0100

    Add clutter_actor_queue_relayout/redraw where necessary
    
    Some calls are still missing

commit c289271d8ef7bc4df77d193cd48d7cf9f35abe81
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Feb 16 01:29:41 2011 +0100

    Update libchamplain-sections.txt

commit 50d403a341a7564aa9ab9b86636b5b196f98750c
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Feb 16 01:15:20 2011 +0100

    Use selection color based on GTK colors again and use it for all markers

commit cc0986aa7ae57f2791a704a6ac0d3ccbebb8d537
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Feb 16 00:46:34 2011 +0100

    Use new macros for defining interfaces

commit 8c8cd29533f6c637f026b90a3dcb594cb8075b6d
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Feb 15 23:59:23 2011 +0100

    Change events emitted by ChamplainMarkers to include more info

commit 66e42d21f16ee954f3a3466d0a38f88e11b0fe6f
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Feb 15 21:19:24 2011 +0100

    Redraw paths on idle

commit 032e2757b57e25010ce24c64cb4725056d3517e8
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Feb 15 00:20:39 2011 +0100

    Adjust demos to show "dynamic" path

commit b048845f782218178bfcddabc42984bc8cb153c8
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Feb 15 00:15:03 2011 +0100

    Improve bounding box use
    
    Add an ensure_visible function for layers in view, make bounding
    box query a virtual function of layers and add some extra utility
    functions to bounding box.

commit 383c5d344033779218f9db3fc771ac79e064b304
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Feb 14 22:54:30 2011 +0100

    Update documentation

commit 0c97957e747d363295bd7d0ded7144170525025c
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Feb 14 02:00:42 2011 +0100

    Remove functions from ChamplainMarkerLayer present in ChamplainPathLayer

commit 4d7a829632c3f3551ffdafd2e57ad5d8148b5098
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Feb 14 01:13:42 2011 +0100

    Introduce ChamplainLocation interface
    
    Used to define common behavior of classes having latitude and
    longitude. ChamplainMarker implements this interface.

commit 17c9e0a10891ef87a3ac185664f198ac3ae0f89d
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Feb 13 12:01:25 2011 +0100

    Correctly define abstract types

commit 0a5c11e2223c42f01649b55987d2c57a00569a62
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Feb 13 02:31:32 2011 +0100

    Fix crash on shutdown

commit 12369006c2222d7331642076830da38409749d8c
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Feb 13 02:29:49 2011 +0100

    Inherit ChamplainView from ClutterActor

commit 8012b948a44535dc6e8418ab3316b43123844330
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Feb 13 01:16:38 2011 +0100

    Relayout actor when parenting

commit 0f08c2617e0652a5fb05dcf4a43ed4c19978b512
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Feb 12 20:04:10 2011 +0100

    Call clutter_actor_queue_redraw() after drawing marker
    
    So the whole actor is redrawn when calling from an idle function.

commit 4bbd58f262f7e9eb75d3b9cefd7990a15c7b7cf5
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Feb 12 19:17:47 2011 +0100

    Improve performance when drawing path

commit 4c58c9d8f50e482c6b80a859377209f9cd61f18e
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Feb 12 16:06:42 2011 +0100

    Remove depth checks from ChamplainGroup

commit ce1bf37f80d9d5369c4e142663d259a5f1a9b8a4
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Feb 12 15:39:33 2011 +0100

    Perform fade-in animation on ChamplainTile and not the containing actor
    
    Under GTK 3 if we perform the animation on the content actor,
    the animation doesn't work properly. For now it remains mystery
    why this happens. At the moment we are fine with this solution
    but if we implement some better zoom-in/out animation that
    fades-in the loaded tile into the scaled tile from the previous
    zoom level, we may need to animate the new content actor on top
    of the old content actor inside the tile.

commit 0e32fff8875554a9e5f001e6da523332244e19e5
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Feb 12 13:22:05 2011 +0100

    Rename stage to view_box to avoid confusion

commit 3e8f17ba36fcbb3c29a298a934e62d6cc0df254a
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Feb 12 13:15:54 2011 +0100

    Rename finger_scroll to kinetic_scroll

commit 98f886df4c10f8cc5325eee644a354f9b3f850f7
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Feb 12 11:18:49 2011 +0100

    Fire signals after the view state is updated

commit 5c6ff17e1a4a2ccc1b4681414d6dbdef06642a7c
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Feb 12 11:18:02 2011 +0100

    Use our own copy of ClutterGroup
    
    ChamplainGroup is in principle ClutterGroup which doesn't sort
    actors by depth. This speeds up addition and removal of
    markers in libchamplain considerably.

commit 531916a3b40a86e99c640017581714eb5d8cb5d4
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Feb 11 23:40:45 2011 +0100

    When centering on map, don't convert to/from different coordinates

commit 7b3705a2be80f9bf2f96226aab737e9eab38ee03
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 10 22:46:37 2011 +0100

    Update documentation

commit 4f40b4d7036c87462eca0b27f3681ce8965d6c0d
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 10 22:15:41 2011 +0100

    champlain_marker_layer_get_markers() should return a copy of the list

commit 2117765bdf5703d101b4ab980014c97d1b4dd0cb
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 10 22:08:56 2011 +0100

    Rename *movable* to *draggable*
    
    To make it clear the movement is made by mouse.

commit 934dbb7b198a79a65844dc56bef620c668bbda90
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 10 22:06:41 2011 +0100

    Some property and method renames in marker layer

commit b6bfe7dae200698b0da944a394ec9d378954ed40
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Feb 9 23:16:56 2011 +0100

    Introduce more drag signals
    
    As suggested by Pierre-Luc in #577910, I've also added drag begin
    and drag end signals and renamed the moved signal to match the other
    signal names

commit ac52cc22671fac6bf72fd5bb05e90e5c17abad14
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Feb 9 22:56:25 2011 +0100

    Replace gtk_widget_hide_all() with gtk_widget_hide()
    
    Thanks to Frederic Crozat

commit a21244a8a3bd7ddb6a304b400b270a25fff1418d
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Feb 9 09:28:16 2011 +0100

    Remove virtual methods of ChamplainLabel
    
    Users can implement custom markers using CustomMarker so this should not
    be necessary

commit 1c6444fdeffdc101ca2d866dd39afc3a614994a6
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Feb 9 09:27:08 2011 +0100

    Introduce ChamplainCustomMarker implementing ClutterContainer interface

commit 8ca1b926e9f7ffb1029e442884e4010af4226535
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Feb 8 22:26:26 2011 +0100

    Remove unnecessary member variable

commit 60b9b40fdf413e9922f304de915aec877d7b4a37
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Feb 8 22:18:20 2011 +0100

    Add champlain_bounding_box_compose() method

commit 970329d7f072046b1a69b73eca667195cb145144
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Feb 8 00:32:58 2011 +0100

    Add some missing annotations

commit 08b3c51981fdbf8343f1d55eb889a97d681f9e78
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Feb 7 23:23:03 2011 +0100

    Update documentation

commit a1cd6f334e3e8cd739c188b58004d1e8861552b0
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Feb 6 17:38:42 2011 +0100

    Add additional marker manipulation functions to MarkerLayer

commit 1816b1da138721a90adf2f9f11cd6de592fd1ef2
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Feb 6 16:55:16 2011 +0100

    Rename select to highlight to make wording consistent

commit 2ea7adae50cecda26dbed3bc6dafcce3ab378510
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Feb 6 16:44:57 2011 +0100

    Move marker on top when selected

commit 480af1e8754964edf5721087920b7993391124f8
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Feb 6 15:09:16 2011 +0100

    Require at least clutter 1.2
    
    Needed for layout manager

commit 8d8614200cc98aebb64a82e8d2e0fcdb308f7842
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Feb 6 15:01:41 2011 +0100

    label, layer, license, marker, scale should inherit from ClutterActor
    
    Inheriting from ClutterGroup exposes their inner structure outside
    which breaks encapsulation.

commit 299b538b80d4776d0166de78cc1e2f822283c618
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Feb 4 23:36:07 2011 +0100

    Encapsulate ChamplainMapSourceDesc into a class
    
    The factory can provide a list of ChamplainMapSourceDesc structures,
    which is a bit dangerous because the user code can easily modify
    their contents, which is illegal. Convert the structure to class with
    construct-only writable properties to avoid this problem.
    
    Thanks to Emmanuel Rodriguez for pointing out this problem.

commit 6fbb5eaed79b608ba1cc2bfd86789e8e0834893b
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 3 23:11:06 2011 +0100

    Make kinetic mode boolean property and add it to mx as well

commit 3bd11b193933fcafd445e2938e93bb31fef1b6a7
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 3 22:23:56 2011 +0100

    Use bounding box where appropriate

commit fd54b7cc99e0776af6ab922ded3d7280f6807a4e
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Feb 3 00:17:09 2011 +0100

    Swap elements in the BoundingBox structure and fix center computation

commit 31182412586aef8029084fc6cf88fa1eb0f63afa
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Feb 2 23:26:28 2011 +0100

    Rename polygon to path
    
    Polygon is a closed shape which is just a special case of what ChamplainPolygon
    was used for. Path is probably a better name in this case.

commit d0ec9fe1733a8fedcc087cf254cccb366c9db00d
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Feb 2 23:18:00 2011 +0100

    Cosmetic fix

commit 3f11ecec77e826e177886580845415dcabfb8d3e
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Feb 2 22:10:48 2011 +0100

    Remove the unnecessary ChamplainRenderCallbackData structure

commit af0f05d838867b603baf7416ef4e5ef91b9c050b
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Feb 2 20:32:37 2011 +0100

    Change int type to uint in several fields of ChamplainTile

commit 174c5c3ac875f0025a9337d97ae47ac45f3d6f91
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Feb 2 20:01:35 2011 +0100

    Remove some unnecesssary data types

commit ba26bce9f625a67041292e598c0c3fa55841ccbc
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Feb 2 00:47:01 2011 +0100

    Some minor renames

commit 8966e6114675db66d023841f297bb9eb70e0b703
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Feb 2 00:07:37 2011 +0100

    Change the precision of marker move to double

commit 8d647270ec996a2377a24e68d745c2a15cc4b8ef
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Feb 1 23:48:02 2011 +0100

    Rename move-by signal to moved

commit fae275d99eefa603a99988f3bcb3b7149e6fe42f
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Feb 1 23:27:21 2011 +0100

    Rename the scale-unit property to unit

commit 7ab516aa66f603d7f889f57b1c095421cca87383
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Feb 1 23:26:55 2011 +0100

    Rename license-text property to extra-text

commit 6031c0d4453e0baf78e188076558d30a99def80d
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Feb 1 23:18:21 2011 +0100

    Use guint for zoom level

commit 3ea3c099b4026ed21cedd5889da1b0b8b0c8f875
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Feb 1 22:58:31 2011 +0100

    Get viewport origin in a single function instead of two

commit 0257079a681bb8903b1ae4b05f8f2e65c67fe477
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Feb 1 22:52:14 2011 +0100

    Move license and scale actors out of the view

commit dcb5fb15ca055e5c25218fcaa309f9db235b5303
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jan 30 14:52:14 2011 +0100

    Introduce ChamplainLayer - a base class of all layers

commit 9a19543ad442206c744b47c141e4001ef1889381
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jan 30 13:41:01 2011 +0100

    Reduce the set of coordinate conversion functions

commit 2f00d47b99f22014b478fc8c6b3b6c4f6e29a4b4
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jan 30 13:13:30 2011 +0100

    Rename ChamplainLayer to ChamplainMarkerLayer

commit 14483f14b0f95e6f86df525b97e5ce942bf92315
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jan 30 01:48:40 2011 +0100

    Rename ChamplainMarker to ChamplainLabel and ChamplainBaseMarker to ChamplainMarker

commit 248d5690fa6b76b6d143aa0274b301ae316e12a0
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jan 30 00:46:59 2011 +0100

    Introduce ChamplainPoint and fix lots marker-related bugs
    
    ChamplainPoint is a simple ChamplainMarker in the form of a point.

commit 27a0588d877291019e270688e7f7ac2c30209eac
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Jan 26 22:41:35 2011 +0100

    mx: update in_drag when not dragging
    
    Probably bug in mx - there's nothing like setting in_drag to
    false when dragging stops.

commit 51528c331fe8c96aa030e207ffb02e073d4c3463
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Jan 26 00:08:46 2011 +0100

    Merge ChamplainLayer and ChamplainPolygon
    
    In principle, ChamplainLayer and ChamplainPolygon do the same thing.
    They both contain a list of points on the map (ChamplainMarker or
    ChamplainPoint) which in the case of ChamplainPolygon are defining the
    polygon. By merging both concept, we can reuse a lot of code, such as
    marker/polygon node moving, all point manipulation and so on.

commit 8a38b7cc3be8df27f513464396066a66bb908415
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jan 23 22:29:51 2011 +0100

    Use new marker features in the layer

commit e9e6210d1c0ba250725a11b808eb60c9a2ba098a
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jan 23 17:34:48 2011 +0100

    Add selectable and movable properties to the base marker

commit 1df3c7cdb8873552e0200a56ac8142c503bb56d4
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jan 23 16:42:56 2011 +0100

    Make markers movable

commit dcd152746c36e1be8141cb30231d406b280bae63
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jan 23 11:01:12 2011 +0100

    Replace tidy with mx
    
    Replace the outdated tidy library with its successor - mx. This will
    help us to use fixes and updates from the mainline.

commit 91eed6ae5fc233e61b6a5df93112a48537a47526
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jan 22 14:12:39 2011 +0100

    Fix computation of y from latitude

commit e2989f2094b39280147e37049221ada3b47445da
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jan 22 14:11:45 2011 +0100

    Fix swapped row/column in view_load_visible_tiles()

commit d79ac7ff84be87327abd88d4835f44793b28148d
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Jan 21 23:11:09 2011 +0100

    Simplifications of relocation in ChamplainView

commit ac859e8bff4ae57ba89a5a528ed12ae65c967bb7
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Jan 21 16:44:41 2011 +0100

    Simplify resize_viewport() of ChamplainView

commit 6a60606ac4d0830f3c603115484358dc7e7a18b2
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Jan 17 21:51:42 2011 +0100

    Add relocation signal to view and use it by the layers
    
    ChamplainView should have to know nothing about the layers and markers -
    add a signal to the view to inform about its relocation and let
    the layers redraw themselves when the signal is emitted.

commit 7d80054aa5a8fd6dad6f8a2186fbcc3b22432ab2
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Jan 16 23:16:06 2011 +0100

    Merge ChamplainLayer and ChamplainSelectionLayer
    
    There is no need for the user to distinguish between these two layers -
    he either uses the selection features or not.

commit 29fa4f58d817a0bdfacfc317673b31d109737989
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Jan 14 22:53:12 2011 +0100

    Fix warnings during configure

commit 72dd72f4b862ec578f78ecfcafb6576c3179e9c5
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jan 8 01:51:37 2011 +0100

    Add annotations for MemphisRenderer

commit 7a7bc6ed9a581d40f3518b39aaf58e60a4b27022
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jan 8 00:46:14 2011 +0100

    Add some more annotations

commit 49da8ef9f0db5f9ac4bb809c1b03986f02ad0574
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jan 8 00:28:33 2011 +0100

    Remove invalid part of champlain_file_cache_new_full() documentation

commit 7da0e7469e3271fd7e833eb88ab78ac4337b1ef6
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jan 8 00:25:34 2011 +0100

    Vala bindings: generic type information for lists added and other fixes
    
    Thanks to Tomaž Vajngerl

commit 4d861991ffce11ff19f14f4374b6f43cd082b1c9
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Jan 7 23:23:11 2011 +0100

    Fire latitude and longitude signals independently of viewport shift
    
    The check for distance of latitude and longitude change is not necessary
    because the function update_viewport() is already called from
    viewport_pos_changed_cb() only 4-times a second (or when the distance is
    larger than 100).
    
    This patch also replaces the use of g_timeout() by g_timer_elapsed(), which
    makes the code nicer (thanks to Tomaž Vajngerl).

commit ef58e20ce701be2200747d978bb759f8340eee5e
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Jan 5 00:07:27 2011 +0100

    Do not order markers according to latitude
    
    The marker ordering using the z coordinate causes that markers are not
    located exactly above their location - this is caused by the perspective
    projection. This also causes that the markers displayed in the front
    are bigger than the markers displayed below them. Because the previous
    ordering implementation was too slow and this implementation causes serious
    issues, this commit removes the marker ordering completely.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 28a73ad734a6d0b979f725cc2b769aaa54655091
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Jan 3 00:14:06 2011 +0100

    Add some extra annotations
    
    Add the annotations we have in the vala .metadata file directly to the
    sources.

commit 3a2e09b205d6a53274394751adaf26324d766597
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jan 1 18:57:18 2011 +0100

    Fix vala bindings for champlain_view_ensure_markers_visible()
    
    Add meta data to the bindings to indicate that the array passed to
    champlain_view_ensure_markers_visible(..) is not followed by a length
    parameter. Without this the generated C code won't compile because there's one
    too many argument when calling this function.
    
    Thanks to Andreas Brauchli.

commit 82783e7179c2857dafb03f0a58d432fe38f9322c
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jan 1 18:31:27 2011 +0100

    Use (transfer none) annotation when NULL parameter is allowed
    
    Thanks to Patrick Salecker

commit 52ac4ecedca949b62971f9b43236584b5ce6cd9f
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Dec 30 22:31:16 2010 +0100

    Eliminate warnings of g-ir-scanner

commit 966f1afe2b55faff7b37e0dcb4a32680fb64efe6
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Dec 30 21:22:04 2010 +0100

    Fix configure.ac from the previous commit

commit f3c21121800e26fcb6acbd25fa1299e49732b1c8
Author: William Jon McCann <jmccann@redhat.com>
Date:   Tue Oct 12 01:32:37 2010 -0400

    Remove python bindings
    
    For GNOME 3 bindings should be generated using introspection
    
    https://bugzilla.gnome.org/show_bug.cgi?id=631009

commit e39dbbdba9fc632fbacdda2bd060f5ccaf7d2bbe
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Dec 30 20:22:35 2010 +0100

    Use clutter-gtk 1.0
    
    Implement the missing functions from clutter-gtk 1.0 manually

commit 8d8e6640229d51990d3893ed798e37fa232736ae
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Dec 30 20:21:17 2010 +0100

    Add some extra warnings

commit e9c3dbb797091dc392aa8c260f6d58b14e700707
Author: William Jon McCann <jmccann@redhat.com>
Date:   Tue Oct 12 01:26:35 2010 -0400

    Use gtk3 and clutter-gtk 1.0
    
    https://bugzilla.gnome.org/show_bug.cgi?id=631009

commit 8c3aa39dee557146612c8fb5516e3293f64136b1
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Nov 15 22:37:57 2010 +0100

    ChamplainTile should inherit from ClutterActor, not ClutterGroup
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit e378c141cd23fac3cc35ae7c091ca7dfdf1653c0
Author: Tomaž Vajngerl <quikee@gmail.com>
Date:   Mon Oct 25 21:30:33 2010 +0200

    Include MapQuest renderer for OSM
    see: http://wiki.openstreetmap.org/wiki/MapQuest

commit d709ce8be8c92a9a3ef1dd275fde4fc2d7653e87
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Sep 27 18:27:04 2010 +0200

    Post release version increment to 0.9
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit f6543b0110e4360b5f4ff831ea28df7fa379a197
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Sep 27 17:47:52 2010 +0200

    0.8
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 53875a083c4e74e5355e1769647026c39f82b1b4
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Sep 17 20:02:02 2010 +0200

    0.7.2
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit f493853fbeaf873a28b13079f22a0f0947957a1a
Author: Lorenzo Masini <lorenxo86@gmail.com>
Date:   Wed Sep 8 04:20:44 2010 +0200

    Added the right header filename for champlain-memphis vala bindings generation.

commit 00ce1cf217cc483d866f54cdfd4d44b23b01832f
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Sep 13 21:36:09 2010 +0200

    Don't use --strip-prefix with gir scanner
    
    It is not necessary and is not compatible with newer introspection
    scanner.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit b2716b7bf8b2637a63323f653e29fcec71bb27db
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Sep 3 14:24:31 2010 +0200

    Update .gitignore
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit c19c0a7fb77557988f3ff6f292a477bafe767ed9
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Sep 3 09:25:10 2010 +0200

    Cleanup Makefile.am files
    
    Heavily inspired by (copied from) clutter, this patch should also fix #628096.

commit 699208a4c0fa07a413e8e88f63851c1ca10ad252
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Aug 30 01:29:18 2010 +0200

    Make gtk-doc compilation possible even if libmemphis is not used.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 90f3d3b0397fb7ab5d4f2ce15394e15db1ec0425
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Aug 26 23:22:14 2010 +0200

    0.7.1
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 887dfca5bc2f460d5b3845adf10c6582ee8ce538
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Aug 26 23:21:23 2010 +0200

    Change ordering of sections in the documentation
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 94715cb112af88c4de820771b2864cb9afc0118b
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Aug 25 22:28:22 2010 +0200

    Make set_marker_depth () work correctly for southern hemisphere
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 237cb6e003a2a93456b08be72fe0c2f9a0888089
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Aug 25 22:26:33 2010 +0200

    Add Russell Strong to AUTHORS
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 8368954eb58d67cb9d334a0a252d3c27e20dceac
Author: Russell Strong <russell@strong.id.au>
Date:   Sun Aug 22 19:12:12 2010 +1000

    Layer speedup
    
    The following patch replaces marker sorting ( by latitude ) with
    clutter's set_depth to achieve the same result.
    
    Using a modified animated-marker demo with 484 markers, this patch
    reduces CPU using on my laptop from 80% to 19%.
    
    There is still more that can be done, but that's now in clutter, which
    appears to be sorting a list every time a depth is changed.

commit e0740ffe4f7f8310067e2e4631997660c4d7bffe
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Aug 25 21:56:51 2010 +0200

    Make sure the number of loading tiles in ChamplainView doesn't drop below 0
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 030cd9ab103b872f6e4f922d0e4ec2f3e2ff3c8d
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Aug 25 21:55:54 2010 +0200

    Move ACLOCAL_AMFLAGS to Makefile.am
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 35a54ad90cca8b9c0b09fec9ede26ebf629d0012
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Aug 24 01:33:17 2010 +0200

    Use stable api version in soname also in development releases
    
    This will simplify transition of programs depending on libchamplain
    when migrating from development version of the library to the stable
    version.
    
    This commit also contains some updates of the vala bindings.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 8360fc1fc0bd08a005751313c6c5196d23b4050a
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Aug 23 22:28:08 2010 +0200

    Updated documentation
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 898f3af7a1b975f7d47ecf7686c966e818350f68
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Aug 20 18:27:34 2010 +0200

    Make direct access to elements of memory cache instead of sequential
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 5baba3de821b2ea2e34f1de41c78cfc2165ee185
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Aug 20 17:05:57 2010 +0200

    Remove extra code from the minimal-gtk demo
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 014097c5df87a86fbac54808c0a8620ace069cf8
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Aug 20 16:04:53 2010 +0200

    ChamplainRenderer should inherit from GInitiallyUnowned, not GObject
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 89b79be10f182f02b76b7e72405b37accffd0397
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Aug 20 16:03:48 2010 +0200

    Lots of leaks found and fixed
    
    Thanks, Valgrind...
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit ced12e90909a77ceedb315c849feabde1cb63aa2
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Aug 20 12:38:53 2010 +0200

    Don't fill tile that is already marked as done
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 90a031aa03b3bfcd1f9b6b96fe10272d70c76314
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Aug 20 02:20:10 2010 +0200

    On double click, center to the clicked area
    
    Makes us behave the same way as google maps.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 3fd656c0c203c12e5ae823f175087b4a07c35427
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Aug 20 01:11:25 2010 +0200

    Fix warning
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit a582205f3849123a4fba67ff47cce69be22dd317
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Aug 20 01:11:17 2010 +0200

    Modernize build process a bit
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 7e2d9e2200193dcc091dcf0ef82042bd355511a0
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Aug 19 01:16:53 2010 +0200

    Remove unnecessary _ref() _unref()
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit ca292248ff150ab26cef86e6e24f254e63fbf599
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Aug 19 00:48:53 2010 +0200

    Set minimal width of loading icon in gtk-loader
    
    ... so the button bar doesn't jump crazily when the loading icon
    is displayed.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 23c614fb68c8c7635d870f0503424cc142211ef1
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Aug 17 01:59:08 2010 +0200

    Use_memphis_renderer_tile_has_data() as it works in libmemphis 0.2.1
    
    In addition, add a cool thing into the local rendering demo - tiles
    rendered by memphis and downloaded get combined in a single map.
    Commented out for now.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 737527e97adcc0086aff130b1a35298acc6ca59d
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Aug 17 01:31:14 2010 +0200

    Rethink the tile destruction process once again
    
    Instead of weak pointers ref and unref the tiles.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 3c391566bb80cc21fd784855a48dc348a83a5e8e
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Aug 15 23:06:06 2010 +0200

    Use memory cache in addition to file cache by default
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit d1ebd3998077bb682af626ba3d7bdbdf5a226d27
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Aug 15 23:05:41 2010 +0200

    Fix bad method call
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 0ccec92391b75c12f8c765f45a454c022c3e614f
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Aug 15 22:31:01 2010 +0200

    Make the memory cache cooperate better with other caches
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 69c02e7eb3b5f9f9d0645b194184ae2367ef877f
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Aug 15 22:20:06 2010 +0200

    Fix memory leak
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit ec6fa72c18daed6b68052d024800db8339f5dc2c
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Aug 15 19:19:12 2010 +0200

    Fix various problems with asynchronous tile loading
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 1acc385842058a2d9845a61a80706b827e53526a
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Aug 15 01:03:00 2010 +0200

    Get rid of some warnings in ChamplainImageRenderer
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 68a6cd6a53efb086cb54f6c95be16b518f9c4e72
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Aug 15 00:52:45 2010 +0200

    Use the renderer to render cached tiles
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit ed210cdcf8926246e24d5b0541e7d8b05d20a4be
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Aug 8 21:35:17 2010 +0200

    Use g_slice_new() instead of g_new() where possible
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit e884e7847479edc57e9edbb955285f3cd61a92da
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Aug 9 22:18:24 2010 +0200

    Some more *.pc.in cleanups
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 3187e8c60ec1da347d061c8c97d532cfbdd02afb
Author: Laurent Bigonville <l.bigonville@edpnet.be>
Date:   Mon Aug 9 21:51:12 2010 +0200

    Fix #623043 champlain.pc file has too much requires
    
    Thanks to Laurent Bigonville.

commit 5caf406b88856825920f0bd09534f564b57cfa15
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Aug 3 01:02:08 2010 +0200

    0.7.0
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 251152c2cbcc469fb46b551581a492ab61bb0c10
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Aug 3 00:42:22 2010 +0200

    Properly disable python bindings
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 258280403b31598c093c72b786bb104f7916bd96
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Aug 2 23:41:12 2010 +0200

    Return back using state for local rendering data download notification
    
    It is probably cleaner solution than the signal I have introduced.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 04a1b4b287daffbeaa5ae1a5ebed13fcf19dd329
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Aug 2 22:41:23 2010 +0200

    Remove the reload-tiles signal
    
    The reload-tiles signal complicates a lot of things in
    libchamplain. In addition, it causes double-(or more)-reload
    when multiple rendering properties change. Instead
    invoke reload manually from local rendering demo, which
    adds just a few extra lines.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 6f0a93acc5b2ad23fd966eb18737655feafd4abd
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Aug 2 01:13:36 2010 +0200

    Disable python for distcheck for now
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit c79801beacba503d98594425ec503c0f9e72c636
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Aug 2 01:13:13 2010 +0200

    Rename vala configure option to vala-demos
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 8d6d014b10a7ca3d182cfd00f4b13f7baf4713b3
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Aug 2 00:18:31 2010 +0200

    Reformat code with uncrustify and fix manually
    
    uncrustify seems to be a very good and customizable
    pretty-printer and does a very good job formating
    the code to match the telepathy style. The minor problems
    where it failed were corrected manually.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 74b123f3807b619465599e5b79b3b06b376ca60d
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Aug 1 21:26:47 2010 +0200

    Don't use unicode characters in sources
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 64f747da7232025c2f48695e7c77fc467ec33536
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Aug 1 18:22:17 2010 +0200

    Remove some outdated doc strings and unused code
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit ca8cc7c66b7a00a5e05b957cb7a336f1a51c6c04
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Aug 1 18:11:11 2010 +0200

    Line break long macro definitions
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit ceb86a4bbde6e5bedac4ed125bfeb444ab2cadf6
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Aug 1 17:41:47 2010 +0200

    Update copyrights
    
    Add my name where I edited the sources a little more so
    everybody knows who to blame for the stupid errors...
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit eb581f9b122c42f2f34f3029298b397bf52b29c5
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Aug 1 17:01:51 2010 +0200

    Make renderer a mandatory parameter when creating a map source
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 2841c81b38554bebfc8056f76db37a1c5e82cb00
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Aug 1 13:41:14 2010 +0200

    Introduce new memory cache and remove non-persistent file cache
    
    The new memory cache can store specified number of tiles in
    memory without storing them to the disk. It replaces
    the temporary file cache - it was a bit scary to recursively
    delete some directories and libchamplain shouldn't do things
    like that.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 537d540c1d85e03d933aa06871b8c128b128ecbc
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jul 31 20:46:33 2010 +0200

    Add null tile source and error tile renderer
    
    Replace the error tile source with a null tile source
    (a tile source with no data input) and error tile renderer
    (always renders error tile, no mater what is on the input)
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 5dad0e02a1abfdd419d6183fcf25dadc03e863b4
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jun 26 21:36:44 2010 +0200

    Separation of map sources and renderers
    
    Map sources are objects that load data from somewhere (file,
    network, other source) while renderers draw tiles based on
    the data provided by the renderer.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 794fbddc76d5fdc79a93083020f159014ec57481
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Tue Jun 15 23:06:54 2010 -0500

    Do not dist gir_DATA
    
    GIR files contain a shared-library attribute which varies per platform,
    and therefore must not be disted; see bug 621611 for rationale.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=621726

commit 34553e73ee721e1a44abccb0978a17437aea811a
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Jun 16 22:19:09 2010 +0200

    Always install vala bindings
    
    ...and make only the vala demos built conditionally
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit a1e29ab38d4700eb5251cb1bc6d26e948a43fdd4
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Jun 16 00:46:44 2010 +0200

    Make the minimal python demos executable
    
    ...and add the shebang
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit c2f48513dfd1e5e0084d383add334cf5f33c74c4
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Wed Jun 9 16:57:41 2010 -0300

    Add minimal.py and minimal-gtk.py to demos

commit 9251f477f1f9e1aec019bd46d23c7963b6eff5b1
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Wed Jun 9 16:56:34 2010 -0300

    Sync python demos with the main demos

commit 6b51fe50722c75dc9a6cb50fddc6ae6c109705d3
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Wed Jun 9 15:00:21 2010 -0300

    Sync .defs with api

commit dbaed9dbe216d653c86f65d04e082bbffd382b2e
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Sun May 30 21:21:07 2010 -0300

    Fix champlain.Marker.set_image to that image arg accept None

commit 149066f4e203df82a1ac03f8546af4e50820950e
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Jun 8 02:20:46 2010 +0200

    Add updated vapi files
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit c8408aa18a678ff29df2177cbecc40681fdc6a07
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Jun 8 02:11:14 2010 +0200

    Update library version in the .files and .deps files
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 610049c0b1543932b317c66dbb79b095aa251c9f
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Jun 8 01:41:23 2010 +0200

    Rename vala bindings to 0.7
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 0ed1c445cef8046a739c993653129d9c78783209
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Jun 2 01:28:03 2010 +0200

    Update .gitignore, use only a single .gitignore for the whole project
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 68476b593f71d243eb062a7b0c8f53d4d03917df
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Jun 2 00:56:47 2010 +0200

    Use automatic version generation for Vala bindings where possible
    
    + some minor cleanups
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 6da464acdf43d0db2cc234290fa1241f61cf8bc4
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Jun 2 00:53:07 2010 +0200

    Use correct version macro for champlain-gtk-uninstalled.pc.in
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 20aa032951f6ea4c516b94992f6ceba913607967
Author: Tomaž Vajngerl <quikee@gmail.com>
Date:   Mon May 31 20:31:23 2010 +0200

    Separate champalin and champlain-memphis.
    Make regeneration of bindings smarter.

commit 11fb3d9091fe7de48cada40f7a3945877805cc81
Author: Tomaž Vajngerl <quikee@gmail.com>
Date:   Sat May 29 11:19:45 2010 +0200

    Add memphis specific stuff inside champlain bindings.

commit 62c70baf8a56880fa0e84ec6e1e474e106fd4986
Author: Tomaž Vajngerl <quikee@gmail.com>
Date:   Tue May 25 20:15:27 2010 +0200

    Rebuid gi file and create new vapi again.

commit 8b6b02bb7e6d519802693821b91dab41d8f0cb1c
Author: Tomaž Vajngerl <quikee@gmail.com>
Date:   Tue May 25 18:35:20 2010 +0200

    Vala bindings support

commit b96c85e17ce9f3701283187e9b0afe3ed8b2fb15
Author: Jiří Techet <techet@gmail.com>
Date:   Mon May 31 01:07:27 2010 +0200

    Don't use memphis headers in docs when compiling with --disable-memphis
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit ca0a535fa168a99a94a389d649a6c21cc2192f45
Author: Jiří Techet <techet@gmail.com>
Date:   Tue May 25 22:57:25 2010 +0200

    Update online location of the documents
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit a5d3f5eaf4e2bff9d58dcf7d7f2903990bbe7d92
Author: Jiří Techet <techet@gmail.com>
Date:   Tue May 25 22:24:16 2010 +0200

    Update AUTHORS
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 39418678acf60b5c4a31b7fd05a9b8370c9e9a7b
Author: Jiří Techet <techet@gmail.com>
Date:   Tue May 25 02:23:37 2010 +0200

    Post release version increment to 0.7
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit edc938a71e1dda9b05bde8274e2353264ce5c8a7
Author: Jiří Techet <techet@gmail.com>
Date:   Tue May 25 00:13:38 2010 +0200

    0.6.0
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit c63ff2e34f4b6be3ea3db834cab9e0d7a022744e
Author: Jiří Techet <techet@gmail.com>
Date:   Mon May 24 23:12:19 2010 +0200

    One more missing local rendering file
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 83eafb1a007498c03a7cbc8e96d2e1f847256e56
Author: Jiří Techet <techet@gmail.com>
Date:   Mon May 24 22:45:27 2010 +0200

    Add local rendering demo data to the distribution
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 9aa99aa5c73c7dbac7bd7cdc0b9f36b293a058af
Author: Jiří Techet <techet@gmail.com>
Date:   Mon May 24 22:10:09 2010 +0200

    Fix cross-references in documentation
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 12b3108a98242879c2e0731eff55c8c8fd147c7a
Author: Jiří Techet <techet@gmail.com>
Date:   Mon May 24 00:16:05 2010 +0200

    Add glib-2.0.m4
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 235a371354dc5f781b34e7344f98e171946c2548
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 23 19:09:54 2010 +0200

    Add missing initialization of members of ChamplainMarker
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 608cb0774d96c3f979030ebed495db60f6568dd5
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 23 03:01:28 2010 +0200

    Simplify the minimal-gtk demo
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 4e963c9af3a59b9da886742c6b485b84960e42b9
Author: Jiří Techet <techet@gmail.com>
Date:   Sat May 22 00:38:49 2010 +0200

    Add minimal demos
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit af529d1228badacfc94e9ea6e65d8de5b0bd1d7d
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 23 00:45:20 2010 +0200

    Fix segfault in local rendering demo on shutdown
    
    On shutdown the image displaying tile loading state can get destroyed
    before ChamplainView and if ChamplainView emits state change, it refers
    to a destroyed image and crashes.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 35905e008495143b5c52cdc5ef85e1c68a21d637
Author: Jiří Techet <techet@gmail.com>
Date:   Wed May 19 00:21:51 2010 +0200

    Simplify content actor setting in ChamplainTile
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit e6be4dfae4de5712cd77f956d5ebc8c42f9bfba2
Author: Jiří Techet <techet@gmail.com>
Date:   Tue May 18 22:45:31 2010 +0200

    Bump version number to 0.6
    
    ...to test if everything works as expected before the actual release.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 3ff002ade72a47c0a755183bd563434fdeba4bdf
Author: Jiří Techet <techet@gmail.com>
Date:   Tue May 18 22:42:42 2010 +0200

    Add a comment about incrementing library version string
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 32b33a25aa78fc070b310f5d0ef27d4d91ce36b9
Author: Łukasz Jernaś <deejay1@srem.org>
Date:   Tue May 18 09:56:09 2010 +0200

    Add dummy ChangeLog file

commit 3155d09d9b773398473709b1af41f496a3a5e17e
Author: Jiří Techet <techet@gmail.com>
Date:   Tue May 18 00:29:36 2010 +0200

    0.5.2
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 8fa46ff85b2ae61ff6d5286c9a198aaec6cfd714
Author: Jiří Techet <techet@gmail.com>
Date:   Mon May 17 23:38:34 2010 +0200

    Generate changelog the same way as recommended by live.gnome.org
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 90257d8028bc687e10fa271fed1d0aaac8576366
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 16 15:10:31 2010 +0200

    Enable introspection for distcheck
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 9348681ee0e9fde605c5044ee7ef223de5b0e904
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 16 14:57:08 2010 +0200

    Check validity of the top left tile to be loaded
    
    If it is outside the range, set it to the closest valid value. Prevents
    crash when map panned left on low zoom level.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 8eef345db2e8c1f38c88d792413b4eb362a4174a
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 16 01:51:06 2010 +0200

    Prevent crash on shutdown when markers are visible
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 3318a3f661da93d0a49bd18ea5344f0be86e4706
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 16 00:55:11 2010 +0200

    Call g_object_ref() on data passed to idle functions
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit a64a87fbbedd06a96849e98325bf51fb01c77045
Author: Jiří Techet <techet@gmail.com>
Date:   Sat May 15 21:26:16 2010 +0200

    Add traces to ChamplainView
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 04c7779f14508394cdd240010709672de9025bc3
Author: Jiří Techet <techet@gmail.com>
Date:   Sat May 15 17:21:43 2010 +0200

    Display CFLAGS in configure summary
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 6fd9bc085ac35b2afbe38b73945e6b56834b33f8
Author: Jiří Techet <techet@gmail.com>
Date:   Sat May 15 16:55:50 2010 +0200

    Get rid of hardcoded version in docs makefile
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit f3b662d3a9edfdea19a7a12ba3488f5e60de40dc
Author: Jiří Techet <techet@gmail.com>
Date:   Sat May 15 16:55:08 2010 +0200

    One more fix of introspection compilation in other directory
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 42b281cfa7535f4f262429e7ed34e112e19936b6
Author: Jiří Techet <techet@gmail.com>
Date:   Sat May 15 16:53:42 2010 +0200

    Get rid of clang static analysis tool warning about uninitialized value
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 529df691fd765a59f99c2a370b4258f2ae01231b
Author: Rob Bradford <rob@linux.intel.com>
Date:   Wed May 12 14:14:23 2010 +0100

    network-map-source: Use a better mechanism for error tile
    
    Rather than using a clone which requires the source being mapped (parented and
    visible) we instead pull the backing texture out from the ClutterTexture
    ourselves and use that when creating the error tiles.
    
    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=618248

commit 1e084cef16a3587eab4e6462ccc3cf1d007528ef
Author: Jiří Techet <techet@gmail.com>
Date:   Fri May 14 21:16:09 2010 +0200

    Use correct cast
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 0014f85bde1d72add50f618d4e8eb9ecbe4e51f8
Author: Jiří Techet <techet@gmail.com>
Date:   Fri May 14 20:57:34 2010 +0200

    Make introspection compilation work in other directory too
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 1ef56215ca2d5a922b7e91a68f628377bcf0a497
Author: Jiří Techet <techet@gmail.com>
Date:   Fri May 14 02:15:53 2010 +0200

    Fix strange introspection scanner warning
    
    There seems to be a bug in the introspection scanner which causes
    some nonsense warnings - this workaround should fix it
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit aaa0496f924d9dfab26e78224dac70d8f87b1017
Author: Jiří Techet <techet@gmail.com>
Date:   Fri May 14 01:37:21 2010 +0200

    Use the new way for introspection makefile creation
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 6f6b2297d2c7d712003b5d5fcf4bd921daf597df
Author: Jiří Techet <techet@gmail.com>
Date:   Thu May 13 01:24:04 2010 +0200

    Reset the sql statement before bind_text also for stmt_select
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 3890fb3c4ae80d40751bb8b332f8174603673966
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sun Feb 21 18:30:43 2010 +0100

    Reset the update prepared statement before each execution

commit abe0bba689b1ca354a6ded6e64b3a71b17dc02c0
Author: Jiří Techet <techet@gmail.com>
Date:   Wed May 12 23:28:16 2010 +0200

    Get rid of some warnings reported by clang static analysis tool
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 2c62c0bb005b2932e2aa056d7bcc04e294b2d50c
Author: Jiří Techet <techet@gmail.com>
Date:   Wed May 12 21:48:05 2010 +0200

    Add G_GNUC_UNUSED where appropriate so LLVM clang doesn't complain
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 7b8d8d1026a2995507c127f8239294eddb6ac561
Author: Jiří Techet <techet@gmail.com>
Date:   Wed May 12 22:20:57 2010 +0200

    Add missing shebang in python polygons demo
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit d6fcee5c43b93bb2eae208012fb3f1042bc9788e
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Tue May 11 16:13:52 2010 -0300

    Ship file pychamplainmemphis-constructors.defs

commit e303fa3eb0a47da3a4062b29e373fdc11edd7c81
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Tue May 11 16:09:15 2010 -0300

    Like pyclutter-gtk the champlain-gtk in launcher-gtk.py demo must
    be the first to be imported

commit 56385f07efc98dbe6c001cb0502ac3a680448393
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Mon May 10 18:57:55 2010 -0300

    Add virtual proxy wrapper to ChamplainMapSource.get_projection

commit 38a49e39c532cfc36dcbb15d222626b866c9aaaf
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Mon May 10 18:55:41 2010 -0300

    Update ChamplainMapDataSource and ChamplainMemphisTileSource constructors to
    new gobject API

commit 9c4057c3dcea8e68120ccadc81fb9aa0a5bfd107
Author: Jiří Techet <techet@gmail.com>
Date:   Wed May 12 00:05:41 2010 +0200

    Latitude and longitude parameters of champlain_base_marker_set_position() swapped in header
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 562a6d65074f76e0e82b9a38349d19a6cddb7f4f
Author: Jiří Techet <techet@gmail.com>
Date:   Tue May 11 23:57:18 2010 +0200

    Free proxy URI with soup_uri_free() instead of g_object_unref()
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 79c97550ff61e554c003ed9b125b0749c23672ce
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Tue May 11 23:50:22 2010 +0200

    Free GError when reporting an error

commit ac7273c1f2e38636ed78214a0731442275b9342d
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Tue May 11 23:44:14 2010 +0200

    Remove debug print

commit 304f5679193194bbd0ad018696b2f575e5365fd5
Author: Jiří Techet <techet@gmail.com>
Date:   Tue May 11 23:37:48 2010 +0200

    Eliminate warnings when compiling local-rendering demo
    
    Can't reproduce the original warnings myself but was reported in bugzilla.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 12029f640a0070c0d2e798292b7419babaefbc2d
Author: Jiří Techet <techet@gmail.com>
Date:   Tue May 11 23:25:52 2010 +0200

    Fix the unref of the previous image in champlain_marker_set_image

commit e7c81ffb30be38618abed79ba57ea051ebf913e7
Author: Jiří Techet <techet@gmail.com>
Date:   Tue May 11 23:12:40 2010 +0200

    Add some missing G_BEGIN_DECLS/G_END_DECLS
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit d9765e75b009172d86f7d1c96df21fc5f075d03a
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Tue May 11 21:59:49 2010 +0200

    Fix an invalid cast if a view is passed a ChamplainLayer instead of a ChamplainSelectionLayer
    
    button_release_cb can't assume that all objects in the layer group are
    selection layers. Normal layers are also allowed.

commit 2a3ce0de97e0dcbb3bf440acb49f4f7b00980458
Author: Jiří Techet <techet@gmail.com>
Date:   Tue May 11 00:15:31 2010 +0200

    Remove libchamplain-gtk.types - it should be generated automatically
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 6ffab22ec0dfbc975b2441f6e5869ebb7a91ea77
Merge: 3494c40 54f92ec
Author: Jiří Techet <techet@gmail.com>
Date:   Mon May 10 23:29:29 2010 +0200

    Merge branch 'LIBCHAMPLAIN_0_4_5'
    
    Conflicts:
    	AUTHORS
    	NEWS
    	configure.ac

commit 3494c400dd959ba09e33df2132a83cafa6da0dbb
Author: Jiří Techet <techet@gmail.com>
Date:   Mon May 10 22:37:59 2010 +0200

    Update web page in configure.ac
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit fa2a108a478ef6cbf1a8f682cdabdb8c65b02cbf
Author: Jiří Techet <techet@gmail.com>
Date:   Mon May 10 22:37:29 2010 +0200

    Update dependencies in README
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 2e9d4739fdc7bb51481394324dd6f7c4a70d61ef
Author: Jiří Techet <techet@gmail.com>
Date:   Mon May 10 22:03:37 2010 +0200

    Do not unref polygons
    
    ...they are owned by ChamplainView now.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit bb20af808b59d9ffe9fb105a005c9f32b6199aa9
Author: Jiří Techet <techet@gmail.com>
Date:   Mon May 10 22:02:40 2010 +0200

    Do not generate 0 size clutter textures for polygons
    
    Fix at the right place...
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit a82b3b28f309d7e3215c4cf69e1fca43b0e795c2
Author: Jiří Techet <techet@gmail.com>
Date:   Mon May 10 21:14:02 2010 +0200

    Remove unnecessary DIST_SUBDIRS
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit df54906f646e02489ffd005e70a2fff656c4c23a
Author: Lorenzo Masini <lorenxo86@gmail.com>
Date:   Mon May 10 21:11:54 2010 +0200

    Fix a compilation issue with libsoup-gnome

commit 57270fe4f30c85fd68b9ba018c489765de1e82c5
Author: Jiří Techet <techet@gmail.com>
Date:   Mon May 10 01:46:02 2010 +0200

    Update champlain-gtk docs
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 2be4ac7df5d7b124712270e5c7f8ec1b67ecce30
Author: Jiří Techet <techet@gmail.com>
Date:   Mon May 10 01:42:43 2010 +0200

    Update python defs
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 1b4e9dd40ba16f83e69cbc582e11a3c33f40ea63
Author: Jiří Techet <techet@gmail.com>
Date:   Mon May 10 00:43:39 2010 +0200

    Make the TOC of the manual more readable
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 02ceb5ec8249e9632d7ca72a5f780280d78f9b54
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 9 23:47:32 2010 +0200

    Improvements to the documentation and moving around some definitions
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit e66e7490fa31c2ad58b4d690e6cf910d332dcc70
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 9 15:31:13 2010 +0200

    Generate types file automatically
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 0881ef875fb66b96de88c4f3b0522508d3c980b0
Author: Jiří Techet <techet@gmail.com>
Date:   Sun May 9 00:01:50 2010 +0200

    Many improvements to the build process
    
    * be less verbose during build
    * use templates for generated enum files
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 2f0022403331101d8db804fe7bfd62500288ef21
Author: Jiří Techet <techet@gmail.com>
Date:   Sat May 8 23:55:24 2010 +0200

    Use new autogen.sh from gnome-common
    
    Fixes warning during build
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit f626336e726bbb7ee64ea11db64ea2a0fba94bd7
Author: Jiří Techet <techet@gmail.com>
Date:   Sat May 8 15:20:14 2010 +0200

    Some build fixes
    
    make distcheck should work now
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 5cb2b5e1a357c76ca9951d0320b2bb487ba02e15
Author: Jiří Techet <techet@gmail.com>
Date:   Sat May 8 01:01:42 2010 +0200

    Remove the outdated tutorial
    
    It was very incomplete and outdated and users will find much more
    up-to date examples of how to use libchamplain in our demo apps.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 50a3f75e034da7ee90ca07ee21d30d3386cdaa66
Author: Jiří Techet <techet@gmail.com>
Date:   Sat May 8 00:56:57 2010 +0200

    Use the new INSTALL that is generated with recent autotools
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 6838804303dfc82376f3f523678c7d61d5ed79fd
Author: Jiří Techet <techet@gmail.com>
Date:   Sat May 8 00:55:26 2010 +0200

    Remove the perl bindings for now as they are not updated yet
    
    It is expected they will be updated for 0.6 after its release and
    re-introduced again.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 42f38988a4bf044309e3594ed32e6d952304db50
Author: Jiří Techet <techet@gmail.com>
Date:   Sat May 8 00:29:12 2010 +0200

    Remove "managed" bindings as they seem to be unmaintained
    
    Can be reintroduced any time in the future if there is someone
    willing to maintain them.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 1910e8c6745b4cea7c4d1b8b4d14b31ab391c9cd
Author: Jiří Techet <techet@gmail.com>
Date:   Sat May 8 00:20:26 2010 +0200

    Fix some introspection build problems
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit ed0d1aecd9603c84d1af923ad08ce13a5d07d648
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Mon May 3 18:18:10 2010 -0300

    Update champlain and champlainmemphis python bindings.
    
    Add new wraped functions and properly dispose of gboxed objects.

commit 1ea004326266e2a26d02942bf26c308f28b45553
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Apr 17 22:19:59 2010 +0200

    Many changes in build process
    
    * make libchamplain independent of memphis so it can be built without it
    * automatically generate library name based on version in autoconf configuration
    * some necessary updates in python bindings
    * minor updates everywhere
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 3c519af67862a02949ca3dbaf36f7f4f5c53f81a
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Mon Apr 5 23:55:11 2010 -0300

    Add new file pychamplain-gtk-base.defs

commit f854efe88ecaaab3371407c8bb51f193189cf68d
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Mon Apr 5 23:51:19 2010 -0300

    Add support to virtual methods by using defsgen.py.
    
    Reported by Jiří Techet.

commit ec5cc08523ce033b60d5ec0eb9ca5d2ace7c4258
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Mon Apr 5 23:49:54 2010 -0300

    Use memphis.h include and add ChamplainBoundingBox sets

commit 3feb491f6d4658fe116c6d59dfa9d71a3d4552c0
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Mon Apr 5 23:49:14 2010 -0300

    Add new boxed type ChamplainBoundingBox

commit 1303f46d2f8ed1154877a2fd2278afa49222da50
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Mon Apr 5 23:48:37 2010 -0300

    Update .defs

commit 8f693e44c5f1b8c48e95643878d5fca97de39046
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Mon Apr 5 23:46:49 2010 -0300

    Just include pychamplaingtk-base.defs

commit 258dc1a35ae06cd8a40ac0804d15b1fbe7e489e8
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Mon Apr 5 23:45:44 2010 -0300

    Update required memphis version to 0.2

commit 6792962172c8ba95c63eb59d22659180f509d306
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Mon Apr 5 23:44:00 2010 -0300

    Use memphis .defs in codegen

commit 2289ce3f677b87a4c6fcbd50d529fafb3912c44e
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Mon Apr 5 23:39:04 2010 -0300

    Ship pychamplaingtk-base.defs

commit 9d49ac6b5d086958f0914aeaada3091bcc63b883
Author: Fridrich Štrba <fridrich.strba@bluewin.ch>
Date:   Thu Apr 22 17:01:04 2010 +0200

    Make the windows mkdtemp be robust with non-ascii characters too

commit db25cde4dbadf9f6489122bca5e77d4f19db47ba
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Wed Apr 21 23:32:56 2010 -0400

    Update maintainer information

commit 7bef303bd3dfd2390e3fac972e97de8dbe393e70
Author: Fridrich Štrba <fridrich.strba@bluewin.ch>
Date:   Tue Apr 20 16:37:19 2010 +0200

    Build fixes for windows

commit 91b531d6440f3f06868e091d5285f7b024b1b372
Author: Simon Wenner <simon@wenner.ch>
Date:   Sat Apr 3 15:25:12 2010 +0200

    Require Memphis 0.2.1

commit 7137f9325e9007690360cb3e479a73a3b94b800e
Author: Simon Wenner <simon@wenner.ch>
Date:   Fri Feb 26 23:40:09 2010 +0100

    Add launcher.js: A champlain javascript demo
    
    luncher.js implements the same application as its c equivalent, but
    uses the javascript bindings provided by gobject-introspection.
    The demo has no implementation of the marker layer and printing the
    coordinates of a mouse click does currently not work.

commit 96f075627a1aafdcf181594d3d834ccacc3d31c5
Author: Simon Wenner <simon@wenner.ch>
Date:   Fri Feb 26 23:28:34 2010 +0100

    launcher: remove redundant semicolon

commit 00625af4128f2a6f69dc9654299e0c3985b832ce
Author: Simon Wenner <simon@wenner.ch>
Date:   Fri Feb 26 23:26:37 2010 +0100

    Bugfix: GtkChamplain-0.5.gir has to depend on Champlain-0.5 and not 0.4

commit d98afec4ec14e72a0bf482fef282e3b1b0d30902
Author: Simon Wenner <simon@wenner.ch>
Date:   Thu Feb 25 17:40:05 2010 +0100

    update m4/gtk-doc.m4

commit b6b4ac0384b1a0ff5d092231eeecffdbd6b69c2b
Author: Simon Wenner <simon@wenner.ch>
Date:   Thu Feb 25 17:38:01 2010 +0100

    Fix a typo in a comment

commit abd9242cbe9fe26e2283b704516adff4f695a1b5
Author: Simon Wenner <simon@wenner.ch>
Date:   Thu Feb 25 17:31:20 2010 +0100

    Migrate to libmemphis version 0.2
    
    Version 0.2 features proper io error handling and introspection support.

commit 85fe17c189fe21140fc6283b46863ceb894432ee
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Mar 27 14:56:23 2010 +0100

    Unref GdkPixbufLoader
    
    GdkPixbufLoader wasn't unreffed when the tile was successfully loaded.
    This caused a _huge_ memory leak.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 1dcbd66336ef8aa3946a7e2e36f25e007496af90
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Mar 27 14:53:37 2010 +0100

    Remove tile ref/unref in ChamplainTile
    
    Under Lucid, there are some warnings in the console about non-existent
    object being unreffed. This patch fixes that. It should be safe not
    to ref the tile because when fade_in is completed, the content actor
    is guaranteed to exist and because it exists, its parent exists as
    well.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 17e7937f98f686f4c8ddbf2206a20cdff495a6d7
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Mar 22 22:48:54 2010 +0100

    Optimize ChamplainView state update
    
    When profiling with Oprofile and gprof2dot, view_update_state() consumed
    nearly one half of CPU cycles (CPU used by libchamplain only without
    any other libraries). This was because we were cycling through all
    the tiles to determine the state and the state was updated for every
    tile, which lead to quadratic complexity. This patch fixes this by
    updating a counter of tiles that are being filled.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 6a87d0db9fd984f393d43c32b5ad10c69231a3f4
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Mar 21 04:26:27 2010 +0100

    Move variable declarations to the top of view_load_visible_tiles()
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 8a0ef3abe385a88273431d3b59fde86f4db6dc03
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Mar 21 04:12:06 2010 +0100

    Fix freeing const string
    
    g_get_tmp_dir () returns const string that must not be deallocated.
    Copy it first.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit af5388efd3689df1d617fb9a606698235225a0ce
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Mar 20 18:05:14 2010 +0100

    Display polygons again
    
    Still mystery what the original code was good for - commenting out
    as it causes that the polygon is not displayed.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit ea5778c17b82c1b214f7fdd2689bcd64c7993d03
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Mar 20 17:27:18 2010 +0100

    Get rid of public privates for good
    
    Gets rid of shared private in ChamplainBaseMarker and corrects variable
    naming conventions in CHamplainBaseMarker.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit b92ec98dd84f50b05f4e7f80f76a15d7fa65bb61
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Mar 20 14:30:28 2010 +0100

    Access private members through priv member of the class. Everywhere.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit acb0f5fb925321688961d0731c4f19aa6b5ded99
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Mar 20 02:21:30 2010 +0100

    Fix violations against my own coding style
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 43321a4149ede0c888e699d6ab0f6e563a1b21e9
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Mar 20 02:17:28 2010 +0100

    Coding style fixes
    
    The most boring hour in my life...
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit e7693b79032be4fc0eba5d86c88e8003ecb1f1d5
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Mar 19 22:00:36 2010 +0100

    Lie a bit about not fading in
    
    Even if fade-in is set to false, fade in a little. This is much more
    eye-pleasing than displaying the tile directly, which causes flickering
    effect when panning and loading tiles from the cache. Slight fade-in
    looks much more natural and when it's short enough, it's not annoying.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit bce55b53e6f65ddfc6a791ef46cd6c4501221919
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Mar 19 21:49:37 2010 +0100

    Make fade-in a property of a tile
    
    fade-in should be independent of champlain_tile_set_content() for greater
    flexibility. In addition, memphis and error tile sources load tiles fast
    and don't need to be faded in.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit e804b0d07274c386490b791914c9606b7d394ed5
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Mar 19 01:39:04 2010 +0100

    Fix changing map source doesn't update the display
    
    Commit that was supposed to move all tile removal to
    view_load_visible_tiles() was a little bit too aggressive...
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 891f991d8af5a22972a99c1203f6f7c40cb04ce3
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Mar 19 01:32:58 2010 +0100

    Call viewport_pos_changed_cb() only when we want to
    
    We don't want to unnecessarily update viewport within another update
    so block the signal in these functions when updating viewport.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit fc4506eede96533cb2fb21471eff034d72118a29
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Mar 19 00:40:44 2010 +0100

    Remove my last question/comment
    
    Replace the original code with what I think might be correct even though
    I still don't understand its purpose...
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 39df325744c1a469fe89405fe36e11a387bc988a
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Mar 19 00:36:43 2010 +0100

    Proper fix of bug 575133
    
    Cures causes instead of symptoms. More description in the patch.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 69ff778af4b9a9645eb44727d28acc5cf10464f1
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Mar 18 22:16:45 2010 +0100

    Remove update of tile map
    
    Not needed since the new spiral loading doesn't revisit already loaded
    tiles.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 412e09c255da3f280a08658fa263513b888e1d79
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Mar 18 22:15:18 2010 +0100

    Position tiles even when they don't need to be loaded
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit a3ef6cf300241b4bb393b0f8a91427420fbadcac
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Mar 18 01:17:25 2010 +0100

    Load tiles in true spiral pattern
    
    Despite author's comment, the tiles were _not_ loaded in concentric squares
    (hint: the number of tiles present one square is not equal to 4*side_size).
    This patch loads tiles in true spiral manner, which, apart from not loading
    the same tile several times, also looks much nicer.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit e3e260fd40affa9d3dbf5964ba2b2c4d557000e7
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Mar 18 00:34:59 2010 +0100

    Move fill_tile() call from view_load_visible_tiles() to an idle callback
    
    Even though we load tiles asynchronously, the preparation steps take
    some time. Inside the inner loop of view_load_visible_tiles() the time
    is multiplied by the number of loaded tiles. For improved interactivity it
    is better to load tiles outside of the loop in idle functions so it can be
    interleaved with other main loop calls. This significantly improves
    interactivity in full screen launcher-gtk demo.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>
    
    add commit

commit 6ac6b270099c83cb1800748721e35439adcf638d
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Mar 17 23:52:53 2010 +0100

    Revert buggy commit
    
    My assumption that priv->latitude and priv->longitude don't change in
    resize_viewport() was clearly wrong as I hit the bug. What's going
    on here?
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 3f086a92b2123ec1f904880bc69e5949e988a65b
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Mar 17 23:28:47 2010 +0100

    Code cleanup
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 9824d36b20d1d7e67c48906761395e8a77ee0a5f
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Mar 17 23:27:58 2010 +0100

    Remove all invalid tiles within view_load_visible_tiles()
    
    Now view_load_visible_tiles() is the only function that creates or
    destroys tiles, which eliminates all special cases where we might
    forget to destroy tiles.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 543cf72d654da754c8df188fb8c3d039e7709e29
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Mar 17 23:13:57 2010 +0100

    Use tile-presence map instead of going through tile list over and over
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 696b17bfd8c73487d6cccbba1293361e4c0fae95
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Mar 17 22:48:33 2010 +0100

    Some cleanups in view_load_visible_tiles()
    
    Rename x_last to x_end to make it clear that this coordinate doesn't belong
    to the range of loaded tiles. Fix one range check and use x_count, y_count
    where possible.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit bcbb2913c673b92ddcad1b54a712c328abcaee28
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Mar 16 02:01:09 2010 +0100

    Fix zoom level 0 not displayed
    
    (One should be more careful when simplifying "obvious" things...)
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit c54e4ac33ba400aa1141b869bf97e819bf31aecb
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Mar 16 01:40:40 2010 +0100

    Fix zoom-out at low zoom level
    
    When ChamplainZoomLevel was removed, removing tiles from the map layer
    was removed as well, which is a problem at low zoom levels as there
    are no tiles and the old tiles remained there.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit c83eb8cc796c4872ae3d35ae1d2ddafc29d8080f
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Mar 16 01:10:21 2010 +0100

    Simplify and optimize time-based redrawing
    
    Instead of evaluating time every time in viewport_pos_changed_cb(), we
    can use a timer that sets the flag determining whether we should redraw
    the viewport in periodic intervals.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 56f2ba7b2858d14cf76437ad77b25021dcc04006
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Mar 15 02:06:28 2010 +0100

    Base viewport update on time as well
    
    Viewport is currently updated only based on the amount of scrolled pixels
    (100). However, when the viewport is slowing down in the kinetic mode,
    this can result in a blank space appearing in the top of the window for
    quite a long time because the movement is slow and doesn't reach the 100
    pixel margin needed for update. This patch adds one more criterion - time,
    which makes to perform the updates at least 4 times a second, no matter
    how many pixels were scrolled.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 6ef07ebbfd4e256d116878470ffe339620932918
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Mar 15 01:02:29 2010 +0100

    Replace pow() with bit shift to be sure we are fast
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 7975e458c54cb704d8d284559a45df77358c3758
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Mar 15 00:47:56 2010 +0100

    Completely remove ChamplainZoomLevel
    
    After looking at it, I have realized that this class became absolutely
    useless now -> remove it.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 20f473ac0ed555c914aa302d2f26fadee5917e5f
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Mar 14 19:35:20 2010 +0100

    Iterate through container using clutter_group_get_nth_child() when the container is not modified
    
    Use of clutter_group_get_nth_child() is slightly simpler than using
    clutter_container_get_children() [no forgotten free() at the end] and
    there is no danger when the container is not modified inside the loop.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 04201ed4735127a8c676a1bceae0536d64d9b20e
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Mar 14 19:11:42 2010 +0100

    When removing tiles from container, iterate using clutter_container_get_children()
    
    Iterating through container using clutter_group_get_nth_child()
    and removing them inside the loop relies on the stability of deletion in
    ClutterGroup, which isn't documented anywhere. Better to use
    clutter_container_get_children() here.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 0dc0f1c719be00ef69dbb5ed17636e0c4b147214
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Mar 14 17:00:21 2010 +0100

    Remove extra condition
    
    The condition below is a proper superset of the removed condition
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 3961b5254ac5f005e79b93be27d600bd05051491
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Mar 14 16:53:21 2010 +0100

    Fix scroll_to() for CHAMPLAIN_SCROLL_MODE_PUSH
    
    Using tidy_viewport_set_origin() in scroll_to() isn't correct because
    it doesn't load the necessary tiles (reproducible by scrolling using
    keyboard arrows). Use champlain_view_center_on() instead.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 55dcf5548003debf7cfe945ddbba73c2333bd075
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Mar 14 16:15:35 2010 +0100

    Remove the workaround related to resize_viewport()
    
    I don't see anything in resize_viewport that could possibly change
    priv->latitude and priv->longitude so this workaround is not probably
    needed any more.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 3093a500e3da24f9cc4a7f57b5474732c4a6517f
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Mar 14 14:46:03 2010 +0100

    Set zoom level only if champlain_zoom_level_zoom_to() is successful
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit cc887f3083cf49188436ed4366aa8fa001271512
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Mar 14 00:56:19 2010 +0100

    Remove view_tiles_reposition ()
    
    If we position tiles already in view_load_visible_tiles() [already done
    for newly loaded tiles], we don't need any extra repositioning.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit a5b2886908dc4e69fb949d410abbf4fc23d5cfe1
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Mar 14 00:36:37 2010 +0100

    Fix TODO in view_reload_tiles_cb()
    
    For tile reloading we can first destroy all tiles and then load them in
    a standard way.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 05664077cb6fa94fde06305a75beb48ceb30246a
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Mar 13 23:51:30 2010 +0100

    Remove extra function calls in champlain_view_set_map_source()
    
    Most of the update functions are already called by
    champlain_view_center_on() - don't do the same work twice
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 592951f3d34f49c1b14ffd7c562a27b6f98a6210
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Mar 13 22:05:17 2010 +0100

    Make champlain_view_ensure_visible() easier to read
    
    Looking at the code again I realized that it was actually correct,
    but written in a bit hard-to-follow way. This patch makes it a bit easier
    to understand.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 0bad7657f68c6effe85c6538970a246073bda40d
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Mar 12 21:28:29 2010 +0100

    Fix bug where champlain_view_center_on() didn't work properly
    
    champlain_view_center_on() didn't update priv->viewport_size.x and
    priv->viewport_size.y, which caused that not all necessary tiles were
    loaded by view_load_visible_tiles() because it uses the viewport
    coordinates from priv->viewport_size
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 835cd26008617685a1f64a580a6bb31de661f6cf
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Mar 12 21:32:48 2010 +0100

    Add test that simulates the use of GPS with libchamplain
    
    This test uses champlain_view_center_on() to update the position on the
    map and the position of the marker.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit a84d37c367ae76cc4d0d04aa20cac5d49bacb926
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Mar 12 21:21:37 2010 +0100

    Make view_load_visible_tiles() less brain-damaging
    
    * use variable named x_last instead of x_count (the original
    naming was pervert)
    * remove the extra indent after "Load new tiles if needed", which
    was totally useless
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 50d5f986f8052f15375f7882222c2fe88677c6fc
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Mar 12 00:53:29 2010 +0100

    Put the tiles immediately to the right position
    
    Position the tile already when loading so that it doesn't have to be
    repositioned after state is set to DONE (in which case there could be
    a short period of time in which the tile is displayed at incorrect
    position)
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit ace942a2d9bdad1e1ae94a4564947828129beba5
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Mar 12 00:44:45 2010 +0100

    Set tile size during its creation
    
    Set the tile size once when created and eliminate all the tile size
    settings in the map sources.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 3d4ca32f840d6dd1f26295ccbbc76f69cc7af100
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Mar 12 00:15:19 2010 +0100

    Insert tile content into parent only when state set to DONE
    
    We call set_content() on tile also when we want to validate the tile only
    and if the tile is not validated, the new contents is set again by
    calling set_content(). This would cause redrawing the tile twice instead
    of once. Also the tile is repositioned only after the state is set to
    DONE so in between the tile is displayed at incorrect place.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 4f9a1d8bdb724daa5cbee818c29f84c2686b2723
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Mar 12 00:06:56 2010 +0100

    Fix blocked panning bug
    
    The detection of anchor update was done incorrectly in the case when
    panning down (i.e. going to the north)
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 75f5926e5640c3c4c73985001d10290248a8d3dc
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Mar 10 01:53:38 2010 +0100

    Disable use of memphis_renderer_tile_has_data until it works correctly
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 5d99ba16e594bcbfcb4f81ace338de7d17f2c8e0
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Mar 10 01:47:28 2010 +0100

    Cancel download of tiles that get out of the viewport
    
    Prevents unnecessary tile downloads when scrolling fast.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 82d5d2c269da248951e89ca13815a642019da375
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Mar 8 23:15:48 2010 +0100

    Remove CHAMPLAIN_STATE_INIT
    
    We have no real use for two neutral states - one is enough.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 4a01b8dbd9d590b00fe5772ffdf39997bce6fd0c
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Mar 8 00:28:15 2010 +0100

    Test using memphis_renderer_tile_has_data()
    
    It looks there is a bug in this function.

commit 6303a4d243701c09f52c3509ed0ef75684142483
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Mar 7 02:43:01 2010 +0100

    New tile unref logic and various leak fixes
    
    This patch does the following:
    
    * makes champlain_tile, champlain_zoom_level and champlain_polygon
      inherit from ClutterGroup, which makes them ClutterActor
    * tiles are not reffed/unreffed anywhere in the code. Instead, upon
      their creation they are inserted into champlain_zoom_level and when
      they are destructed, the map sources have to detect this destruction -
      this is much simpler than other way round
    * champlain_map is removed and the necessary functionality moved to
      champlain_zoom_level
    * removes the use of "public private" members
    * fixes many memory allocation related problems
    * some random fixes and code readability improvements found on the way
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit c13a8169f889c914ab0d483053aa472ef94a5196
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Mar 1 22:51:18 2010 +0100

    Fix deletion of the wrong directory when temporary cache is used
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 91dde81214b9314bee78e30b0de30c1198a7ce61
Author: Brian Cameron <Brian.Cameron@sun.com>
Date:   Mon Mar 15 14:07:28 2010 -0500

    Fix void functions to not try and return a value.  Fixes bug #612758.

commit 54f92ec2b8cf24d926830038b2c57cbfb3fc6baa
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sun Mar 7 22:41:18 2010 -0500

    Bump release to 0.4.5 + NEWS

commit 20f971142725d60091a33ba7e3576fe458bf7ca9
Author: Jonathon Jongsma <jonathon@quotidian.org>
Date:   Fri Feb 19 16:53:00 2010 -0500

    Fix ChamplainView::notify for latitude and longitude
    
    There was a bug where the latitude and longitude notify signals would
    never be emitted.

commit 8315abcc9ff54ec44de980b53163389c869a82ac
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Feb 16 16:42:18 2010 -0500

    Add Rob to AUTHORS

commit 3bff2b38d22e8a102a3acec3cbc0e8f4523a49fb
Merge: d0de19f f0102a8
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Feb 16 16:34:55 2010 -0500

    Merge branch 'libchamplain-0-4'

commit d0de19fae484bc4eb7cf7a2d567345b5f86325e8
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Feb 15 00:59:57 2010 +0100

    Fix cache initialization
    
    init_cache() should be called only when all properties are set (that is
    inside the _constructed() method)
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit e115ad56dabca6a2f8b1a882bfc6d8379d50ff54
Author: Jiří Techet <techet@gmail.com>
Date:   Sun Feb 14 13:21:46 2010 +0100

    Fix asynchronous tile loading
    
    When loading textures asynchronously, we have to check whether the
    tile was loaded successfully in the callback.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 191394a29db4da0ee4bb3c1121d4bd28d711ff16
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Feb 2 00:08:47 2010 +0100

    Make it possible to manually chain chains.
    
    Chains should behave as other map sources so it should be possible
    to create chains of chains. For now, chains of chains have to be
    created manually - i.e. the outer chain cannot be ChamplainMapSourceChain
    but has to be created by _set_next_source(). The reason is that
    a chain has to know about each of its elements whether it is a map
    source or a cache (if this feature is desirable, we can add a virtual
    method of map sources that determines whether it behaves as a map source
    or cache so even if the map source is a chain, it could have this
    information attached).
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 22d260e316fa422f3ef14e1c146cb04da38f6f60
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jan 30 21:40:50 2010 +0100

    Use default cache path when not specified.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 10f977db44dab93e2a89f32d5081fddb21a08b23
Author: Jiří Techet <techet@gmail.com>
Date:   Sat Jan 30 20:42:43 2010 +0100

    Fix view destruction upon shutdown.
    
    View (and indirectly map sources) were not destroyed because
    gtk_champlain_embed
    * didn't chain dispose
    
    Also the view has to be destroyed manually when inserted into stage
    obtained from clutter_stage_get_default() - it appears that it isn't
    destroyed upon application shutdown.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit ba7b3c6758443a52965f42e917143f72f89918e8
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Jan 29 00:21:26 2010 +0100

    Use cached source when switching map sources.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit f0102a8f257ad449cc859dd4cda02c299918a978
Author: Rob Bradford <rob@linux.intel.com>
Date:   Tue Feb 16 16:46:05 2010 +0000

    view: Remove the need to explicitly set the size on the actor
    
    Firstly we need to report a size for the map using the ClutterActor
    _get_preferred_width/_height virtual functions. For both the minimum and
    natural dimensions we use the tile size which is the smallest sensible size
    for the map.
    
    We also need to save the dimensions of the allocation box for the actor and
    save that into the private structure. We then used that in an idle to update
    the content to show.

commit 783747caaf42182b8a9044377e1efd24a7e44ce6
Author: Rob Bradford <rob@linux.intel.com>
Date:   Tue Feb 16 16:01:20 2010 +0000

    build: Add memphis-1.0 to .pc file requirements

commit 1a17f91b6d2f05e5ed221ce4e100a9e580834c8b
Author: Rob Bradford <rob@linux.intel.com>
Date:   Tue Feb 16 16:00:19 2010 +0000

    build: Remove spurious entry from libchamplain_include_HEADERS
    
    This had the side effect of not installing all the headers.

commit 45ad132161635d23d591e1d713d722434a1d6b39
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sat Feb 6 01:18:53 2010 -0500

    Properly get rid of previous image
    
    When changing the image using set_image, the old image would still
    be visible in behind the new image.

commit e3262d08756ed22341f9c5eadc2b2fc258ceeb9e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Feb 2 17:19:29 2010 -0500

    Unref the info only if it was valid

commit e0d58e1b9057d3a329205fe44a0f99481ebf0018
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Feb 2 17:05:41 2010 -0500

    Remove the code from champlain_file_cache_new
    
    This is bindings unfriendly.

commit 84811366633b33418bfcc4e5226c60391b006034
Merge: a2dea0e ef14ca5
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Feb 2 16:40:56 2010 -0500

    Merge branch 'libchamplain-0-4'
    
    Conflicts:
    	NEWS
    	champlain/champlain-cache.c
    	champlain/champlain-map-source-factory.h
    	champlain/champlain-network-map-source.c
    	champlain/champlain-view.c
    	configure.ac

commit a2dea0eeb45f145b7d8869111abb7c4d57a9f76c
Author: Jiří Techet <techet@gmail.com>
Date:   Tue Jan 26 00:06:54 2010 +0100

    Documentation of the new loading chain.
    
    Added documentation comments for the new classes and functions. Some
    minor function renames and moving around.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit ef14ca5f7448366dde169f3648e6b0ce4dc21b25
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Thu Jan 28 20:09:35 2010 -0500

    do not emit a notify for lat and lon if the change is too small

commit 29b97b51d40ee609704ea35d778c622487eb1705
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Thu Jan 28 20:08:20 2010 -0500

    Adjust path name on Maemo to match Maep

commit b03800721fa2f78439a4b95a3e3dd4ebf7cd279f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Thu Jan 28 16:02:56 2010 -0500

    Update NEWS and bump libtool version

commit dbc5d903cee920bb8899a0f67ea840adc2a50fe4
Author: Jason Woofenden <jason309@herkamire.com>
Date:   Thu Jan 28 08:58:41 2010 -0500

    Load tiles near the middle first
    
    It starts just up/left of center, and loads tiles in concentric squares. Going
    clockwise (right, down, left, up).

commit daa9562b4c55faf32c79fbbbd957cd0ca164a96d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Mon Jan 25 15:15:55 2010 -0500

    Also change path of cache db

commit 7e05fd7fcc4240f7f6472c99a53caa93c9508b37
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Mon Jan 25 11:36:22 2010 -0500

    Update NEWS and bump to 0.5.1

commit 16d25eab4cadf866bb89da1f136c5cf517c7ec09
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Mon Jan 25 11:29:13 2010 -0500

    Disable Python and Introspection
    
    Until libmemphis has bindings

commit 7269c10edb22d4fac840232905d35973c11407a2
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Mon Jan 25 11:28:49 2010 -0500

    Ship header files in tarball

commit 7382840253fdd09a6ae0340a98c0dd008f9b8ac0
Author: Götz Waschk <waschk@mandriva.org>
Date:   Mon Jan 25 09:40:14 2010 -0500

    Remove generated headers from build

commit 2d1014b8be3599f243fe2b9af98bf6a7d6ac65a3
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sun Jan 24 22:07:46 2010 -0500

    Update NEWS

commit 3c2716156a62b00417462f9efd06a2bf47ce637e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sun Jan 24 21:46:36 2010 -0500

    Add Jiří Techet to AUTHORS

commit 22ab6e25c11bc03c82824455c4d78470c4bc06ee
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sun Jan 24 16:21:01 2010 -0500

    Fix API documentation generation
    
    Also fixes make dist

commit f863aa689edafdeef41bd9e74e60dcff2c5bffa0
Author: Jiří Techet <techet@gmail.com>
Date:   Fri Jan 22 00:57:00 2010 +0100

    Correct coding style
    
    Correct coding style of mine, in fact, quite automatically:
    
    sed -i 's/\([a-z0-9]\)(/\1 (/g' *.h *.c
    
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit daced1cc38370186579f8a628e1e2a377d014919
Author: Jiří Techet <techet@gmail.com>
Date:   Thu Jan 21 00:13:24 2010 +0100

    Simplify use of cache for ordinary applications
    
    * Create default constructor for caches
    
    * Create a factory function for creation of
    cache->tile source->error tile source chain
    
    * Rename champlain_map_source_chain_push_map_source to
    champlain_map_source_chain_push
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 13b228d5577a3b63be12c273913f2c4a697e8961
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Jan 20 22:25:36 2010 +0100

    Set CHAMPLAIN_STATE_DONE only if the tile has some content
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 63ccb7882f10944a538a5b38e32aa89b614a0b87
Author: Jiří Techet <techet@gmail.com>
Date:   Wed Jan 20 21:57:23 2010 +0100

    Remove incorrect comment in memphis
    
    Remove incorrect comment of mine (this is a read lock so multiple
    threads can use memphis in parallel)
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 2ec700186d919e6683244b3fe32d724ff0b723ac
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Mon Jan 18 10:11:15 2010 -0500

    Add special paths for Maemo
    
    All tile using apps on Maemo agreed to use the same paths

commit b66a51ee2922ba60cab73867e8349a6b90e731a6
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Jan 18 01:28:28 2010 +0100

    Rename MemphisMapSource to MemphisTileSource
    
    Rename MemphisMapSource to MemphisTileSource to follow the new naming
    conventions of map sources
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit c8508f5e1dcdf44e5353ebd2474034c830ff8b93
Author: Jiří Techet <techet@gmail.com>
Date:   Mon Jan 18 00:51:10 2010 +0100

    New map and cache loading infrastructure
    
    New infrastructure for mutually cooperating and exchangeable caches
    and map sources.
    
    Signed-off-by: Jiří Techet <techet@gmail.com>

commit 3ecfa358b2ddc7b81ce486955f8585857d918420
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sat Jan 16 23:14:14 2010 -0500

    Load tiles async from hard drive

commit c92d8002365947dbeb9c435d7760249a67fb2ef3
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sat Jan 16 16:31:58 2010 -0500

    Update scale and license on realize (once the map is available)

commit f661520c4e57c22d8691bd38c0e08d1864e270e8
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sat Jan 16 15:40:11 2010 -0500

    Make sure the licence and scale actors are on top

commit f9ba90b357250566065fb0b58cf43f049387ffa2
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Fri Jan 15 11:10:06 2010 -0500

    Update python bindings not to use deprecated code

commit 54c8632053cfcded178badb8afbb17f5f278fa80
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Fri Jan 15 10:28:46 2010 -0500

    Don't do everything everytime the user moves
    
    Instead, do it only when there's a 100px difference
    or when he stops moving. Things that are delayed:
    - Loading of tiles
    - Redrawing of polygons
    - Updating of the scale

commit 2b5640543b18036118420d69dc97dd91b9fb4bd0
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sat Jan 16 15:35:01 2010 -0500

    Don't redraw the scale so often

commit e6b1e896f6f53c5527c13a2d309446cf637b9502
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Fri Jan 15 10:54:52 2010 -0500

    Remove deprecated function call in urlmarker demo

commit 0ff2051d0bf6bf7139737ef7a33debb3d1ae875e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Fri Jan 15 10:29:38 2010 -0500

    Remove the loading of the ETAG from the file system
    
    This ETag isn't being used.

commit b381b4d37ed9f34ff1c0d16a31a82d573b00c203
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Thu Jan 14 20:58:57 2010 -0500

    Rethink the init process
    
    Move the init to actor's realize, this way the tiles are
    only loaded once GL is initiated, and once the
    host app has had time to set zoom, lat and lon.  Saves
    loading 13 tiles on demos/launcher-gtk.

commit dfa8e91cf244fee3fa57dce6f10ac4061a3f66b5
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Thu Jan 14 16:06:32 2010 -0500

    Make the licence code work as the scale code

commit 28369615f26826979c59106e9f7d61a285ce7255
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Thu Jan 14 15:52:02 2010 -0500

    center on ealier in the demo
    
    Prevents unnecessary loading of tiles on show

commit fc52a5cab6264ba4b97d056b379d4052bbfc25b0
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Thu Jan 14 15:20:49 2010 -0500

    Update gitignore for demos

commit fbefd7cc5aa42aadd3cd089e84af3e0b2de2ee99
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Thu Jan 14 15:20:33 2010 -0500

    580372: Get rid of champlain_view_set_size
    
    champlain_view_set_size is now deprecated, the size
    of ChamplainView should be set with
    clutter_actor_set_size.  champlain_view_set_size just
    calls it.

commit ccf3025e3250ee1442fbef158f860abee4563be9
Author: Lorenzo Masini <lorenxo86@gmail.com>
Date:   Wed Jan 13 19:09:34 2010 -0500

    Ship all the python .defs files in tar balls

commit a781774c376f61144d2d58568276d4489e61028f
Author: Lorenzo Masini <lorenxo86@gmail.com>
Date:   Wed Jan 13 19:04:52 2010 -0500

    Fix Python demos to use ChamplainEmbed

commit d5c9903cb3f028590e213db1c6538e55632aa558
Author: Simon Wenner <simon@wenner.ch>
Date:   Tue Nov 10 23:25:36 2009 +0100

    fix coding style at random places

commit cadece1726595e876930a4387d23488852796c78
Author: Simon Wenner <simon@wenner.ch>
Date:   Tue Nov 10 23:13:55 2009 +0100

    local-rendering-demo: update las_palmas.osm data

commit 1211fcdc4ab8a11e54d0db5c9ed9b23291e4f65c
Author: Simon Wenner <simon@wenner.ch>
Date:   Tue Nov 10 22:30:55 2009 +0100

    Fix crasher if invalid map or rules paths are used
    
    This patch is a temporary solution. The next release of memphis will have a proper error handling.

commit ddf45e6c6101cace123a72a23deab1e824da3513
Author: Simon Wenner <simon@wenner.ch>
Date:   Tue Nov 10 21:24:07 2009 +0100

    local-rendering demo: replace GtkViewport by GtkFrame

commit 5dba9d0f219d8761aaa121d431252672ad65adbd
Author: Simon Wenner <simon@wenner.ch>
Date:   Sun Oct 25 01:29:28 2009 +0200

    Adapt champlain to the latest changes in libmemphis.
    
    The debug level properties of memphis have been removed. This should speedup rendering and parsing too.

commit 9d9280b419b9555fca5b0c778af8b131024904b2
Author: Simon Wenner <simon@wenner.ch>
Date:   Sun Sep 27 21:31:14 2009 +0200

    Bugfix: Link all demos against libchamplain-0.5

commit 9509fa24f82fffd61976faafd322632215ca7bc6
Author: Simon Wenner <simon@wenner.ch>
Date:   Mon Sep 14 15:44:20 2009 +0200

    New implementation of view_reload_tiles_cb
    
    Deletes all tiles of the previous zoom level and redraws the current zoom level.
    The redrawing of the current level is buggy. In certain cases, depending on the tile number, only part of the tiles are refreshed.

commit 066c15a3c2f305962d191f623ec7f180c8512cd1
Author: Simon Wenner <simon@wenner.ch>
Date:   Fri Sep 11 20:01:42 2009 +0200

    use the new version of memphis_rule_set_[gs]et_bg_color

commit 1fc5a086f633d73c9e97948d0ecb32b3628f72e7
Author: Simon Wenner <simon@wenner.ch>
Date:   Fri Sep 11 19:28:56 2009 +0200

    Use the new MemphisRule implementation

commit 5fd52a9e42d822abbc2b047c1c3f388e4fe0e9ba
Author: Simon Wenner <simon@wenner.ch>
Date:   Fri Sep 11 19:28:21 2009 +0200

    Code formatting

commit f298fb2f964a258a00b16b822e6348bf66c5b07f
Author: Simon Wenner <simon@wenner.ch>
Date:   Fri Sep 11 19:25:00 2009 +0200

    champlain gtk widget needs an explicit memphis dependency

commit 0e7eee8c9316ad2a6bcc2369f1e98333886c49fd
Author: Simon Wenner <simon@wenner.ch>
Date:   Thu Sep 10 19:28:35 2009 +0200

    Add missing return

commit a631ddab899c87a84d9c3c06ffbc9ff131b0267e
Author: Simon Wenner <simon@wenner.ch>
Date:   Sat Sep 5 20:43:55 2009 +0200

    Remove all Memphis build condition checks

commit 2def8984b70296593679886b9b656571cb102a9f
Author: Simon Wenner <simon@wenner.ch>
Date:   Thu Aug 20 12:28:01 2009 +0200

    Follow the new tile management policy

commit 2d082d4818bd33177b1b8087f5946d34b7a316d8
Author: Simon Wenner <simon@wenner.ch>
Date:   Thu Aug 20 12:25:36 2009 +0200

    Clutter 1.0 migration (no more clutter-cairo)

commit 285d1da1aaf875594cd51c85b09fbc32944b18c8
Author: Simon Wenner <simon@wenner.ch>
Date:   Sat Aug 15 15:24:49 2009 +0200

    Remove unused includes

commit d407fc031f7c751d9c8bb9decedb4a5a78fffec8
Author: Simon Wenner <simon@wenner.ch>
Date:   Sat Aug 15 15:13:24 2009 +0200

    Update description of ChamplainMemphisMapSource

commit b9320c6a3a6c9b7444fc63e1498d4a244fcc465d
Author: Simon Wenner <simon@wenner.ch>
Date:   Sat Aug 15 14:55:52 2009 +0200

    Remove the dependency on a default rules file.
    
    The default rule is now hardcoded. All highway types are drawn as thin black lines.

commit df3d77689356998a69cfa16c539dfd5be3e1a2ed
Author: Simon Wenner <simon@wenner.ch>
Date:   Mon Aug 10 22:35:48 2009 +0200

    Use ClutterColor for memphis_map_source_{g,s}et_background_color

commit c5640eabec336586acf2889186778e422988e00a
Author: Simon Wenner <simon@wenner.ch>
Date:   Mon Aug 10 21:26:55 2009 +0200

    Remove champlain_map_data_source_new
    
    An instance of this class is not useful for anybody. It provides only an interface.

commit a1bb52d126bcf7a33325677538299ee95da4abe6
Author: Simon Wenner <simon@wenner.ch>
Date:   Mon Aug 10 21:20:33 2009 +0200

    set all priv vars to NULL after unref in dispose

commit 1825d5529e09fc5a2e965136aae333ce7b7c26bb
Author: Simon Wenner <simon@wenner.ch>
Date:   Mon Aug 10 21:16:16 2009 +0200

    Docu: *_set_* always before *_get_*

commit 8240686c13ed70c38f0f5a2cfdf4df148b333b0c
Author: Simon Wenner <simon@wenner.ch>
Date:   Sat Aug 8 22:11:19 2009 +0200

    fix a typo in libmemphis

commit ea06ebf18d0771067f798b7b262a402cc08af5e5
Author: Simon Wenner <simon@wenner.ch>
Date:   Sat Aug 8 21:58:22 2009 +0200

    Add champlain_memphis_map_source_remove_rule

commit 5a1c85607debf1f043386b47f714c2c0adebefbd
Author: Simon Wenner <simon@wenner.ch>
Date:   Sun Aug 2 00:07:10 2009 +0200

    Add all new symbols to the documentation index

commit 650bf468e37df9245277d1034b4b8d3a7f3e959c
Author: Simon Wenner <simon@wenner.ch>
Date:   Sun Aug 2 00:06:00 2009 +0200

    Update documentation of all MapDataSources

commit 1cb0df4c5b98cb5e0c8e6c47c87490e5bd1f4f65
Author: Simon Wenner <simon@wenner.ch>
Date:   Sat Aug 1 23:57:09 2009 +0200

    Document ChamplainMemphisMapSource

commit 65768ff6ba14fa9849c2571d143493459576bd06
Author: Simon Wenner <simon@wenner.ch>
Date:   Sat Aug 1 15:51:24 2009 +0200

    Update BoundingBox documentation

commit 7d34f4f8eb30a43121537e8e9e167d30c4a30b3f
Author: Simon Wenner <simon@wenner.ch>
Date:   Sat Aug 1 15:36:17 2009 +0200

    Update documentation of ChamplainCache

commit 9013209d309eed480aebd84acb9dc81e0ac145f1
Author: Simon Wenner <simon@wenner.ch>
Date:   Fri Jul 31 20:33:51 2009 +0200

    Document all ChamplainMapDataSources

commit 96e0f3c8650e8500908d62b8088586f847f7a094
Author: Simon Wenner <simon@wenner.ch>
Date:   Thu Jul 30 23:36:38 2009 +0200

    Use memhis_map_get_bounding_box

commit b8f70f014d96a4227e0fd75fe4c6fd7e0291d0c3
Author: Simon Wenner <simon@wenner.ch>
Date:   Thu Jul 30 18:21:23 2009 +0200

    Fix typo

commit 70f500cdbeeb2e1086074fee94b38bb00bd5da3a
Author: Simon Wenner <simon@wenner.ch>
Date:   Thu Jul 30 18:16:58 2009 +0200

    Document ChamplainNetworkMapDataSource

commit 7fc6c366d6f220dde9343952fa3a152f46ed62d2
Author: Simon Wenner <simon@wenner.ch>
Date:   Thu Jul 30 17:25:40 2009 +0200

    local-rendering-demo: Make use of the non-persistent cash

commit b3c33e76c63e3ba13a55a84a84a13b14a365fdf1
Author: Simon Wenner <simon@wenner.ch>
Date:   Thu Jul 30 17:23:17 2009 +0200

    Add 'persistent-cache' property to MemhisMapSource
    
    This property allows to choose between a managed and an unmanaged session cache.

commit 6e4f4234e6b5bf7c94fd24af925aec31b2fb9ede
Author: Simon Wenner <simon@wenner.ch>
Date:   Thu Jul 30 16:36:15 2009 +0200

    Remove the 'map-data-changed' signal from MapDataSource
    
    The 'notify::state' signal makes this signal redundant.

commit 07db4c0c6aa18527d63e508b465a9222a6a7f126
Author: Simon Wenner <simon@wenner.ch>
Date:   Thu Jul 30 16:07:45 2009 +0200

    local-rendering-demo: Add dialogue to edit a rule

commit 67652a262782b88ec71e75b6d33627e986281ce2
Author: Simon Wenner <simon@wenner.ch>
Date:   Mon Jul 27 23:00:48 2009 +0200

    local-rendering-demo: Add loading icon for the NetworkMapDataSource

commit 10b7a1627b22ed5b5e8a7848ec9e563d8ed24e7c
Author: Simon Wenner <simon@wenner.ch>
Date:   Mon Jul 27 22:58:29 2009 +0200

    Add state property to ChamplainMapDataSource
    
    This allows a client to know if new data is currently loading

commit c7daaef040e3daa68e56023bbf5ffb8ef5d0aff2
Author: Simon Wenner <simon@wenner.ch>
Date:   Sun Jul 26 23:31:31 2009 +0200

    local-rendering-demo: Use the bounding box to center the view

commit 3f13c52247d57a6cec09fee5411ac03c174be813
Author: Simon Wenner <simon@wenner.ch>
Date:   Sun Jul 26 23:30:20 2009 +0200

    Add champlain_bounding_box_get_center

commit 65765ce6f5d8fcc3381d0c0b53f36eda0da52a7e
Author: Simon Wenner <simon@wenner.ch>
Date:   Sun Jul 26 23:29:29 2009 +0200

    Add ChamplainBoundingBox to champlain.h

commit 855945cbd545ca70aba6f45d9d60e23ca30451e8
Author: Simon Wenner <simon@wenner.ch>
Date:   Sun Jul 26 22:56:35 2009 +0200

    Add ChamplainBoundingBox (a boxed struct), add bounding-box property

commit 50f3d9ea3416d9a2e6c81e6cd0746b3073075c84
Author: Simon Wenner <simon@wenner.ch>
Date:   Sat Jul 25 23:13:49 2009 +0200

    NetworkMapSource: Use champlain_cache_get_filename

commit 29eb308ffd2c40a4811de70f2699fe0dd98e0119
Author: Simon Wenner <simon@wenner.ch>
Date:   Sat Jul 25 23:05:27 2009 +0200

    Share the error tile drawing between all map sources
    
    Moved to champlain-map-source.c

commit d198aecd74dc03a173a6b7c972f1e2eb20bcb452
Author: Simon Wenner <simon@wenner.ch>
Date:   Sat Jul 25 22:42:07 2009 +0200

    Add bounding box size check

commit 5bd7c12b01ba3de24505d486f1ed3c950398d3bc
Author: Simon Wenner <simon@wenner.ch>
Date:   Sat Jul 25 19:21:17 2009 +0200

    local-rendering-demo: Hide unrelated widgets, add background editing

commit 09258c37cb9b8cb7e6c35a27468671b027ab3f25
Author: Simon Wenner <simon@wenner.ch>
Date:   Sat Jul 25 19:09:44 2009 +0200

    Add functions to edit the background and rules

commit ad5deaf3dde122c16bc42814a0af8f44d98b137e
Author: Simon Wenner <simon@wenner.ch>
Date:   Mon Jul 20 19:22:27 2009 +0200

    Fix GFileInfo leak in delete_dir_recursive

commit 3bc469087c5de418a7ad3e2473f3ffca5d6dcfab
Author: Simon Wenner <simon@wenner.ch>
Date:   Thu Jul 16 00:09:06 2009 +0200

    Draw error-tiles if no map data is available

commit 8cfbb9fd941b8f4951a343c486c45768a5c122a0
Author: Simon Wenner <simon@wenner.ch>
Date:   Wed Jul 15 23:32:58 2009 +0200

    Remove 'champlain_memphis_map_source_set_tile_size'
    
    It's a dangerous function, because the tile size should not be changed while rendering.

commit 89583e2718660bb905cc83333c6767acd5119096
Author: Simon Wenner <simon@wenner.ch>
Date:   Wed Jul 15 23:24:15 2009 +0200

    Add ChamplainBoundingBox, remove unused functions

commit 396c23b3e4c18ce2209cc3ba806d356f824b29c3
Author: Simon Wenner <simon@wenner.ch>
Date:   Wed Jul 15 22:24:17 2009 +0200

    Improve downloading of OSM data
    
    - use proxy if available
    - add support for libsoup-gnome
    - check for network errors

commit 200d3b726e2519b3c6fb6344764a057ca787eb2f
Author: Simon Wenner <simon@wenner.ch>
Date:   Wed Jul 15 18:44:13 2009 +0200

    local-rendering-demo: delete session cache only once

commit 51e0a40f703f71838a93e8597f2e5c947b37cecb
Author: Simon Wenner <simon@wenner.ch>
Date:   Wed Jul 15 18:37:13 2009 +0200

    Fix various network-map-data-source related problems
    
    - do not spawn threads if no map data is available.
    - redraw all tiles that are not in the state loading or validating cache.
    - code formatting

commit 32463e308923e967c433924a9098eadbdab1d449
Author: Simon Wenner <simon@wenner.ch>
Date:   Tue Jul 14 19:11:24 2009 +0200

    Remove redundant function call

commit e7e7184be11876c11ef994134bc6d2405cd77c88
Author: Simon Wenner <simon@wenner.ch>
Date:   Tue Jul 14 18:47:19 2009 +0200

    Code formatting

commit 0907a0b5d747123e997752e0ba1d87ba724f93c3
Author: Simon Wenner <simon@wenner.ch>
Date:   Tue Jul 14 18:00:17 2009 +0200

    Install the api_uri property, use makros insted of casts

commit f5770c1bd1002970ab03eda1b2db574f89f87b6e
Author: Simon Wenner <simon@wenner.ch>
Date:   Tue Jul 14 17:27:20 2009 +0200

    Warn if image can't be written to the cache and some code cleanup

commit c2dbe1efaa3ee5ca5f938d1191abe36d37877b10
Author: Simon Wenner <simon@wenner.ch>
Date:   Tue Jul 14 16:21:12 2009 +0200

    Document new cache functions, remove unused param. of delete_dir_recursive

commit e6d07abd4238256772abe6a8c3c6880a5f11d0eb
Author: Simon Wenner <simon@wenner.ch>
Date:   Tue Jul 14 15:38:46 2009 +0200

    Rename session to session_id and install it as property

commit 870969beae63956450ad2397bae6d26fa7d640f3
Author: Simon Wenner <simon@wenner.ch>
Date:   Mon Jul 13 15:54:38 2009 +0200

    Make champlain_cache_delete_session faster

commit 410f1bf384a8e6091c75ac3e9827716682690a40
Author: Simon Wenner <simon@wenner.ch>
Date:   Mon Jul 13 03:23:08 2009 +0200

    Remove the CacheLock mutex

commit 2eb0810d96c61475d27548cc3ddb0fe68c747cd0
Author: Simon Wenner <simon@wenner.ch>
Date:   Mon Jul 13 03:02:19 2009 +0200

    Fix segfaults in sqlite on multicore systems
    
    Sqlite is not thread safe.

commit 1defd555c54b130f6f5cef67d24c8e7983999c4a
Author: Simon Wenner <simon@wenner.ch>
Date:   Mon Jul 13 02:16:38 2009 +0200

    launcher-gtk: Fix type warning

commit 25fd736bb748aceaea285126c5c30f4b84ab7abe
Author: Simon Wenner <simon@wenner.ch>
Date:   Mon Jul 13 01:11:33 2009 +0200

    local-rendering-demo: Delete tiles in the cache if a new data source is loaded

commit 826662a3c8d1de0773107b145c377153486bdb8d
Author: Simon Wenner <simon@wenner.ch>
Date:   Mon Jul 13 01:05:14 2009 +0200

    Add caching of tiles in ChamplainMemphisMapSource
    
    - New session property
    - Additional mutex to protect the cache db
    - Add public function to delete tiles of the current session

commit 9146eb016d1163a03970c6b043cec0185e45f36d
Author: Simon Wenner <simon@wenner.ch>
Date:   Mon Jul 13 00:41:13 2009 +0200

    Add champlain_cache_get_filename to reduce code duplication

commit 2c04760d4edc97cb8da18793d3e094a1545e0e2d
Author: Simon Wenner <simon@wenner.ch>
Date:   Mon Jul 13 00:00:38 2009 +0200

    Add session-id column to the cache DB
    
    The session id is needed to delete a set of tiles from the cache on demand.
    New public functions:
    champlain_cache_update_tile_with_session
    champlain_cache_delete_session
    
    Note: You should delete ~/.cache/champlain to get a fresh database

commit 8145b6f5f47c23417cb079cca35dd2519296c7e5
Author: Simon Wenner <simon@wenner.ch>
Date:   Sun Jul 12 23:22:45 2009 +0200

    Use proper debug messages

commit 76569921d8ffdce4dfd077e54a80b3963352da7e
Author: Simon Wenner <simon@wenner.ch>
Date:   Thu Jul 9 14:39:29 2009 +0200

    local-rendering-demo: local osm files don't affect the network renderer

commit b79ac83064264ab40e4c4e515885289241c89bd0
Author: Simon Wenner <simon@wenner.ch>
Date:   Thu Jul 9 14:35:25 2009 +0200

    Fix memory corruption when multiple files are downloaded and processed

commit 84e7b23cf404596e9fd8a4257077b960463dd71d
Author: Simon Wenner <simon@wenner.ch>
Date:   Wed Jul 8 01:22:06 2009 +0200

    local-rendering-demo: Add button to request new map data

commit a0a439a5b8840d30eb68968eab9178d68832a999
Author: Simon Wenner <simon@wenner.ch>
Date:   Wed Jul 8 01:15:36 2009 +0200

    Refresh tiles on new map data

commit 607e046d7e2d65be687b6bb8100d291e57ca45f3
Author: Simon Wenner <simon@wenner.ch>
Date:   Mon Jul 6 21:15:01 2009 +0200

    Basic implementation of the OSM data download

commit 628614acc5566f24c008ffe52b004352e6b3ba51
Author: Simon Wenner <simon@wenner.ch>
Date:   Tue Jun 30 16:47:01 2009 +0200

    Add MemphisMapSource with NetworkMapDataSource to the map factory

commit 11cbe9858470a52550c53fb8565e4399740c1c15
Author: Simon Wenner <simon@wenner.ch>
Date:   Mon Jun 29 12:25:41 2009 +0200

    Add initial implementation of ChamplainNetworkMapDataSource

commit 8d7cb23c1df7948a4e9daea0650930b11a9ec891
Author: Simon Wenner <simon@wenner.ch>
Date:   Mon Jun 29 10:46:17 2009 +0200

    Add missing locking for set_tile_size

commit 672d8c9645f3558e51f7481aaf9d9ba648fff4fe
Author: Simon Wenner <simon@wenner.ch>
Date:   Mon Jun 29 10:44:51 2009 +0200

    Code formatting, remove unused MapDataSource functions

commit e65ebbdca9bf95042b4f4542933d1aa774b980c9
Author: Simon Wenner <simon@wenner.ch>
Date:   Fri Jun 26 18:23:39 2009 +0200

    Make path parameters constant

commit ed692c96687bfe4a79ef35d462c47a3c9c3380bc
Author: Simon Wenner <simon@wenner.ch>
Date:   Fri Jun 26 17:29:01 2009 +0200

    fix callback structure of the 'map-data-changed' signal

commit 6ed9a40fa0356c54b3e459916583bf6554398359
Author: Simon Wenner <simon@wenner.ch>
Date:   Fri Jun 26 17:13:50 2009 +0200

    Add signal 'reload-tiles' to ChamplainMapSource, if emitted all visible tiles are reloaded by ChamplainView

commit 142af8bda58f2b9d5faec866604029704921bdd0
Author: Simon Wenner <simon@wenner.ch>
Date:   Fri Jun 26 12:31:16 2009 +0200

    Silence the memphis parsing debug output

commit 0ea3108afd6f6d0eedf8f89635803256c0aad2a7
Author: Simon Wenner <simon@wenner.ch>
Date:   Fri Jun 26 12:14:40 2009 +0200

    Demo: Do not reload the map source if only the map data changes

commit a6a62450de219e18eea83bda58ed605096af183d
Author: Simon Wenner <simon@wenner.ch>
Date:   Fri Jun 26 12:12:59 2009 +0200

    Emit a signal if MapDataSource has changed

commit 3b4c286804d82593eafcc24cf63e894cee30188e
Author: Simon Wenner <simon@wenner.ch>
Date:   Thu Jun 25 16:13:37 2009 +0200

    Add a RWLock to protect the state of the MemphisRenderer

commit 2a0d885342856f5ba5f3050adeb6f0106fe8b4e4
Author: Simon Wenner <simon@wenner.ch>
Date:   Thu Jun 25 15:23:05 2009 +0200

    Add high-contrast rules, add zoom-to-data button

commit aff4236ecb47786a4c4a7a82e169543db2269fdb
Author: Simon Wenner <simon@wenner.ch>
Date:   Thu Jun 25 11:34:06 2009 +0200

    Add default-rules.xml

commit e6c843da041b0554a86c33c6047b8c7caa2fec3d
Author: Simon Wenner <simon@wenner.ch>
Date:   Thu Jun 25 11:32:13 2009 +0200

    Add small data sets of Schaffhausen and Las Palmas for testing/presentation

commit 57d77d209f9978985bf083607af8be95d380e10c
Author: Simon Wenner <simon@wenner.ch>
Date:   Thu Jun 25 11:29:12 2009 +0200

    Add local-rendering demo

commit 719dd39b53edd73bdd875689a9f8413982e88c59
Author: Simon Wenner <simon@wenner.ch>
Date:   Wed Jun 24 15:32:55 2009 +0200

    launcher-gtk: set spin button to proper zoom level on startup

commit f37a4f1bc1a86d5270900f2c8949811a206fd2ec
Author: Simon Wenner <simon@wenner.ch>
Date:   Wed Jun 24 12:12:31 2009 +0200

    The uri_format field can be abused to set an initial data path for a local source

commit 496b8b3e359d4399bd5991a168d73711e9f05e1e
Author: Simon Wenner <simon@wenner.ch>
Date:   Wed Jun 24 11:23:41 2009 +0200

    wait until every thread has finished (potential leak)

commit 8f75625118f6c9cf59cfaa5a2f73bb0686d2b628
Author: Simon Wenner <simon@wenner.ch>
Date:   Wed Jun 24 11:04:25 2009 +0200

    Add map-data-source property

commit d459b88b793d6f6560d02fc7d8b485448cb14123
Author: Simon Wenner <simon@wenner.ch>
Date:   Wed Jun 24 10:43:56 2009 +0200

    Add Memphis debug flag

commit 752205f7342f79593569dd4e7b94582dd16f585b
Author: Simon Wenner <simon@wenner.ch>
Date:   Tue Jun 23 15:52:24 2009 +0200

    Complete dispose functions, use more consistent names

commit fa6367d7827c5248e4236e30b001f9f5b2d65050
Author: Simon Wenner <simon@wenner.ch>
Date:   Tue Jun 23 14:26:24 2009 +0200

    Add ChamplainMemphisMapSource to the factory

commit 2f7e9161dc9a62d0cac282a867b48ab128ee7b98
Author: Simon Wenner <simon@wenner.ch>
Date:   Tue Jun 23 14:24:16 2009 +0200

    Use MapSourceDesc in memphis_map_source_new_full, fix initialisation bugs

commit a6178e0f4169f478ea5d8b0a55ce35422409eb27
Author: Simon Wenner <simon@wenner.ch>
Date:   Mon Jun 22 11:36:21 2009 +0200

    Add property enum, remove assumption about zoom levels

commit 3ddfd9d7d8c73f48b62419929ec92dbb7000e719
Author: Simon Wenner <simon@wenner.ch>
Date:   Mon Jun 22 11:13:39 2009 +0200

    Add ChamplainLocalMapDataSource class

commit 966b2f25cac029c4ee951e24c5646ce10b6ad37f
Author: Simon Wenner <simon@wenner.ch>
Date:   Sat Jun 20 16:11:37 2009 +0200

    Add champlain_map_data_source_get_* functions

commit 8eb43f74fbc42311bdb03a916d8d4b3fc83e9d61
Author: Simon Wenner <simon@wenner.ch>
Date:   Fri Jun 19 21:23:40 2009 +0200

    Initial implementation of MemphisMapSource

commit d6fcc018c7ded9dd9f1c2ab4cfdfea80d9a7ad7f
Author: Simon Wenner <simon@wenner.ch>
Date:   Fri Jun 19 19:00:47 2009 +0200

    implement ChamplainMapDataSource

commit 43527bbf5cdc42ec5344fd37dc156865bc363e25
Author: Simon Wenner <simon@wenner.ch>
Date:   Fri Jun 19 16:28:08 2009 +0200

    Add the interfaces of ChamplainMapDataSource and ChamplainMemphisMapSource

commit 6bf79e5f526423d031c263d598049eee72e06881
Author: Simon Wenner <simon@wenner.ch>
Date:   Sat Sep 5 19:15:31 2009 +0200

    Add memphis to the unconditional dependencies

commit a681080c3630fa51fe5e9f8e388292116b295dcf
Merge: f563af2 1f06645
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sun Jan 10 16:46:06 2010 -0500

    Merge branch 'libchamplain-0-4'
    
    Conflicts:
    	configure.ac

commit 1f066450c8edb312cb08b5038c714fd883af0085
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sat Jan 9 15:06:43 2010 -0500

    Update NEWS and lib version for 0.4.3

commit 1ded3de4a7e1fc2e18c15733e5cbc9bfc6f3524f
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Sat Jan 9 10:46:43 2010 -0200

    python-binding: disable markers by default in launcher-gtk.py

commit 77e2fdbd1ac7cae61d62b47bf03ba638611ecb46
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Sat Jan 9 10:15:25 2010 -0200

    python-binding: wrap slot tp_dealloc to prevent polygon unref

commit a609bc55ed5e8df09b6b6672de9644e445e03218
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Sat Jan 9 10:10:51 2010 -0200

    Make markers button disable by default in launcher-gtk.py

commit 39dddb1d8817811b19ad1f2dd04accd05a8d6236
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Sat Jan 9 10:25:40 2010 -0200

    python-binding: sync demo launcher-gtk.py with C version

commit 674f7d22d04008a1a6931d3fb07f9a37077dfa70
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Sat Jan 9 10:25:00 2010 -0200

    typo in doc string

commit 2f146961c95a16c9ff51bf28bdaab53147915203
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Tue Jan 5 22:55:26 2010 -0200

    python-binding: sync with libchamplain-0.4.3

commit 43ea595a9d3dc6086544e2f2ab1819002f127f2c
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Mon Dec 28 20:55:13 2009 -0200

    python-binding: Add constructor definitions to MapSource and NetworkMapSource
    
    Avoid the warning message: "Warning: Constructor for ChamplainMapSource needs
    to be updated to new API".

commit f3d1e21c407f1f98ff4fb4ae2610b23ea946436c
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Thu Dec 24 17:42:59 2009 -0200

    python-binding: Allows optional args in marker_new_with_text

commit dc412fb52b7958c527292b4d06c88ee784554373
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Thu Dec 24 17:39:36 2009 -0200

    python-binding: Added the SelectionLayer api

commit ff0bec8039a003ea96f00568c5a641fb09f52223
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Thu Dec 3 16:00:29 2009 -0200

    python-binding: changes in coding style and new constants

commit f0ae9854c2b8248c4ccb8129b385046662c83f76
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Thu Dec 3 15:52:30 2009 -0200

    python-binding: provides writable attributes to champlain.Point

commit 154e637300ac2852f8ec6dbb9dcce6fdf61dac9f
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Thu Nov 26 00:35:46 2009 -0200

    python-binding: Change code style and fix issues in
    ChamplainMapSourceDesc and ChamplainMapSourceFactory

commit 7909ecd9d2ca13e1ac9e858ad9865d80ed9bf4b6
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Tue Nov 24 14:41:28 2009 -0200

    python-binding: Added constants CHAMPLAIN_MAP_SOURCE_*

commit 908c3ce024443201d1e950e2299ba5a3abb9df29
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Sun Nov 22 18:27:00 2009 -0200

    python binding: sync with last changes in libchamplain api

commit 18dfa68d0263d53ec75da583f20cbe89207def9e
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Sun Nov 22 18:24:21 2009 -0200

    python binding: removes GInitiallyUnowned bad hack
    and cleans update-binding.sh script

commit 3adc4767e038ff0330d1abd313e588b17a01ff68
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Jan 9 10:49:40 2010 +0100

    Update the date of 0.11

commit abaf4b1b66e3872d12d2953869d904b96b5f22a0
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Jan 9 10:44:46 2010 +0100

    Perl bindings for the view's scale

commit 230f2832dae1ebacbdeeba0120d15bb0ae1a397a
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Jan 9 10:25:38 2010 +0100

    Perl bindings for champlain_view_get_license_text and champlain_view_set_license_text

commit c56bc95e3edc31c27ce9cc0f900936179fbf6119
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Jan 9 10:25:13 2010 +0100

    The view is no longer respecting the sizes it had previously

commit 6be40fc1b3ec7b4c84bffee1aa86c760f13eff3c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Jan 9 09:43:10 2010 +0100

    Ignore coverage for champlain_unit_get_type

commit 8fa20aadd5c79e92d538c289b9949b33c244bac2
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Jan 9 09:42:31 2010 +0100

    Perl bindings for champlain_polygon_set_mark_points and champlain_polygon_get_mark_points

commit ce19f8b67e40877978b43481200e5c8216b6b7e0
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Jan 9 09:37:37 2010 +0100

    Change the Since doc property for champlain_polygon_get_mark_points

commit 03635c016194db19a3e029d9e579b7c40520d9b3
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Jan 9 09:34:39 2010 +0100

    Perl bindings for champlain_marker_queue_redraw

commit ad2c07551e1236251502dc4dc8b2b89ffdf43105
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Jan 9 09:26:48 2010 +0100

    Perl bindings for champlain_marker_set_highlight_text_color and champlain_marker_get_highlight_text_color

commit da1158797c26ec16326cd21226c342d4cf0d0e8e
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Jan 9 07:44:17 2010 +0100

    Perl bindings for champlain_marker_set_highlight_color

commit 487aebd6f475854d9f4d774ae31ab5360390a5cd
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Jan 9 07:29:23 2010 +0100

    Test get_meters_per_pixel for all map sources

commit 6a910e50890316ad5816da1925e91ea2a1a2e53c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Fri Jan 8 22:07:48 2010 +0100

    Perl bindings for champlain_map_source_get_meters_per_pixel

commit 156ae2a007e6f153a0a766874932a8e20f3d4624
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Thu Jan 7 08:47:44 2010 +0100

    Relax the license validation as they change too often

commit 9279da72b7b9f32af350884abcde17f01384f4f6
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Wed Jan 6 07:42:53 2010 +0100

    Version change to 0.4.3

commit 43da4e62f4cbb06472685d9d810712e34847681b
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sat Jan 9 14:33:02 2010 -0500

    Add map click to launcher-gtk for debuging purpuses

commit 58f174ed09bae2d7c36fff5e82ff5fe14444e987
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sat Jan 9 14:30:49 2010 -0500

    Don't eat clicks if using a ChamplainSelectionLayer

commit fa8b6f256d7f0437cea1af909d762dca4103b55f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Jan 5 23:25:13 2010 -0500

    Optimize, don't redraw the scale too often

commit 4611a64760dbbe76900b4b373a1756c3e5a057c4
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Jan 5 23:19:09 2010 -0500

    Watch/Prevent division by 0

commit 54495f2c813ecb887868035e3c24a813d0910ea9
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Jan 5 22:58:13 2010 -0500

    Simplify code by removing AnimationContext

commit 0875408bb81655ce7d7871cd1ee0fbfc6ed7d432
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Jan 5 18:20:45 2010 -0500

    Remove duplicated API definitions

commit a7c6d3e45bd5e36e8887e99c53edfa13d3505285
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Jan 5 13:51:06 2010 -0500

    Remove duplicated API calls (never released yet)

commit 43431d1b1bd7ef893c616f267c9b037e544a3db9
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Jan 5 12:57:56 2010 -0500

    Change the point drawing logic
    
    This is less efficient (you have to loop twice) but
    this is more accurate as the points are not part of the polygon.

commit 176177de3c3797ca1add5e1f09bef1049aa95d28
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Jan 5 12:46:47 2010 -0500

    Add extra license text to test

commit 9f34e21af32322814364ad8d36ebaf86d43869c6
Author: Andreas Henriksson <andreas@fatal.se>
Date:   Tue Jan 5 12:41:08 2010 -0500

    Add an option to highligh points in Polygons

commit ff13c87a172229be168887450f79c470a0b0a808
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Jan 5 01:15:10 2010 -0500

    Safe memory usage by using a clone instead of creating (and drawing) a new error tile)

commit 7f906df38beda1dfd149e380755094daf4176645
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Mon Jan 4 19:36:54 2010 -0500

    Add "Map data is" prefix to licenses
    
    This makes more sens when you add extra license text on top of it.

commit c8182b090a7e1a70185a0c082dbd571971c624b5
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Mon Jan 4 19:02:43 2010 -0500

    Align the license text to right and simplify the position update

commit ed2d84af6726559cd569d6e02ad440084a4e601b
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Mon Jan 4 18:52:02 2010 -0500

    Add user configurable additional license text to view

commit fef0db47be45ee56817b07ddf969305199a4b91f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Mon Jan 4 18:32:08 2010 -0500

    Don't recreate a ClutterText object, just update the text

commit 9d55a5b6e51d17b096e74f48b99c0fd44cb02674
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Dec 15 17:27:52 2009 -0500

    Add Tollef to AUTHORS

commit 02c071e975a847f42cafff5ef0ebd73c18e649ec
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Dec 15 16:02:01 2009 -0500

    Update the scale when recent

commit ef4d7eefdf2ea998f48ed77d53f6a07675b7a7dd
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Dec 15 15:32:00 2009 -0500

    Upgrade version number to 0.4.3

commit 4b6d12e0110d1e4c9cd253b354b708c2224fdbb0
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Dec 15 15:25:29 2009 -0500

    Do not display scale by default
    
    This would break 0.4 series apps

commit 149180b9ed6a977155973023ab2c49ac833e2bec
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Dec 15 15:16:36 2009 -0500

    Add max-scale-width property to view

commit 393a4ef81b30cb9fe41c8d7a9c9e5d63b22c222a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Dec 15 15:03:46 2009 -0500

    Rename display-scale property and add scale-unit

commit b3a3a731588ac506abc1439c901c3d81b7369ef1
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Dec 15 14:58:11 2009 -0500

    Add Miles unites

commit fea06e4f82c6efed2016dcdcc6894855b4162c88
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Dec 15 12:45:14 2009 -0500

    Display meters when value is too small

commit b9fd24d62346b1b3cbd588689ab2e773e9728b7e
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Dec 15 12:29:32 2009 -0500

    Display mid scale value too

commit 22c0d40b79d7c1631a7cb5a863a86a269fe33c14
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Dec 15 12:10:16 2009 -0500

    Remove bottom ticks

commit a1d6e500ea49ebc1cc7adbcda4c5f6744025454a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Dec 15 12:05:01 2009 -0500

    Fix scale ticks clipping
    
    by adding padding in the drawing texture

commit 9c8a19f540d24346d9a5ece397c77d8afd875e47
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Dec 15 11:54:14 2009 -0500

    Display a significant value

commit 60b06faf97d7d8cdebeef2c5b9f1346bf22534f3
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Dec 15 10:41:34 2009 -0500

    Improve scale's design
    
    Center the text
    Make ticks centered
    Move drawing code to update as the size will be updated

commit 10078a898a9e1a2ece6f09f76950f46f73636c30
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Dec 15 10:15:29 2009 -0500

    Move distance computation in MapSource
    
    with other projection specific calculations

commit 41869abad9e39f8fa39bace01e21a80ed44f5d1c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Dec 15 09:30:42 2009 -0500

    Remove the signal handlers in favor of existing handlers

commit 6105b73d60b09ae29c27b7ae8fbaacbbba3df4f1
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Dec 15 09:15:54 2009 -0500

    Fix coding style to match the rest

commit d5a82157b23e34f184dab1b73b0a46d8feb2e370
Author: Tollef Fog Heen <tfheen@err.no>
Date:   Mon Nov 16 16:38:49 2009 +0100

    Make it possible to hide the scale

commit b571200c126f6c9c6fc06c2ad19e75d806afb7cd
Author: Tollef Fog Heen <tfheen@err.no>
Date:   Tue Nov 10 23:26:57 2009 +0100

    Implement variable scale length depending on latitude
    
    Due to us using a mercator projection, the scale length must adjust
    with the latitude.

commit 0df659c3eb995023bce62c2a3a389346b9eb2172
Author: Tollef Fog Heen <tfheen@err.no>
Date:   Tue Nov 10 00:05:00 2009 +0100

    Add initial scaling capabilities

commit 7bde901882e5d6a5f03258515c643a298258d9ac
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Wed Aug 26 00:45:05 2009 -0400

    Getting the scale to draw

commit d96b464e72e3d03e26c3b2f346f73de76e06f6cf
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sat Jan 2 17:03:08 2010 -0500

    fix coding style

commit 015952c924a7b7b6d9434a4a1d5138a39b0aaa03
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Dec 29 16:21:38 2009 -0500

    Make queue_redraw visible to subclasses
    
    See the function's description.

commit 15d0144ab6dfc5dab94b7dae7b7be5df4815908b
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Dec 29 16:18:37 2009 -0500

    Fix segfault when polygon has been delete before redraw

commit 03163483191593bdc82ce6d604f1f592815af5a9
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Wed Dec 16 18:45:16 2009 -0500

    Add a weak pointer to draw polygon's context
    
    Bug 604784: SIGSEGV in function cairo_set_operator

commit 32927fd5f9e83197a8d0c3abbb5e5576fa9dc888
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Dec 15 16:09:59 2009 -0500

    Fix documentation of CHAMPLAIN_VERSION_CHECK

commit f563af2fe35ac83c3811f306107026fde022c5ae
Merge: 52e76f7 2e8fe8f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sun Nov 15 23:38:05 2009 -0500

    Merge branch 'libchamplain-0-4'

commit 2e8fe8f7712f3b6105c86067c08e8560a0581ff5
Author: Laurent Bigonville <bigon@debian.org>
Date:   Sun Nov 15 23:35:29 2009 -0500

    Fix Debian Bug #555082 about linking with gold
    
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=555082

commit e9efc4aba960d448a468033ffaa25933421c824b
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Tue Nov 3 07:27:56 2009 +0100

    Symbols to ignore when mesuring the XS code coverage

commit 4d12b1e92b2cebbd4c38aea053c615a9a41cb249
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Tue Nov 3 06:58:33 2009 +0100

    Don't include a .gitingore file in the manifest

commit 630440c3adbc9cbd52ae87e311dab9d09c43cda2
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Tue Nov 3 06:52:12 2009 +0100

    Ignore the tar.gz dist file

commit abccb194b1917234abbdd43f692478e195d0881b
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Tue Nov 3 06:51:09 2009 +0100

    Makefile.am file

commit 400449fc1e1ca16a0ed5fb554e4cfa2890c6dd33
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Tue Nov 3 06:39:29 2009 +0100

    Ignore the XS temp files in the top folder

commit a3f05503fcf757b2906fa8e8780759e87066ca9b
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Tue Nov 3 06:38:34 2009 +0100

    Ignore the XS temp files in the top folder

commit ecbe10ae14e9db320580961742cbe5eaaee92627
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Tue Nov 3 06:32:16 2009 +0100

    0.10 Advertise Gtk2::Champlain.

commit d0476ea4ad746ca49210cc8431d45eea3b8b3cb8
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Tue Nov 3 06:31:14 2009 +0100

    Announce the availability of Gtk2::Champlain

commit 9fedf5ce518553d8af05054d881c214c1f05ffcd
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Tue Nov 3 06:25:03 2009 +0100

    Improve the SYNOPSIS

commit 4842480433041c3f47c578ddcb4f62620f5fa7d5
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Tue Nov 3 06:14:29 2009 +0100

    Cleanup

commit 7fb7164bd0f9592c5cff66f2a52ad1c94b2e977d
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Tue Nov 3 06:09:27 2009 +0100

    Update the changelog for 0.01

commit a2c1d6e8608645a2080dc8bf0c6825c1ec0395d9
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Tue Nov 3 06:08:53 2009 +0100

    Update the changelog for 0.10

commit 8fb16d8c40be87b950359ec66c7ca9f28b008038
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Tue Nov 3 06:05:40 2009 +0100

    There's no subversion here

commit c127dcf2368a657c918e765d7e98afbb81f39145
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Tue Nov 3 05:45:32 2009 +0100

    Files to ignore

commit 8b04f02ead62a1d848a21dfa1637920963e65f22
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Tue Nov 3 05:44:14 2009 +0100

    Manifest files

commit dbc11e99b261a499bf6d7adfcf776122383fbc4a
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Tue Nov 3 05:38:13 2009 +0100

    Bindings for Gtk2-Champlain

commit 12e27b357b2a5f3ed0448de3d288697306152351
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sun Nov 1 18:52:22 2009 +0100

    Version change to 0.10

commit 60fb318d5a6a98fff6d7fd0877ab67808d590b3d
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sun Nov 1 18:52:05 2009 +0100

    Add Champlain to the ignore packages in Glib::CodeGen->write_boot()

commit 215eda0e795bc9d895cfac3de3a564048a112b88
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sun Nov 1 15:51:25 2009 +0100

    Update the POD

commit f13c43def716621b2705f76fdc32a8b2e67e67fa
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Fri Nov 6 09:50:12 2009 -0500

    Also report as loading when validating the cache

commit 52e76f7fc148a60ee2518bace128c64dad5e9800
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Mon Oct 26 19:24:41 2009 -0400

    593344: ChamplainMapSource should inherit GInitiallyUnowned
    
    ChamplainView owns the map sources.

commit f254bb3ddb01f4a74f8b8edc67996cdd93b32e2f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Mon Oct 26 19:23:58 2009 -0400

    ChamplainPolygon actually inherits from GInitiallyUnowned

commit a91f8eec9f4af2acf91fabc11feb176d48ae089c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Mon Oct 26 17:54:06 2009 -0400

    Remove 0.4 mentions

commit 0007bb35ccbf9fd2c1613789e6fdbaf506f37f7c
Merge: 950945d 922960d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Mon Oct 26 17:53:22 2009 -0400

    Merge branch 'libchamplain-0-4'

commit 922960df890f6ccba21efb71d16453a1dfe75d03
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Mon Oct 26 16:36:37 2009 -0400

    Version bump to 0.4.2

commit 885c4dd0e48cb16d2cf5d4f8a36a36f450cfcdf3
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Mon Oct 26 15:47:57 2009 -0400

    595552: ChamplainView "decel-rate" accepts values below 1.0

commit 950945d63d8e30d0b156c9a2550cd6a02aeb8ddc
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Wed Oct 21 12:59:56 2009 -0400

    Remove more 0.4 references

commit 4607df59c5b8c634525a947983f9d6debd13704a
Author: Koop Mast <kwm@freebsd.org>
Date:   Wed Oct 21 12:57:18 2009 -0400

    598942: Fix champlain-gtk GObject introspection

commit 23187916539e70f0be987a6395f290dd63607a39
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Oct 20 10:54:11 2009 -0400

    Fix compiler warning "function declaration isn't a prototype"

commit 92c9a14f24ca162e205546182aa45c57ca82cf95
Merge: 620bdd6 ce9eb65
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Mon Oct 19 01:16:25 2009 -0400

    Merge branch 'libchamplain-0-4'

commit ce9eb655a9d82c5c94164d7500b2fe12866dfd6a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Mon Oct 19 01:03:21 2009 -0400

    Fix GObject-introspection
    
    It probably never really worked before

commit dd484485107fd0ca56315117757924deddab1ff1
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Mon Oct 19 00:09:49 2009 -0400

    Update NEWS and libtool version bump

commit 13142525fd090c89865362f3a6466fff3e93141a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sun Oct 18 23:17:31 2009 -0400

    Update python bindings

commit 4c92b1a0d408f1f95ba0bcd4e43f98c51814d1c3
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sun Oct 18 23:16:26 2009 -0400

    Fix selection color being always blue

commit 1815499e08bae9639c324cef6955165f48004464
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sun Oct 18 23:04:54 2009 -0400

    Add get/set hightlighted color
    
    For better readability under some themes

commit 49513f9bd65e3f885193db674aa21ad1302da494
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Sun Oct 18 15:38:45 2009 -0200

    Update python binding api to libchamplain 0.4.1

commit 63df2c96d9bd5b81f7b7e14a1eb1947a853a161f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sun Oct 18 14:39:03 2009 -0400

    Add champlain_marker_get_highlight_color

commit 990be804ea620616eb4d91862e2ee47e43c342a0
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Oct 17 19:55:59 2009 +0200

    ChamplainBiew->remove_layer() is tested only if 0.4.1 is available

commit 59ed4a6cc97b71f02e1557db8e50813a514932ed
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Oct 17 19:51:06 2009 +0200

    Perl bindings for champlain_view_remove_layer() are conditional

commit 3425ca5452a87a4c80ae5dce7667a00ef51966c2
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Oct 17 19:48:15 2009 +0200

    Revert "Depend on libchamplain-0.4.1"
    
    This reverts commit 6bebecca7ebdfd6eda9185d830fa329265f1ca0c.

commit 7fed2392e9c95d8a30324b5326a2a435a42e6f99
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Oct 17 19:42:41 2009 +0200

    0.09 now covers libchamplain 0.4.1

commit 046b1c2a11797d14b897b1ae74751ccc9ebbf801
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Oct 17 19:42:19 2009 +0200

    Depend on libchamplain-0.4.1

commit 6e909a5ebd8a66afcd6e46ef954f895fcc07acd6
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Oct 17 19:32:46 2009 +0200

    Ignore .xs-coverage.ignore

commit 33e7bf4a2d7d30c2e278e407fe532b6acebe9cb6
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Oct 17 19:31:21 2009 +0200

    Ignore Makefile.im

commit 4c2247508adaff9644b21c6914042ace0f583c7d
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Oct 17 19:21:11 2009 +0200

    Call $view->remove_layer() in the Champlain::View test

commit 2e0679631deda921dbd6b867505f0a445fd38307
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Oct 17 19:19:23 2009 +0200

    Add ChamplainView->remove_layer()

commit ba73d6938ba73aa9fd5c9bbde3112d4276de763b
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Oct 17 19:17:17 2009 +0200

    Indentation

commit ae441faf37ea35c143289b03bfd0efc8b728d894
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Oct 17 19:16:40 2009 +0200

    Version change to 0.09

commit 0c7f374751169403e4c8d0a7eb52d5847daa12f5
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Oct 17 19:12:57 2009 +0200

    Symbols to ignore when mesuring the XS code coverage

commit 1d13f515d0a9f11a5dfaea69408635b761b7fde8
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Oct 17 18:44:44 2009 +0200

    Update the license of OpenStreetMap

commit 491719b826bd3bf71c6993daccea82598c00b771
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Oct 17 18:42:47 2009 +0200

    OpenStreetMap (osmarender) has a zoom of 17

commit 52c2ca71f1076da60e0f7c705a9938b94c8998ef
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Sat Oct 17 18:40:09 2009 +0200

    Update the OSM license

commit 5698bbe5f387393ba8161eb0cda0e6f91dee8200
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sat Oct 17 14:09:27 2009 -0400

    Fix 598106:  champlain plugin: map isn't displayed
    
    by not passing NULL to soup_uri_new and don't leak it

commit 954e21eb558a33649d68a378995417a3b0a63e8d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sat Oct 17 11:37:13 2009 -0400

    Increase performance of sqlite to lower IO wait
    
    This could corrupt database if many libchamplain apps are running at
    the same time, but the performance gain is worth more. Plus
    this information is not vital.

commit 620bdd662ed449757d48ed3b7f31578d78f6210a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sat Oct 17 04:04:01 2009 -0400

    Remove some leftover 0.4

commit 2ef267ae0cb9ae6aaa6680318da55f339d8da80c
Author: Bruce Cowan <bcowan@fastmail.co.uk>
Date:   Fri Oct 16 02:04:39 2009 +0100

    Fix the OSM licences.

commit 11ab10bc8c31c4619c20b9d7c2ff51553579a1d1
Author: Debarshi Ray <rishi@gnu.org>
Date:   Sat Oct 17 04:06:15 2009 -0400

    Fix 597272: Adjust the ZoomLevel typedefs to keep the C++ bindings happy

commit d6e896daef6f8f4ae5e7b4de4c2362cb191d31a1
Author: Debarshi Ray <rishi@gnu.org>
Date:   Sun Oct 11 12:25:31 2009 -0400

    Fix 597272: Adjust the typedefs to to keep the C++ bindings happy

commit f32c71ef4fab4fa4dda50a7ee3c96299689c500f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Fri Oct 16 18:24:53 2009 -0400

    Add parameter guards in ChamplainSelectionLayer

commit 786fdcf0065a4705a7a65313c406ee3bdd82ed00
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Fri Oct 16 17:58:39 2009 -0400

    Fix doc generation

commit 5c4769a01771798afa29c5b446391c133ee7de9c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Fri Oct 16 17:58:11 2009 -0400

    Add a "changed" signal

commit f69e5fa79349596de22fe1c00110b4099d70f41c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Fri Oct 16 17:01:22 2009 -0400

    Bump to 0.4.1

commit 7b72bff09d1eb2bcd16e7fdf07438edcdf52ae8b
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Fri Oct 16 17:01:08 2009 -0400

    Add champlain_view_remove_layer

commit 886d3f9bca7ee24b6f952f90aac3bf973a88dbd8
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Fri Oct 16 16:42:21 2009 -0400

    Don't allow invalid longitude and latitude

commit dea3656affab3b8a2a5574552d7982a43bf3a1b8
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Fri Oct 16 16:25:59 2009 -0400

    Emit notify::map-source when modifying the map source

commit e56f6fbda11b8f0269cf1040d781fccdf007d0a5
Author: Debarshi Ray <rishi@gnu.org>
Date:   Sun Oct 11 12:25:31 2009 -0400

    Fix 597272: Adjust the typedefs to to keep the C++ bindings happy

commit 4f547fe4ea1b8a6a738061d3a5dd2d09ce9699ae
Merge: c7678cf 44ae063
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sat Sep 26 09:29:36 2009 -0400

    Merge branch 'update-perl-bindings'

commit 44ae06302adf0e5833f3a0daa2aa659dd72963d3
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Wed Sep 23 19:06:26 2009 +0200

    Update the date for 0.08

commit 2b309f6ec69102bafb656d9690bbaec84e1d28a5
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Wed Sep 23 19:05:40 2009 +0200

    Run the animations in an event loop

commit 56585857e1f22b7717db789bb93dd2ce995ce0fa
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Wed Sep 23 18:34:19 2009 +0200

    Run the animations within an event loop

commit c491ba784ab355d47cb13689471288eeccac7916
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Wed Sep 23 18:34:01 2009 +0200

    Update a comment

commit cbd826eef4522a2c27e55be620365f9d6b28e1a6
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Tue Sep 22 20:17:53 2009 +0200

    Version change to 0.08

commit e9aa36ea4396f564e8ec13c0c62a13a0b78b8475
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Tue Sep 22 20:15:45 2009 +0200

    Implement the functions champlain_layer_animate_*()

commit ab6768b6c56908eb1ab8c830a0a3a211f1fa2840
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Tue Sep 22 19:46:22 2009 +0200

    Implement the new animation functions champlain_base_marker_animate_*()

commit c7678cfc74c4334e691f9d847380605e861ce44c
Author: Halton Huo <halton.huo@sun.com>
Date:   Mon Sep 21 11:33:57 2009 -0500

    Fix 595534 add --libtool to allow build pass on Solaris

commit e388b242b4085a091b29e2572172b893e9501681
Author: Halton Huo <halton.huo@sun.com>
Date:   Mon Sep 21 12:33:57 2009 -0400

    Fix 595534 add --libtool to allow build pass on Solaris

commit cd6c7b098f8968ff3671b40086b3edf5f71078bb
Merge: f51c490 004e7e7
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Mon Sep 21 12:20:19 2009 -0400

    Merge branch 'perl-bindings'

commit 004e7e72916445c6d43014510aa38d1d1d294518
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Fri Sep 18 23:07:28 2009 +0200

    Explain why there are not Gtk2 bindings yet

commit c71aac15c9943d4039a75d16764ffaffbdd2f864
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Fri Sep 18 22:55:17 2009 +0200

    Use the accessors instead of setting properties

commit 6de05673a166fbb46a366c0be65ec1541dba313f
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Fri Sep 18 22:52:46 2009 +0200

    Tell the Champlain::View to take the whole canvas

commit c051fba707366509b57858901957d6726b5cc01e
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Fri Sep 18 16:20:43 2009 +0200

    Correct a typo in the POD

commit cb8ec414b0784a9433108547bb9d1ea567143e22
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Fri Sep 18 16:16:44 2009 +0200

    Update the files in Makefile.am

commit 679b3b171dc38cc24f3e06492cf90f7b11a88dad
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Fri Sep 18 16:11:13 2009 +0200

    Ignore Makefile.am

commit 5dc3f4d57a977caecd4468ffa77995a17e4a34ac
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Fri Sep 18 16:09:31 2009 +0200

    Use a decel-rate above 1.0 as the current version of libchamplain 0.4 has a bug (See #595552)

commit e2dc4c25a442dd939ff8ca94395bfe0f542d368f
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Fri Sep 18 14:31:38 2009 +0200

    Formatting

commit 52b7ab2aa88f90a2c34d23232ac868eec6ea7225
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Fri Sep 18 14:11:50 2009 +0200

    Fix a clutter warning when cloning the default icon for pending flickr images.
    
    In Clutter 1.0 an actor can only be cloned if it's in the stage. It doesn't have
    to be visible, just in the stage.

commit df1ae34ea26d61a462c113d27eb79daff30115f9
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Fri Sep 18 11:11:51 2009 +0200

    Include Gtk2 for Gtk2::Gdk::PixbufLoader

commit 4c2589179a10604c17a4bedad869753b18e34daf
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Fri Sep 18 11:10:53 2009 +0200

    Port to Clutter 1.0
    
    Clutter::Texture::Clone is now Clutter::Clone.

commit 87ffd01fc3b2158271cec8042b17121bb181de51
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Fri Sep 18 11:05:56 2009 +0200

    Load Gtk2 before calling clutter init and don't call Gtk2's init

commit d457c0ea178bde293109bd98212438fcfc36e841
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Fri Sep 18 10:53:38 2009 +0200

    Give the MapView the same size as the stage

commit ae305b5258e76fa88ca934c142b0fcd21905ab29
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Fri Sep 18 09:56:03 2009 +0200

    Update a comment

commit 9ea821ddbd2463921bee5ff295937649a794ea7c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Thu Sep 17 21:49:49 2009 +0200

    Fix the test test_ensure_visible by running it in an idle callback

commit 74566398392ec9f62c7bab0979b01d9486edfdf4
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Thu Sep 17 21:40:35 2009 +0200

    Make sure that the view has a size and that it is added to the stage

commit 9dbd4a9e81cebc527fcc9cbda507bca4fe127c2c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Thu Sep 17 20:28:30 2009 +0200

    Set a defaault zoom-level for the goto tests otherwise the goto test gets stuck in Antartica

commit 80e89fac482a9d367002329bbe2a68722e8d8565
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Wed Sep 16 20:40:57 2009 +0200

    Libchamplain has now a default selection mode of multiple

commit 4d751b4dda4e077770a7e7fb8ef9f5627c1ee5bd
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Wed Sep 16 20:31:47 2009 +0200

    get_uri and get_filename return undef instead of '' when a tile is initialized

commit bc99bf28ad1a32262d07e47e0fd0fc4c0629fd72
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Wed Sep 16 20:28:22 2009 +0200

    OpenAerialMap is no longer available

commit e4cab1581d7f4b7ba8e27711c244c97f78e8522e
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Wed Sep 16 20:08:06 2009 +0200

    Replace OpenAerialMap by OpenStreetMap Mapnik

commit c4b5eafb45e222e8f2dcbc1bf6767ee958a29d24
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Wed Sep 16 19:57:46 2009 +0200

    Adjust the unit tests to libchamplain 0.4
      - OAM (OpenAerialMap) is now optional.
      - $tile->get_uri returns undef instead of '' when a tile is initialized.
      - $tile->get_filename returns undef instead of '' when a tile is initialized.

commit 281aebc9f119b40dd17f0978e00bbcadf76bba9e
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Wed Sep 16 19:18:49 2009 +0200

    Update 0.07

commit 67ede569c1ecb1238ffdc2e6fa7174fb1c4c0858
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Wed Sep 16 19:17:45 2009 +0200

    Add the LGPL license to the code

commit fe8ecfe41fabce9a8d38ab78fbc185ee1c1b6652
Author: Emmanuel Rodriguez <emmanuel.rodriguez@booking.com>
Date:   Tue Sep 15 22:17:44 2009 +0200

    Remove the Gtk2 files from the MANIFEST

commit 09075b788aca55d4eede7402c9bcad73f562786a
Author: Emmanuel Rodriguez <emmanuel.rodriguez@booking.com>
Date:   Tue Sep 15 22:10:35 2009 +0200

    Updates

commit 2eab31182226fea71bbd3b0fcb1e6c899de152ff
Author: Emmanuel Rodriguez <emmanuel.rodriguez@booking.com>
Date:   Tue Sep 15 22:10:22 2009 +0200

    Version change to 0.07

commit 9b216dc0262020ac49b56509f670cf543753e03c
Author: Emmanuel Rodriguez <emmanuel.rodriguez@booking.com>
Date:   Tue Sep 15 22:01:24 2009 +0200

    Port to Clutter 1.0

commit e43ec5725f68122ad7ae08062e9c7a3a563c88b9
Author: Emmanuel Rodriguez <emmanuel.rodriguez@booking.com>
Date:   Tue Sep 15 21:53:38 2009 +0200

    Don't use Gtk2 as Champlain is now a Clutter only library

commit f1164646d9e3a4d5240f549943e4201035c593f8
Author: Emmanuel Rodriguez <emmanuel.rodriguez@booking.com>
Date:   Tue Sep 15 20:38:15 2009 +0200

    Require libchamplain 0.4

commit 86d74620e2bb7877b1963be95977a9b4f63f3b3e
Author: Emmanuel Rodriguez <emmanuel.rodriguez@booking.com>
Date:   Tue Sep 15 20:26:25 2009 +0200

    The Perl bindings for champlain-gtk will be in a different package

commit 51169d8141f17a74b28115aab8879ef9343bbaee
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Fri Sep 4 20:21:34 2009 +0200

    Port to Clutter 1.0
    
    Clutter::Label is now replaced by Clutter::Text in Clutter 1.0.

commit 910c8dcda4630863d743589b4e5862ec6968be14
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Fri Sep 4 20:17:14 2009 +0200

    Port to Clutter 1.0
    
    Clutter::Label is now replaced by Clutter::Text in Clutter 1.0.

commit 02f6e547da170b56eabe82f6735e14e03f7a4ec7
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
Date:   Fri Sep 4 20:09:20 2009 +0200

    No need to load Champlain::MapSourceDesc

commit f2adc842293ce4fe889309e16da706f321ff713d
Author: Emmanuel Rodriguez <emmmanuel.rodriguez@gmail.com>
Date:   Tue Sep 1 22:04:04 2009 +0200

    Revert "Don't include gtk2perl because it redeclares the Pango types"
    
    This reverts commit 421074211a234119276a6fdbb76d13d9f5bec9a4.

commit a44260f72aaf916890aae05ceb38620dbbb8c0ee
Author: Emmanuel Rodriguez <emmmanuel.rodriguez@gmail.com>
Date:   Tue Sep 1 21:55:23 2009 +0200

    Don't include gtk2perl because it redeclares the Pango types

commit 9a43de3cdd4fef9e3818e0635cb7bdcf78f1c059
Author: Emmanuel Rodriguez <emmmanuel.rodriguez@gmail.com>
Date:   Tue Sep 1 21:53:56 2009 +0200

    Clutter 1.0 header file is now clutter-perl.h

commit e8939dd08f74ab4bd4f42659c707514d5115aebb
Author: Emmanuel Rodriguez <emmmanuel.rodriguez@gmail.com>
Date:   Tue Sep 1 21:53:13 2009 +0200

    Require Clutter 1.0

commit f51c490c18e4dc992bc3dc73d671069e9de225fe
Author: Cédric Bosdonnat <cedric.bosdonnat@free.fr>
Date:   Mon Sep 21 12:09:29 2009 -0400

    Fixed build issue: 0.4 still remaining

commit 6e455cd92392537cd1a7e5ea534931ec4eeab2af
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Tue Sep 15 16:33:29 2009 -0400

    Fix typo in family name

commit 2e4fd8b0f89fd1b50b6fdd0d5b569d38f3f6fc09
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Mon Sep 14 13:44:55 2009 -0400

    Post release increment to 0.5

commit 990b8f34997b2ee7752d57e9b16a173b55a996e1
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Mon Sep 14 13:40:04 2009 -0400

    Fix version numbers and date in README and NEWS

commit 0566060709b5ec025f1e85532e46316f375a0def
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Mon Sep 14 13:30:09 2009 -0400

    Update GtkDoc and remove deprecated symbols introduced in 0.3 and never released

commit 83cae132400df21d076e4406a534d300636d003b
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Mon Sep 14 12:06:48 2009 -0400

    Set default selection mode to SINGLE to match Gtk+

commit 3172c9fafc8e71d28dfeefd1e8feca4fff30de62
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sun Sep 13 10:18:00 2009 -0400

    Make demos, binginds and doc use 0.4 too

commit feae83c6211d81bb9677db31a2e80922ae908b1c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sat Sep 12 23:52:23 2009 -0400

    Update NEWS

commit 329ab16d3395a1ae395d2c55807d98246ccaa62c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sat Sep 12 23:25:44 2009 -0400

    Fix 594963: Initial scrolling results in map being in Antarctica
    
    The anchor that was being used was resulting in negative x or y values
    which were clamped back to positive values by TidyAdjustments.
    
    This patch makes sure that a new anchor is computed if the anchor
    would create negative x or y.

commit ada4b7cdd83a1ad4cc46d11c82d49dc37fd27092
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sat Sep 12 23:22:26 2009 -0400

    Remove trailing spaces and empty lines

commit 2eb53afda1ce30b6b9b9c85e9591b49d5b54fc78
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sat Sep 12 20:07:30 2009 -0400

    Pass to 0.4

commit 9a88e9a2195c76a131fe29ef974d7d4ba26a9f91
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sat Sep 12 17:47:31 2009 -0400

    Fix Polygon displaying with zoom levels requiring an anchor

commit da9f4ffe8b38c5b7c4e4ff6d13e3b1b10f5e453f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Fri Sep 11 17:14:12 2009 -0400

    Revert "Get rid of Anchor"
    
    This reverts commit 5eeadcfb6b6f3ad59881958c7b2cf18b964de438.

commit 04a025af5bfa83f0b6e73a4341e88286f88a028a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Fri Sep 11 16:52:37 2009 -0400

    Revert "clutter_actor_set_position can now happen in ChamplainTile"
    
    This reverts commit 8b697b0bc069be83989548fe86c8ee3eb94569af.

commit c897259245497520c860f19139c7ae1972c2fd97
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Fri Sep 11 16:31:08 2009 -0400

    Remove OpenAerialMap until it is reborn

commit 30e9f1364077d5b144f444c53dd298ae4d3ffe94
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Thu Sep 10 13:03:59 2009 -0400

    Fix a warning when attempting to remove an actor that has been destroyed

commit 42179582b092272df3e0ac4f69897b986a3bf1e0
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Wed Sep 9 15:46:22 2009 -0400

    Misc styling fixes

commit e49a1100610af9dd69d305328136c86fd70075af
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Wed Sep 9 12:57:21 2009 -0400

    Review of ChamplainMap, style fix and optimization
    
    Don't free and reload a level if it was the previous one

commit 4eae2169e9ebc3768fb85cbdb13c44ded2327632
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Wed Sep 9 16:23:24 2009 -0400

    Review and documentation of ChamplainZoomLevel

commit 1b866cdb04bbd143f4c72801b8c3ee8d35e8e838
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Wed Sep 9 11:48:24 2009 -0400

    Review of ChamplainTile: fix doc and style
    
    Plus a small memory management fix: don't init string vars
    with g_strdup ("").

commit 919e318b76c1c2d59227a7f32045ceb58586bb97
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Thu Sep 3 21:44:35 2009 -0400

    Fix release date

commit be63621ec00526afa181d986f590e198b6559960
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Thu Sep 3 21:43:57 2009 -0400

    Fix 0.3.92 NEWS

commit 19cde8d5a378b0b8767a756cc7553b933ba50a39
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Thu Sep 3 21:35:26 2009 -0400

    Update NEWS and version bump

commit 4e84ba664bb2ed482d7fa8e338a44a29707e580f
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Thu Sep 3 21:05:25 2009 -0400

    Fix execution bits and python dist

commit 63b4df59d4eb508a866c0552793fbea6bc4ec99a
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Thu Sep 3 20:32:08 2009 -0400

    Port to released pyclutter 1.0 and fix coding style

commit 7e7107ec8f5dc797ab96cb1b7cdd585d74e34c95
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Thu Sep 3 13:31:59 2009 -0300

    Added error callback to twisted

commit bcfe35a989439bd0d8813e6d404f3b4c7e898f56
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Thu Sep 3 13:26:40 2009 -0300

    Ported url-marker demo to python bindings

commit 704d7fd8f52512e0c0ffa41cce920e52f1deec4d
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Mon Aug 31 13:22:09 2009 -0300

    Added new configure requisite: pyclutter-gtk

commit 414e65751d0fbcfb2c89142445ddb7476e42b1ca
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Mon Aug 31 13:18:55 2009 -0300

    Updates in demos using pep 8

commit 1a3f274f65a8841cbaa4bd5cfa4bab07848eaa26
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Sun Aug 16 22:02:33 2009 -0300

    Replace GInitiallyUnowned to GObject

commit 273464a38803915cf156e79877d702764364cce4
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Sun Aug 16 22:00:19 2009 -0300

    Some small fixes in python binding demos

commit b603e6e71bb5c7e37c001851609931f8cc76b251
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Sun Aug 16 21:04:52 2009 -0300

    Use a true boxed type in ChamplainMapSourceDesc

commit 3709b5ed6623841d6ac40845f497176f90cb7ef0
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Sun Aug 16 20:42:39 2009 -0300

    Added support to boxed types

commit 2406e6bc8bb8526694d0ef0fd34758d37c6fd339
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Thu Aug 6 21:18:35 2009 -0300

    Update python bindings for require cluuter 1.0 and pyclutter 0.9

commit 36aae44cd6ee0945167f8c07b88a8cc7f4bed5d7
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Thu Aug 6 21:09:40 2009 -0300

    Update to use pyclutter 0.9 def files

commit 669d2fc71e3743bc66757b2f9365074021851aaf
Author: Victor Godoy Poluceno <victorpoluceno@gmail.com>
Date:   Thu Aug 6 18:10:02 2009 -0300

    Sync wtih clutter 1.0 api

commit 74c42fd181eec218f6bae6a262f76bd4e76573db
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Thu Sep 3 10:41:47 2009 -0400

    Actually free the children list
    
    Before this, the free at the end of the functions didn't do anything

commit 209f9f85b0528063bca9a233da9e6841166ffba4
Author: Felix Riemann <friemann@gnome.org>
Date:   Thu Sep 3 08:36:14 2009 -0400

    Fix 594003: invalid write of size 4

commit 9e55dab9d1ae3eb100eb8fab6bd307ee0398052d
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Thu Sep 3 08:31:28 2009 -0400

    Fix memory leaks in ChamplainLayer
    
    Reported by Olivier Le Thanh Duong

commit 97261d34e9e70cb6409ba3c63452be13c4e93f23
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sun Aug 30 13:03:56 2009 -0400

    Update NEWS file

commit dcd42a997d434423488bc854251693e416d95c89
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sun Aug 30 12:22:08 2009 -0400

    Fix 590727: Events are not send until the mouse move
    
    Do not grab the mouse when the source actor is not the current actor,
    resulting in the event being passed down, but also in that you cannot
    drag the map starting on an actor anymore).
    
    Connecting the signal handlers on an object at the same or lower level
    than fingerscroll fixed the transmission of events.

commit c800c8d4b5b327a45475875d70018efffe3040a0
Author: Felix Riemann <friemann@gnome.org>
Date:   Sun Aug 30 11:22:49 2009 -0400

    Fix 593505: Memory leak in ChamplainLayer
    
    The list of children wasn't freed and the code was sub-optimal

commit c53ab294b5d515b5d39418ca1ac346f40297cf84
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sun Aug 30 11:08:52 2009 -0400

    Respect OSM tile usage policy
    
    We'll have to use 7 days expiration until we can add the
    http Expires data to tiles (after API freeze)
    
    http://wiki.openstreetmap.org/wiki/Tile_usage_policy

commit a10b73141c25d9ed570392af0b7d86a40c931acc
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Sun Aug 30 11:05:10 2009 -0400

    Fix 591132: Attempting to remove actor when zooming in/out
    
    This warning happened when the cache was being validated and
    that a newer version of the tile was available.  Plus,
    the ChamplainTile had to be in the process of being destroyed
    (happens if you zoom 2 levels down quickly).  The new version
    of the tile was then fading in on a non existing ClutterActor.
    
    I added checks so that
    * the animation is not created in such a case,
    * the animation is forced to complete on dispose of ChamplainTiles
    * unrelated but: only one animation can happen on a tile at one,
      the previously running animation will be forced to complete before
      the new one is setup.

commit 6479441c9367724936600569dc9348e39a416e22
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Wed Aug 26 20:30:18 2009 -0400

    Comment out misleading code in demos
    
    But leave the code there as it is a good example of
    how to make acters reactive.

commit 4d7cb996b38062d17d692b768a1481a08899854c
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Wed Aug 26 19:50:20 2009 -0400

    Fix documentation

commit 8d89dce22288455917c92f0523ee0f6ce8fe0ca9
Author: Pierre-Luc Beaudoin <pierre-luc@pierlux.com>
Date:   Wed Aug 26 08:41:11 2009 -0400

    Fix coding style

commit 49c3f67aa1b6b51273d3e1057c2611278f08cb04
Author: Emmanuel Rodriguez <emmanuel.rodriguez@gmail.com>
